<?php defined('BASEPATH') OR exit('No direct script access allowed');
require(APPPATH .'libraries/REST_Controller.php');
class App extends REST_Controller
{
    function __construct()
    {
        //session_start();
        parent::__construct();
        header('Access-Control-Allow-Origin: *');
        header('Access-Control-Allow-Methods: GET, PUT, POST, DELETE, OPTIONS');

    }
    public function life_insurance_post(){
        if($this->post('sum_insured') && $this->post('length_of_terms') && $this->input->post('cover_type') && $this->input->post('gender') && $this->input->post('smoking') && $this->input->post('dob')){

            if($this->input->post('cover_type')=="Joint" && ($this->input->post('partner_gender')=="" || $this->input->post('partner_smoking')=="" || $this->input->post('partner_dob')=="")){
                $this->response(array('error' => "Required fields missing"), 400);
            }
            else{
                $result = $this->get_life_insurance_report("Annual");
                $monthly = $this->get_life_insurance_report("Monthly");

                if ($monthly != "empty") {
                    if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                        foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                            if ($arr['Desc'] == "Life Cover Only") {
                                $flag = true;
                            }
                        }
                    }
                }
                if ($result == "empty" || !$flag) {
                    $data['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
                    $data['url'] = $_SERVER['HTTP_REFERER'];
                } else {
                    /*$data['cover_type'] = $this->input->post('cover_type');
                    $data['gender'] = $this->input->post('gender');
                    $data['smoking'] = $this->input->post('smoking');
                    $data['dob'] = $this->input->post('dob');
                    */
                    $data['api_data'] = $result;
                    $data['monthly_data'] = $monthly;

                    if(array_key_exists('0',$data['monthly_data']['Outputs']['Quotes']['Type'])){
                        foreach($data['monthly_data']['Outputs']['Quotes']['Type'] as $arr){
                            //print_r($arr);exit;
                            if($arr['Desc'] == "Life Cover And Accelerated Illness"){
                                if(array_key_exists('Convertible', $arr)){
                                    $acc_convt =  $arr['Convertible'];
                                }
                                if(array_key_exists('Level', $arr)){
                                    $acc_level =  $arr['Level'];
                                }
                            }
                            if($arr['Desc'] == "Life Cover And Standalone Illness"){
                                if(array_key_exists('Convertible', $arr)){
                                    $std_convt =  $arr['Convertible'];
                                }
                                if(array_key_exists('Level', $arr)){
                                    $std_level =  $arr['Level'];
                                }
                            }
                            if($arr['Desc'] == "Life Cover Only"){
                                if(array_key_exists('Convertible', $arr)){
                                    $convt =  $arr['Convertible'];
                                }
                                if(array_key_exists('Level', $arr)){
                                    $level =  $arr['Level'];
                                }
                            }
                        }

                        foreach($data['api_data']['Outputs']['Quotes']['Type'] as $arr){

                            if($arr['Desc'] == "Life Cover And Accelerated Illness"){
                                if(array_key_exists('Convertible', $arr)){
                                    $ann_acc_convt =  $arr['Convertible'];
                                }
                                if(array_key_exists('Level', $arr)){
                                    $ann_acc_level =  $arr['Level'];
                                }
                            }
                            if($arr['Desc'] == "Life Cover And Standalone Illness"){
                                if(array_key_exists('Convertible', $arr)){
                                    $ann_std_convt =  $arr['Convertible'];
                                }
                                if(array_key_exists('Level', $arr)){
                                    $ann_std_level =  $arr['Level'];
                                }
                            }
                            if($arr['Desc'] == "Life Cover Only"){
                                if(array_key_exists('Convertible', $arr)){
                                    $ann_convt =  $arr['Convertible'];
                                }
                                if(array_key_exists('Level', $arr)){
                                    $ann_level =  $arr['Level'];
                                }
                            }
                        }
                    }
                }

                //$final_array['monthly']['acc_convt']=round($acc_convt,2);
                //$final_array['monthly']['std_convt']=round($std_convt,2);

                $final_array['monthly']['convertible']=round($convt,2);
                $final_array['monthly']['std_illness']=round($std_level,2);
                $final_array['monthly']['accelerated_level']=round($acc_level,2);
                $final_array['monthly']['level']=round($level,2);

                //$final_array['annually']['ann_acc_convt']=round($ann_acc_convt,2);
                //$final_array['annually']['ann_std_level']=round($ann_std_level,2);


                $final_array['annually']['ann_convertible']=round($ann_convt,2);
                $final_array['annually']['ann_std_illness']=round($ann_std_convt,2);
                $final_array['annually']['ann_accelerated_level']=round($ann_acc_level,2);
                $final_array['annually']['ann_level']=round($ann_level,2);

                $plan = $data['api_data']['Outputs']['Summary']['Plan'];

                if (array_key_exists('Life1', $data['api_data']['Outputs']['Summary'])) {
                    $life1 = $data['api_data']['Outputs']['Summary']['Life1'];
                }
                else $life1="";
                if (array_key_exists('Life2', $data['api_data']['Outputs']['Summary']) && !empty($data['api_data']['Outputs']['Summary']['Life2'])) {
                    $life2 = $data['api_data']['Outputs']['Summary']['Life2'];
                }
                else $life2="";

                $final_array['plan']=$plan;
                $final_array['life1']=$life1;
                $final_array['life2']=$life2;
                if (!empty($final_array)) {
                    $this->response($final_array, 200); // 200 being the HTTP response code
                } else {
                    $this->response(array('error' => $data['message']), 406);
                }
            }

        }
        else{
            $this->response(array('error' => "Required fields missing"), 400);
        }

    }
    public function mortgage_protection_post(){
        if($this->post('sum_insured') && $this->post('length_of_terms') && $this->input->post('cover_type') && $this->input->post('gender') && $this->input->post('smoking') && $this->input->post('dob')) {
            $flag = false;
            if($this->input->post('cover_type')=="Joint" && ($this->input->post('partner_gender')=="" || $this->input->post('partner_smoking')=="" || $this->input->post('partner_dob')=="")){
                $this->response(array('error' => "Required fields missing"), 400);
            }
            else{
                $result = $this->get_life_insurance_report("Annual");
                $monthly = $this->get_life_insurance_report("Monthly");
                if ($monthly != "empty") {
                    if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                        foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                            if ($arr['Desc'] == "Life Cover Only") {
                                $flag = true;
                            }
                        }
                    }
                }

                if ($result == "empty" || !$flag) {
                    $data['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";

                } else {
                    /*$data['cover_type'] = $this->input->post('cover_type');
                    $data['gender'] = $this->input->post('gender');
                    $data['smoking'] = $this->input->post('smoking');
                    $data['dob'] = $this->input->post('dob');
                    if ($data['cover_type'] == "Joint") {
                        $data['partner_gender'] = $this->input->post('partner_gender');
                        $data['partner_smoking'] = $this->input->post('partner_smoking');
                        $data['partner_dob'] = $this->input->post('partner_dob');
                    } else {
                        $data['partner_gender'] = "";
                        $data['partner_smoking'] = "";
                        $data['partner_dob'] = "";
                    }
                    */
                    $data['api_data'] = $result;
                    $data['monthly_data'] = $monthly;
                    foreach ($data['monthly_data']['Outputs']['Quotes']['Type'] as $arr) {
                        if ($arr['Desc'] == "Life Cover Only") {
                            if (array_key_exists('MortgageProtection', $arr)) {
                                $mon_mort = $arr['MortgageProtection'];
                            }
                        }
                    }

                    foreach ($data['api_data']['Outputs']['Quotes']['Type'] as $arr) {
                        if ($arr['Desc'] == "Life Cover Only") {
                            if (array_key_exists('MortgageProtection', $arr)) {
                                $ann_mort = $arr['MortgageProtection'];
                            }
                        }
                    }
                    foreach ($data['monthly_data']['Outputs']['Quotes']['Type'] as $arr) {
                        if ($arr['Desc'] == "Life Cover And Accelerated Illness") {
                            if (array_key_exists('MortgageProtection', $arr)) {
                                $mon_acc = $arr['MortgageProtection'];
                            }
                        }
                    }
                    foreach ($data['api_data']['Outputs']['Quotes']['Type'] as $arr) {
                        if ($arr['Desc'] == "Life Cover And Accelerated Illness") {
                            if (array_key_exists('MortgageProtection', $arr)) {
                                $ann_acc = $arr['MortgageProtection'];
                            }
                        }
                    }
                    $final_array['monthly']['acc'] = round($mon_acc,2);
                    $final_array['monthly']['mort'] = round($mon_mort,2);

                    $final_array['annually']['ann_acc'] = round($ann_acc,2);
                    $final_array['annually']['ann_mort'] = round($ann_mort,2);

                    $plan = $data['api_data']['Outputs']['Summary']['Plan'];

                    if (array_key_exists('Life1', $data['api_data']['Outputs']['Summary'])) {
                        $life1 = $data['api_data']['Outputs']['Summary']['Life1'];
                    }
                    else $life1="";
                    if (array_key_exists('Life2', $data['api_data']['Outputs']['Summary']) && !empty($data['api_data']['Outputs']['Summary']['Life2'])) {
                        $life2 = $data['api_data']['Outputs']['Summary']['Life2'];
                    }
                    else $life2="";

                    $final_array['plan']=$plan;
                    $final_array['life1']=$life1;
                    $final_array['life2']=$life2;

                    if (!empty($final_array)) {
                        $this->response($final_array, 200); // 200 being the HTTP response code
                    } else {
                        $this->response(array('error' => $data['message']), 406);
                    }
                }
            }

        }
        else{
                $this->response(array('error' => "Required fields missing"), 400);
            }
    }
    public function serious_illness_protection_post(){
        if($this->post('sum_insured') && $this->post('length_of_terms') && $this->input->post('cover_type') && $this->input->post('gender') && $this->input->post('smoking') && $this->input->post('dob')) {
            $flag = false;
            if($this->input->post('cover_type')=="Joint" && ($this->input->post('partner_gender')=="" || $this->input->post('partner_smoking')=="" || $this->input->post('partner_dob')=="")){
                $this->response(array('error' => "Required fields missing"), 400);
            }
            else{
                $result = $this->get_life_insurance_report("Annual");
                $monthly = $this->get_life_insurance_report("Monthly");

                if ($monthly != "empty") {
                    if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                        foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                            if ($arr['Desc'] == "Serious Illness Only") {
                                $flag = true;
                            }
                        }
                    }
                }

                if ($result == "empty" || !$flag) {
                    $data['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
                } else {
                    /*$data['cover_type'] = $this->input->post('cover_type');
                    $data['gender'] = $this->input->post('gender');
                    $data['smoking'] = $this->input->post('smoking');
                    $data['dob'] = $this->input->post('dob');
                    if ($data['cover_type'] == "Joint") {
                        $data['partner_gender'] = $this->input->post('partner_gender');
                        $data['partner_smoking'] = $this->input->post('partner_smoking');
                        $data['partner_dob'] = $this->input->post('partner_dob');
                    } else {
                        $data['partner_gender'] = "";
                        $data['partner_smoking'] = "";
                        $data['partner_dob'] = "";
                    }
                    */
                    $data['api_data'] = $result;
                    $data['monthly_data'] = $monthly;
                    foreach($data['monthly_data']['Outputs']['Quotes']['Type'] as $arr){
                        if($arr['Desc'] == "Serious Illness Only"){
                            if(array_key_exists('Convertible', $arr)){
                                $mon_convertable =  $arr['Convertible'];
                            }
                            if(array_key_exists('Level', $arr)){
                                $mon_level =  $arr['Level'];
                            }
                        }
                    }

                    foreach($data['api_data']['Outputs']['Quotes']['Type'] as $arr){
                        if($arr['Desc'] == "Serious Illness Only"){
                            if(array_key_exists('Convertible', $arr)){
                                $ann_convertable =  $arr['Convertible'];
                            }
                            if(array_key_exists('Level', $arr)){
                                $ann_level =  $arr['Level'];
                            }
                        }
                    }
                    $final_array['monthly']['mon_convertable'] = round($mon_convertable,2);
                    $final_array['monthly']['mon_level'] = round($mon_level,2);

                    $final_array['annually']['ann_convertable'] = round($ann_convertable,2);
                    $final_array['annually']['ann_level'] = round($ann_level,2);

                    $plan = $data['api_data']['Outputs']['Summary']['Plan'];

                    if (array_key_exists('Life1', $data['api_data']['Outputs']['Summary'])) {
                        $life1 = $data['api_data']['Outputs']['Summary']['Life1'];
                    }
                    else $life1="";
                    if (array_key_exists('Life2', $data['api_data']['Outputs']['Summary']) && !empty($data['api_data']['Outputs']['Summary']['Life2'])) {
                        $life2 = $data['api_data']['Outputs']['Summary']['Life2'];
                    }
                    else $life2="";

                    $final_array['plan']=$plan;
                    $final_array['life1']=$life1;
                    $final_array['life2']=$life2;

                    if (!empty($final_array)) {
                        $this->response($final_array, 200); // 200 being the HTTP response code
                    } else {
                        $this->response(array('error' => $data['message']), 406);
                    }
                }
            }

        }
        else{
            $this->response(array('error' => "Required fields missing"), 400);
        }
    }
    public function income_protection_insurance_post(){
        if($this->post('sum_insured') && $this->post('income_paye') && $this->input->post('income_age') && $this->input->post('gender') && $this->input->post('smoking') && $this->input->post('dob'))  {
            $monthly = $this->get_income_report("Monthly");
            $quarterly = $this->get_income_report("Quarterly");
            $half = $this->get_income_report("Half-Yearly");
            $result = $this->get_income_report("Annual");

            if (empty($monthly['PHIQuote']['QuoteResults'])) {
                $data['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";

            } else {
                $data['monthly'] = $monthly;
                $data['quarterly'] = $quarterly;
                $data['half'] = $half;
                $data['api_data'] = $result;

                $final_array['monthly_level']['monthly_ReviewLevelRate']            =round($data['monthly']['PHIQuote']['QuoteResults']['Type'][1]['ReviewLevelRate'],2);
                $final_array['monthly_level']['monthly_ReviewIncreaseRate']         =round($data['monthly']['PHIQuote']['QuoteResults']['Type'][1]['ReviewIncreaseRate'],2);

                $final_array['monthly_increasing']['monthly_GuarLevelRate']         =round($data['monthly']['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'],2);
                $final_array['monthly_increasing']['monthly_GuarIncreaseRate']      =round($data['monthly']['PHIQuote']['QuoteResults']['Type'][0]['GuarIncreaseRate'],2);

                $final_array['quarterly_level']['quarterly_ReviewLevelRate']          =round($data['quarterly']['PHIQuote']['QuoteResults']['Type'][1]['ReviewLevelRate'],2);
                $final_array['quarterly_level']['quarterly_ReviewIncreaseRate']            =round($data['quarterly']['PHIQuote']['QuoteResults']['Type'][1]['ReviewIncreaseRate'],2);

                $final_array['quarterly_increasing']['quarterly_GuarLevelRate']  =round($data['quarterly']['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'],2);
                $final_array['quarterly_increasing']['quarterly_GuarIncreaseRate']    =round($data['quarterly']['PHIQuote']['QuoteResults']['Type'][0]['GuarIncreaseRate'],2);

                $final_array['half_level']['half_ReviewLevelRate']               =round($data['half']['PHIQuote']['QuoteResults']['Type'][1]['ReviewLevelRate'],2);
                $final_array['half_level']['half_ReviewIncreaseRate']                 =round($data['half']['PHIQuote']['QuoteResults']['Type'][1]['ReviewIncreaseRate'],2);

                $final_array['half_increasing']['half_GuarLevelRate']       =round($data['half']['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'],2);
                $final_array['half_increasing']['half_GuarIncreaseRate']         =round($data['half']['PHIQuote']['QuoteResults']['Type'][0]['GuarIncreaseRate'],2);

                $final_array['annual_level']['annual_ReviewLevelRate']             =round($data['api_data']['PHIQuote']['QuoteResults']['Type'][1]['ReviewLevelRate'],2);
                $final_array['annual_level']['annual_ReviewIncreaseRate']               =round($data['api_data']['PHIQuote']['QuoteResults']['Type'][1]['ReviewIncreaseRate'],2);

                $final_array['annual_increasing']['annual_GuarLevelRate']     =round($data['api_data']['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'],2);
                $final_array['annual_increasing']['annual_GuarIncreaseRate']       =round($data['api_data']['PHIQuote']['QuoteResults']['Type'][0]['GuarIncreaseRate'],2);

                $plan = $data['api_data']['PHIQuote']['Summary']['Plan'];

                if (array_key_exists('Life1', $data['api_data']['PHIQuote']['Summary'])) {
                    $life1 = $data['api_data']['PHIQuote']['Summary']['Life1'];
                }
                else $life1="";


                $final_array['plan']=$plan;
                $final_array['life1']=$life1;


                if (!empty($final_array)) {
                    $this->response($final_array, 200); // 200 being the HTTP response code
                } else {
                    $this->response(array('error' => $data['message']), 406);
                }
            }
        }
        else{
            $this->response(array('error' => "Required fields missing"), 400);
        }
    }
    function get_life_insurance_report($term, $client = '')
    {
        $data['client'] = $client;
        $array = array(
            "cover_amount" => $this->input->post('sum_insured'),
            "cover_type" => $this->input->post('cover_type'),
            "length" => $this->input->post('length_of_terms'),
            "indexation" => $this->input->post('indexation'),
            "gender" => $this->input->post('gender'),
            "smoking" => $this->input->post('smoking'),
            "dob" => $this->input->post('dob'),
            "partner_gender" => $this->input->post('partner_gender'),
            "partner_smoking" => $this->input->post('partner_smoking'),
            "partner_dob" => $this->input->post('partner_dob')
        );

        $frequency = $term; //Annual or Monthly
        $api_data = getLifeQuote($array, $frequency);
        return $api_data;
    }
    function get_income_report($term = "", $client = '')
    {
        $cover_amount = $this->input->post('sum_insured');
        $income_age = $this->input->post('income_age');
        $gender = $this->input->post('gender');
        $smoking = $this->input->post('smoking');
        $dob = $this->input->post('dob');

        $array = array(
            "cover_amount" => $cover_amount,
            "income_age" => $income_age,
            "gender" => $gender,
            "smoking" => $smoking,
            "dob" => $dob,
        );

        $frequency = $term; //Annual or Monthly

        $api_data = $this->make_income_api_call($array, $frequency);
        return $api_data;
    }
    function make_income_api_call($array, $frequency)
    {

        $url = "https://services.moneyadvice.ie/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL"; //www.mortgagecrmlite.com/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx
        $client = new SoapClient($url);

        $xml = '<PHIQuote>
                      <Authentication>
                            <BrokerKey>test</BrokerKey>
                            <BrokerWebsiteURL>http://www.brokercrmlite.com/test.html</BrokerWebsiteURL>
                      </Authentication>
                      <QuoteDetails>
                            <OccupationClass>Class 1</OccupationClass>
                            <Gender>' . $array['gender'] . '</Gender>
                            <CessationAge>' . $array['income_age'] . '</CessationAge>
                            <DeferredPeriod>26 Weeks</DeferredPeriod>
                            <AnnualBenefit>' . $array['cover_amount'] . '</AnnualBenefit>
                            <Smoker>' . $array['smoking'] . '</Smoker>
                            <DOB>' . $array['dob'] . '</DOB>
                            <Indexation>0</Indexation>
                            <Frequency>' . $frequency . '</Frequency>
                            <QuoteFriendsFirst>Y</QuoteFriendsFirst>
                            <QuoteIrishLife>Y</QuoteIrishLife>
                            <QuoteNewIreland>Y</QuoteNewIreland>
                      </QuoteDetails>
                </PHIQuote>';

        $doc = new DOMDocument();
        $doc->loadXML($xml);
        $xml_str = $doc->saveXML();

        $result = $client->GetBestQuote(array('xmlQuotationDetails' => $xml_str));

        $res_arr = $this->xmlstr_to_array($result->GetBestQuoteResult);
        return $res_arr;
    }
    function xmlstr_to_array($xmlstr) {
        $doc = new DOMDocument();
        $doc->loadXML($xmlstr);
        return domnode_to_array($doc->documentElement);
    }
    function domnode_to_array($node) {
        $output = array();
        switch ($node->nodeType) {
            case XML_CDATA_SECTION_NODE:
            case XML_TEXT_NODE:
                $output = trim($node->textContent);
                break;
            case XML_ELEMENT_NODE:
                for ($i=0, $m=$node->childNodes->length; $i<$m; $i++) {
                    $child = $node->childNodes->item($i);
                    $v = domnode_to_array($child);
                    if(isset($child->tagName)) {
                        $t = $child->tagName;
                        if(!isset($output[$t])) {
                            $output[$t] = array();
                        }
                        $output[$t][] = $v;
                    }
                    elseif($v) {
                        $output = (string) $v;
                    }
                }
                if(is_array($output)) {
                    if($node->attributes->length) {
                        $a = array();
                        foreach($node->attributes as $attrName => $attrNode) {
                            $a[$attrName] = (string) $attrNode->value;
                        }
                        $output['@attributes'] = $a;
                    }
                    foreach ($output as $t => $v) {
                        if(is_array($v) && count($v)==1 && $t!='@attributes') {
                            $output[$t] = $v[0];
                        }
                    }
                }
                break;
        }
        return $output;
    }
    public function apply_life_insurance_post(){
        if ($this->input->post("name")
            && $this->input->post("surname")
            && $this->input->post("dob")
            && $this->input->post("title")
            && $this->input->post("gender")
            && $this->input->post("smoking")
            && $this->input->post("cover_type")
            && $this->input->post("email")
            && $this->input->post("address_line1")
            && $this->input->post("address_line2")
            && $this->input->post("city")
            && $this->input->post("county")
            && $this->input->post("annual")
            && $this->input->post("phone_type")
            && $this->input->post("phone")
            && $this->input->post("user_id")
            && $this->input->post("monthly")
            && $this->input->post("best_time")
            ) {
            if ($this->input->post('cover_type') == "Joint") {
                if ($this->input->post('partner_gender') == "" || $this->input->post('partner_smoking') == "" || $this->input->post('partner_dob') == "" || $this->input->post('phone_type2') == "" || $this->input->post('phone2') == "" || $this->input->post('name2') == "" || $this->input->post('surname2') == "" || $this->input->post('title2') == "" || $this->input->post('email2') == "" || $this->input->post('address_line12') == "" || $this->input->post('address_line22') == "" || $this->input->post('city2') == "" || $this->input->post('county2') == "") {
                    $this->response(array('error' => "Required fields missing"), 400);
                } else {
                    //$sendmail = $this->sendEmail();
                    $sendmail = true;
                    $this->update_broker_api("Life Insurance");
                    if ($sendmail) {
                        $this->response(array("message" => "Success"), 200);
                    } else {
                        $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
                    }
                }
                }
            else{
                //$sendmail = $this->sendEmail();
                $sendmail = true;
                $this->update_broker_api("Life Insurance");
                if ($sendmail) {
                    $this->response(array("message" => "Success"), 200);
                } else {
                    $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
                }
            }
            }
            else {
                $this->response(array('error' => "Required fields missing"), 400);
            }

    }
    function update_broker_api($product_type)
    {
        if ($this->input->post('phone_type') == "Mobile") {
            $mobile = $this->input->post('phone');
        } else {
            $mobile = "";
        }
        if ($this->input->post('phone_type') == "Home") {
            $home = $this->input->post('phone');
        } else {
            $home = "";
        }
        if ($this->input->post('phone_type') == "Work") {
            $work = $this->input->post('phone');
        } else {
            $work = "";
        }
        $userId = $this->input->post("user_id");
        $user = $this->_getUserDetails($userId);

        $broker_id = $user->broker_id;
        $api_data = array(
            "BrokerID" => $broker_id,
            "FirstName" => $this->input->post('name'),
            "Surname" => $this->input->post('surname'),
            "Title" => $this->input->post('title'),
            "DateOfBirth" => $this->input->post('dob'),
            "Gender" => $this->input->post('gender'),
            "Smoker" => $this->input->post('smoking'),
            "Mobile" => $mobile,
            "Email" => $this->input->post('email'),
            "Address1" => $this->input->post('address_line1'),
            "Address2" => $this->input->post('address_line2'),
            "TownCity" => $this->input->post('city'),
            "County" => $this->input->post('county'),
            "WorkPhone" => $work,
            "HomePhone" => $home,
            "SourceOfBusiness" => "Web Site",
            "Product" => "Protection",
            "ProductType" => $product_type,
            "Provider" => "",
            "Premium" => $this->input->post('annual'),
            "Frequency" => "Monthly",
            "Description" => $this->input->post('quote_summary')
        );

        if ($this->input->post('cover_type') == "Joint") {
            if ($this->input->post('phone_type2') == "Mobile") {
                $mobile = $this->input->post('phone2');
            } else {
                $mobile = "";
            }
            if ($this->input->post('phone_type2') == "Home") {
                $home = $this->input->post('phone2');
            } else {
                $home = "";
            }
            if ($this->input->post('phone_type2') == "Work") {
                $work = $this->input->post('phone2');
            } else {
                $work = "";
            }
            $api_data1 = array(
                "IsJoint" => "1",
                "FirstName2" => $this->input->post('name2'),
                "Surname2" => $this->input->post('surname2'),
                "Title2" => $this->input->post('title2'),
                "DateOfBirth2" => $this->input->post('partner_dob'),
                "Gender2" => $this->input->post('partner_gender'),
                "Smoker2" => $this->input->post('partner_smoking'),
                "Mobile2" => $mobile,
                "Email2" => $this->input->post('email2'),
                "Address12" => $this->input->post('address_line12'),
                "Address22" => $this->input->post('address_line22'),
                "TownCity2" => $this->input->post('city2'),
                "County2" => $this->input->post('county2'),
                "WorkPhone2" => $work,
                "HomePhone2" => $home,
                "SourceOfBusiness2" => "Web Site"
            );
        } else {
            $api_data1 = array(
                "IsJoint" => "0",
                "FirstName2" => "",
                "Surname2" => "",
                "Title2" => "",
                "DateOfBirth2" => "",
                "Gender2" => "",
                "Smoker2" => "",
                "Mobile2" => "",
                "Email2" => "",
                "Address12" => "",
                "Address22" => "",
                "TownCity2" => "",
                "County2" => "",
                "WorkPhone2" => "",
                "HomePhone2" => "",
                "SourceOfBusiness2" => ""
            );
        }

        $result_array = array_merge((array)$api_data, (array)$api_data1);
        //echo '<pre>'; print_r($result_array); exit;
        $url = "https://services.moneyadvice.ie/MoneyAdviceClientDataSync/ClientDataWebQuote.asmx?WSDL";
		
		//www.mortgagecrmlite.com/MoneyAdviceClientDataSync/ClientDataWebQuote.asmx

        $client = new SoapClient($url);

        $result = $client->WebQuote($result_array);

    }
    function _getUserDetails($userID)
    {
        $details = $this->generic_model->getGenericData('users', array('id' => $userID), null, null, null, true);
        return $details[0];
    }
    function sendEmail()
    {
        $userId = $this->input->post("user_id");
        $user = $this->_getUserDetails($userId);

        $client_email = $user->email;
        $monthly = $this->input->post('monthly');
        $annual = $this->input->post('annual');
        $name = $this->input->post('name');
        $email = $this->input->post('email');
        $phone = $this->input->post('phone');
        $time = $this->input->post('best_time');

        $life1 = "";
        $life2 = "";
        $plan = $this->input->post('plan');;


        if($this->input->post('life1')!="") {
            $life1 = $this->input->post('life1');
        }
        if($this->input->post('life2')!="") {
            $life2 = $this->input->post('life2');
        }

        $body = "
            <html>
            <table>

            <tr>
            <td><strong>Name: </strong></td>
            <td> $name </td>
            </tr>
            <tr>
            <td><strong>Email: </strong></td>
            <td> $email </td>
            </tr>
            <tr>
            <td><strong>Phone: </strong></td>
            <td> $phone </td>
            </tr>
            <tr>
            <td><strong>Best time to call: </strong></td>
            <td>$time</td>
            </tr>
           </table>
           <table>
            <tr>
            <td><strong>Quote Summary</strong></td>
            </tr>
            <tr>
            <td>$life1</td>
            </tr>
            <tr>
            <td>$life2</td>
            </tr>
            <tr>
            <td>$plan</td>
            </tr>
           </table>
           <table>
            <tr>
            <td><strong>Your Quote</strong></td>
            </tr>
            <tr>
            <td>Monthly Premium:</td>
            <td>$monthly</td>
            </tr>
            <tr>
            <td>Annual Premium:</td>
            <td>$annual</td>
            </tr>

            </table>
            </html>";
        $this->load->library('email');
        $config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'ssl://smtp.googlemail.com',
            'smtp_port' => 465,
            'smtp_user' => 'demo.iglulabs@gmail.com',
            'smtp_pass' => 'password123+',
            'mailtype' => 'html',
            'charset' => 'iso-8859-1'
        );


        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('info@moneyadvice.ie', 'Money Advice');
        $this->email->to($client_email);
        $this->email->bcc('contact@iglulabs.com');
        $this->email->bcc('sat@moneyadvice.ie');

        $this->email->subject('Financial Tree Quote Request');
        $this->email->message($body);

        return $this->email->send();
    }
    public function apply_mortgage_insurance_post(){
        if ($this->input->post("name")
            && $this->input->post("surname")
            && $this->input->post("dob")
            && $this->input->post("title")
            && $this->input->post("gender")
            && $this->input->post("smoking")
            && $this->input->post("cover_type")
            && $this->input->post("email")
            && $this->input->post("address_line1")
            && $this->input->post("address_line2")
            && $this->input->post("city")
            && $this->input->post("county")
            && $this->input->post("annual")
            && $this->input->post("phone_type")
            && $this->input->post("phone")
            && $this->input->post("user_id")
            && $this->input->post("monthly")
            && $this->input->post("best_time")
        ) {
            if ($this->input->post('cover_type') == "Joint") {
                if ($this->input->post('partner_gender') == "" || $this->input->post('partner_smoking') == "" || $this->input->post('partner_dob') == "" || $this->input->post('phone_type2') == "" || $this->input->post('phone2') == "" || $this->input->post('name2') == "" || $this->input->post('surname2') == "" || $this->input->post('title2') == "" || $this->input->post('email2') == "" || $this->input->post('address_line12') == "" || $this->input->post('address_line22') == "" || $this->input->post('city2') == "" || $this->input->post('county2') == "") {
                    $this->response(array('error' => "Required fields missing"), 400);
                } else {
                    //$sendmail = $this->sendEmail();
                    $sendmail = true;
                    $this->update_broker_api("Mortgage");
                    if ($sendmail) {
                        $this->response(array("message" => "Success"), 200);
                    } else {
                        $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
                    }
                }
            }
            else {
                //$sendmail = $this->sendEmail();
                $sendmail = true;
                $this->update_broker_api("Mortgage");
                if ($sendmail) {
                    $this->response(array("message" => "Success"), 200);
                } else {
                    $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
                }
            }
        }
        else {
            $this->response(array('error' => "Required fields missing"), 400);
        }
    }
    public function apply_serious_illness_post(){
        if ($this->input->post("name")
            && $this->input->post("surname")
            && $this->input->post("dob")
            && $this->input->post("title")
            && $this->input->post("gender")
            && $this->input->post("smoking")
            && $this->input->post("cover_type")
            && $this->input->post("email")
            && $this->input->post("address_line1")
            && $this->input->post("address_line2")
            && $this->input->post("city")
            && $this->input->post("county")
            && $this->input->post("annual")
            && $this->input->post("phone_type")
            && $this->input->post("phone")
            && $this->input->post("user_id")
            && $this->input->post("monthly")
            && $this->input->post("best_time")
        ) {
            if ($this->input->post('cover_type') == "Joint") {
                if ($this->input->post('partner_gender') == "" || $this->input->post('partner_smoking') == "" || $this->input->post('partner_dob') == "" || $this->input->post('phone_type2') == "" || $this->input->post('phone2') == "" || $this->input->post('name2') == "" || $this->input->post('surname2') == "" || $this->input->post('title2') == "" || $this->input->post('email2') == "" || $this->input->post('address_line12') == "" || $this->input->post('address_line22') == "" || $this->input->post('city2') == "" || $this->input->post('county2') == "") {
                    $this->response(array('error' => "Required fields missing"), 400);
                } else {
                    //$sendmail = $this->sendEmail();
                    $sendmail = true;
                    $this->update_broker_api("Serious Illness");
                    if ($sendmail) {
                        $this->response(array("message" => "Success"), 200);
                    } else {
                        $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
                    }
                }
            }
            else {
                //$sendmail = $this->sendEmail();
                $sendmail = true;
                $this->update_broker_api("Serious Illness");
                if ($sendmail) {
                    $this->response(array("message" => "Success"), 200);
                } else {
                    $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
                }
            }
        }
        else {
            $this->response(array('error' => "Required fields missing"), 400);
        }
    }
    public function apply_income_protection_post(){
        if ($this->input->post("name")
            && $this->input->post("surname")
            && $this->input->post("dob")
            && $this->input->post("title")
            && $this->input->post("gender")
            && $this->input->post("smoking")
            && $this->input->post("income_paye")
            && $this->input->post("email")
            && $this->input->post("address_line1")
            && $this->input->post("address_line2")
            && $this->input->post("city")
            && $this->input->post("county")
            && $this->input->post("phone_type")
            && $this->input->post("phone")
            && $this->input->post("user_id")
            && $this->input->post("best_time")
            && $this->input->post("level_month")
            && $this->input->post("level_halfyr")
            && $this->input->post("level_ann")
            && $this->input->post("inc_month")
            && $this->input->post("inc_quarter")
            && $this->input->post("inc_ann")
            && $this->input->post("inc_halfyr")
        ) {
                //echo "hello";exit;
                //$sendmail = $this->sendEmailIncome();
                $sendmail = true;
                $this->update_broker_api("Income Protection");
                if ($sendmail) {
                      $this->response(array("message" => "Success"), 200);
                    } else {
                        $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
                    }

        }
        else {
            $this->response(array('error' => "Required fields missing"), 400);
        }
    }
    function sendEmailIncome()
    {
        $userId = $this->input->post('user_id');
        $user = $this->_getUserDetails($userId);
        $client_email = $user->email;
        $level_month = $this->input->post('level_month');
        $level_quarter = $this->input->post('level_quarter');
        $level_halfyr = $this->input->post('level_halfyr');
        $level_ann = $this->input->post('level_ann');
        $inc_month = $this->input->post('inc_month');
        $inc_quarter = $this->input->post('inc_quarter');
        $inc_ann = $this->input->post('inc_ann');
        $inc_halfyr = $this->input->post('inc_halfyr');
        $plan = $this->input->post('plan1');


        $name = $this->input->post('name');
        $email = $this->input->post('email');
        $phone = $this->input->post('phone');
        $time = $this->input->post('best_time');

        $body = "
            <html>
            <table>

            <tr>
            <td><strong>Name: </strong></td>
            <td> $name </td>
            </tr>
            <tr>
            <td><strong>Email: </strong></td>
            <td> $email </td>
            </tr>
            <tr>
            <td><strong>Phone: </strong></td>
            <td> $phone </td>
            </tr>
            <tr>
            <td><strong>Best time to call: </strong></td>
            <td>$time</td>
            </tr>
            <tr>
            <td><strong>Quote Summary</strong></td>
            </tr>
            </table>
            <table>
            <tr>
            <td>$plan</td>
            </tr>
            </table>
            <table>
           <tr>
            <td><strong>Your Quote</strong></td>
            </tr>
            <tr>
            <td>&nbsp;</td>
            <td><strong>Level</strong></td>
            <td><strong>Increasing</strong></td>
            </tr>
            <tr>
            <td>Monthly Premium:</td>
            <td>$level_month</td>
            <td>$inc_month</td>
            </tr>
            <tr>
            <td>Quarterly Premium:</td>
            <td>$level_quarter</td>
            <td>$inc_quarter</td>
            </tr>
            <tr>
            <td>Half-yearly Premium:</td>
            <td>$level_halfyr</td>
            <td>$inc_halfyr</td>
            </tr>
            <tr>
            <td>Annaual Premium:</td>
            <td>$level_ann</td>
            <td>$inc_ann</td>
            </tr>
            </table>
            </html>";

        $this->load->library('email');
        $config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'ssl://smtp.googlemail.com',
            'smtp_port' => 465,
            'smtp_user' => 'demo.iglulabs@gmail.com',
            'smtp_pass' => 'password123+',
            'mailtype' => 'html',
            'charset' => 'iso-8859-1'
        );
        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('info@moneyadvice.ie', 'Money Advice');
        $this->email->to($client_email);
        $this->email->bcc('contact@iglulabs.com');
        $this->email->bcc('sat@moneyadvice.ie');

        $this->email->subject('Financial Tree Quote Request');
        $this->email->message($body);

        return $this->email->send();
    }
    function leaveMessage_post()
    {
        if (isset($_POST['user_id']) && isset($_POST['email']) && isset($_POST['phone']) && isset($_POST['subject']) && isset($_POST['message'])) {
            $userId = $_POST['user_id'];
            $user   = $this->_getUserDetails($userId);
            $to     = $user->email;
            $email  = $_POST["email"];
            $phone  = $_POST["phone"];
            $subject = $_POST["subject"];

            $message = "Hi User,<br />The message details are as follows:<br><br />";
            $message .= "<b>Email:</b><br />" . $email . "<br /><br />";
            $message .= "<b>Subject:</b><br />" . $subject . "<br /><br />";
            $message .= "<b>Phone:</b><br />" . $phone . "<br /><br />";
            $message .= "<b>Message:</b><br />" . $_POST['message'] . "<br /><br />";
            $message .= "Best Regards <br > Money Advice Team";

            $st = $this->_sendBasemail($to, "New Message from Money Advice", $message);

            $this->_sendBasemail($email, "Confirmation mail from Money Advice", $message);

            $status = ($st) ? "Message Sent Successfully" : "Message Sending Failed";
            if($status){
                $this->response(array("message" => "Success"), 200);
            } else {
                $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
            }
        }
        else{
            $this->response(array('error' => "Required fields missing"), 400);
        }
    }
    function _sendBasemail($to, $subject, $message)
    {
        $this->load->library('email');
        $config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'ssl://smtp.googlemail.com',
            'smtp_port' => 465,
            'smtp_user' => 'julie.kalita@iglulabs.com',
            'smtp_pass' => 'julie@12345',
            'mailtype' => 'html',
            'charset' => 'iso-8859-1'
        );

        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('info@moneyadvice.ie', 'Money Advice');
        $this->email->to($to);
        $this->email->bcc('biresh.singh@iglulabs.com');
        // $this->email->bcc('sat@moneyadvice.ie');

        $this->email->subject($subject);
        $this->email->message($message);

        return $this->email->send();
    }
    function bookAppointment_post()
    {
        if (!empty($_POST['user_id']) && !empty($_POST['email']) && !empty($_POST['phone'])  && !empty($_POST['name']) && !empty($_POST['time']) && !empty($_POST['date'])) {
            $userId = $_POST['user_id'];
            $user = $this->_getUserDetails($userId);
            $to = $user->email;
            $email = $_POST["email"];
            $phone = $_POST["phone"];
            $name = $_POST["name"];
            $time = $_POST["time"];
            $date = $_POST["date"];
            $st = $this->generic_model->addGenericData('appointments', array('name' => $name, 'email' => $email, 'phone' => $phone, 'time' => $time, 'date' => $date));


            $message = "Hi User,<br />The Appointment details are as follows:<br><br />";
            $message .= "<b>Email:</b><br />" . $email . "<br /><br />";
            $message .= "<b>Name:</b><br />" . $name . "<br /><br />";
            $message .= "<b>Phone:</b><br />" . $phone . "<br /><br />";
            $message .= "<b>Date:</b><br />" . $date . "<br /><br />";
            $message .= "<b>Time:</b><br />" . $time . "<br /><br />";
            $message .= "Best Regards <br > Money Advice Team";

            $st = $this->_sendBasemail($to, "New Appointment Request from Money Advice", $message);

            $this->_sendBasemail($email, "Confirmation mail for Appointment from Money Advice", $message);


            $status = ($st) ? "Congrats. You have successfully booked an appointment" : "An Error Occurred. Please Try Again.";
            //$this->session->set_flashdata('status', $status);
            if($status){
                $this->response(array("message" => "Success"), 200);
            } else {
                $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
            }
        }
        else{
            $this->response(array('error' => "Required fields missing"), 400);
        }

    }
    function keepMeInform_post(){
        if (!empty($_POST['user_id']) && !empty($_POST["email"]) && !empty($_POST["phone"]) && !empty($_POST["name"])) {
            $userId = $_POST['user_id'];
            $email = $_POST["email"];
            $phone = $_POST["phone"];
            $name = $_POST["name"];

            $st = $this->generic_model->addGenericData('keep_inform', array('name' => $name, 'email' => $email, 'phone' => $phone));

            $status = ($st) ? "Thanks. We have recieved your info. We will keep you up-to date" : "An Error Occurred. Please Try Again.";
            //$this->session->set_flashdata('status', $status);

            if($status){
                $this->response(array("message" => "Success"), 200);
            } else {
                $this->response(array("message" => "Operation Failed. Please Try Again"), 410);
            }
        }
        else{
            $this->response(array('error' => "Required fields missing"), 400);
        }
    }
    function portfolio_post(){
        if(!empty($_POST['username']) && !empty($_POST['password']) && !empty($_POST['broker_id'])){

            $url = "https://services.moneyadvice.ie/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL"; 
            $client = new SoapClient($url);

//www.mortgagecrmlite.com/MoneyAdviceClientDataSync/MortgageTreeService.asmx


            $data = array('BrokerID' => $_POST['broker_id'], 'Email' => $_POST['username'], 'PIN' => $_POST['password']);

            $result = $client->LoginPortfolioClient($data);
            $cli_id = $result->LoginPortfolioClientResult;

            if ($cli_id != "ERROR") {
                $customer_id = $cli_id;
                $broker_id = $_POST['broker_id'];
                $client_id = $customer_id;
                //$userID = $this->_baseSettings("Portfolio");
                $data = getUserPolicies($broker_id, $client_id);
                $this->response(array("message" => "Success","data"=>$data), 200);
            } else {
                $this->response(array("message" => "Please check the credentials you have entered."), 410);
            }
        }
        else{
            $this->response(array('error' => "Required fields missing"), 400);
        }

    }
}
?>