<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view('common/quoteengine/head'); ?> 
</head>
<body>
<div class="quotes">
	<div id="loader" style="display: none;"><img src="<?php echo base_url()?>debug/img/loading.gif"></div>
	<div class="container-fluid">
	 <ul id="quoteTabs" class="quoteTabs">
		<li class="active"><a href="#">My Details</a></li>
		<?php 
			echo ( $step > 1 ) ? '<li><a href="income_protection?ld='.base64_encode($lead_id).'">My Quotes</a></li>' : '<li><a href="#">My Quotes</a></li> '; 
			echo ( $step > 2 ) ? ' <li><a href="apply_income_protection?ld='.base64_encode($lead_id).'">Get Cover</a></li>' : ' <li><a href="#">Get Cover</a></li>';
		?>
	 </ul>
		<section class="container-fluid">
		<form method="post" action="income_protection" class="form-horizontal" id="income_protection" name="income_protection" data-toggle="validator" role="form">
			<?php
				if( $_SESSION['broker_id'] == "280" )
					echo '<h4>Slide to Choose / Input Level of Annual Income';
				else
					echo '<h4>Slide to Choose Level of Annual Income';
			?>
			<a class="tip" href="#" data-toggle="tooltip" data-placement="bottom" title="Annual Income Protection benefit: This is up to a maximum of 75% of your annual income less &euro; 9,776 (social welfare benefit). For example, if you earn &euro; 40,000 per annum, you can insure up to &euro; 30,000 minus &euro; 9,776 = &euro; 20,224, but remember, you don't have to insure that exact amount"></a></h4>
			<div class="row">
				<div class="col-md-8">
					<div class="range-block">
						<div class="euro-symb">&euro;</div>
						<div class="slider-outer"><div id="slider-range-max"></div></div>
					</div>
				</div>
				<div class="col-xs-12 col-md-4 form-inline">
					<label for="amount" class="euro-amount">&euro;</label>
					<div class="form-group">
						<input type="text" id="amount" name="cover_amount" class="pull-left" value="<?php echo intval($cover_amount); ?>"  pattern="[0-9.]+" required />
					</div>
				</div>
			</div>
			<div class="row">
				<hr>
			</div>			
			<div class="row">
				<div class="col-lg-12">
					<div class="block">
						<div class="row">
							<div class="col-lg-6 col-sm-6">
								<div class="form-group">
									<label for="income_paye" class="col-sm-4 control-label">Employment<a class="tip" href="#" data-toggle="tooltip" data-placement="bottom" title="The quotes are being sent with Occupation Class 1"></a></label>
									<div class="col-sm-7">
										<i class="ICON employee"></i>
										<select class="form-control" name="income_paye">
										  <option value="income_paye" <?php echo ($income_paye == 'income_paye')?'selected' : ''; ?> >PAYE</option>
										  <option value="income_self" <?php echo ($income_paye == 'income_self')?'selected' : ''; ?> >Self Employed</option>
										</select>
									</div>
								</div>
								<div class="form-group">
									<label for="income_age" class="col-sm-4 control-label">Retirement Age </label>
									<div class="col-sm-7">
										<i class="ICON retire"></i>
										<select class="form-control" name="income_age" id="income_age">
										    <?php

												for( $i = 55; $i <= 70; $i++)
												{
													if($income_age == $i)
														echo '<option value="'.$i.'" selected > '.$i.' Years </option>';
													else
														echo '<option value="'.$i.'" > '.$i.' Years </option>';

												}
											?>
										</select>
									</div>
								</div>
								<div class="form-group">
									<label for="income_class" class="col-sm-4 control-label">Occupation Class</label>
									<div class="col-sm-7">
										<i class="ICON employee"></i>
										<select class="form-control" name="income_class">
										  <option value="Class 1" <?php echo ($income_class == 'Class 1')?'selected' : ''; ?> >Class 1</option>
										  <option value="Class 2" <?php echo ($income_class == 'Class 2')?'selected' : ''; ?> >Class 2</option>
										  <option value="Class 3" <?php echo ($income_class == 'Class 3')?'selected' : ''; ?> >Class 3</option>
										  <option value="Class 4" <?php echo ($income_class == 'Class 4')?'selected' : ''; ?> >Class 4</option>
										  <option value="Decline" <?php echo ($income_class == 'Decline')?'selected' : ''; ?> >Decline</option>
										</select>
									</div>
								</div>
								<div class="form-group">
									<label for="income_period" class="col-sm-4 control-label">Deferred Period</label>
									<div class="col-sm-7">
										<i class="ICON employee"></i>
										<select class="form-control" name="income_period">
										  <option value="4 Weeks" <?php echo ($income_period == '4 Weeks')?'selected' : ''; ?> >4 Weeks</option>
										  <option value="8 Weeks" <?php echo ($income_period == '8 Weeks')?'selected' : ''; ?> >8 Weeks</option>
										  <option value="13 Weeks" <?php echo ($income_period == '13 Weeks')?'selected' : ''; ?> >13 Weeks</option>
										  <option value="26 Weeks" <?php echo ($income_period == '26 Weeks')?'selected' : ''; ?> >26 Weeks</option>
										  <option value="52 Weeks" <?php echo ($income_period == '52 Weeks')?'selected' : ''; ?> >52 Weeks</option>
										</select>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-12">
					<h2>Personal Details</h2>
					<div class="block">
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label for="name" class="col-sm-4 control-label">First Name</label>
									<div class="col-sm-8">
										<i class="ICON user"></i>
										<input type="text" class="form-control" id="name" name="name" value="<?php echo $name;?>" required >
										<div class="help-block with-errors"></div>
									</div>
								</div>
								<div class="form-group">
									<label for="surname" class="col-sm-4 control-label">Last Name</label>
									<div class="col-sm-8">
										<i class="ICON user"></i>
										<input type="text" class="form-control" id="surname" name="surname" value="<?php echo $surname;?>" required >
										<div class="help-block with-errors"></div>
									</div>
								</div>
								<div class="form-group">
									<label for="contact" class="col-sm-4 control-label">Contact Number</label>
									<div class="col-sm-8">
										<i class="ICON contact"></i>
										<input type="text" class="form-control" id="contact" name="contact" value="<?php echo $contact;?>" required >
										<div class="help-block with-errors"></div>
									</div>
								</div>
								<div class="form-group">
									<label for="email" class="col-sm-4 control-label">Email Address</label>
									<div class="col-sm-8">
										<i class="ICON email"></i>
										<input type="email" class="form-control" id="email" name="email" value="<?php echo $email;?>" required >
										<div class="help-block with-errors"></div>
									</div>
									
								</div>
								<div class="form-group radio-but">
									<label for="gender" class="col-sm-4 control-label">Gender</label>
									<div class="col-sm-8">
										<div class="row">
											<div class="col-xs-6 col-md-6 left_inp">
												<i class="ICON male"></i>
												<div class="form-control">
													<input type="radio" name="gender" id="Male" value="M" <?php echo ($gender != 'F') ? 'checked' : ''?> />
													<label for="Male">Male</label>
												</div>
											</div>
											<div class="col-xs-6 col-md-6 right_inp">
												<i class="ICON female"></i>
												<div class="form-control">
													<input type="radio" name="gender" id="Female" value="F" <?php echo ($gender == 'F') ? 'checked' : ''?> />
													<label for="Female">Female</label>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="form-group radio-but">
									<label for="smoking" class="col-sm-4 control-label">Smoker</label>
									<div class="col-sm-8">
										<div class="row">
											<div class="col-xs-6 col-md-6 left_inp">
												<i class="ICON smoker"></i>
												<div class="form-control">
													<input type="radio" name="smoking" id="Smoker" value="Y" <?php echo ($smoking == 'Y') ? 'checked' : ''?> />
													<label for="Smoker">Yes</label>
												</div>
											</div>
											<div class="col-xs-6 col-md-6 right_inp">
												<i class="ICON nSmoker"></i>
												<div class="form-control">
													<input type="radio" name="smoking" id="Non Smoker" value="N" <?php echo ($smoking != 'Y') ? 'checked' : ''?> />
													<label for="Non Smoker">No</label>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="form-group dob_main">
									<label for="dob" class="col-sm-4 control-label">Date of birth</label>
									<div class="col-sm-8">
										<i class="ICON dob"></i>
										<input  type="hidden" name="dob" class="form-control" id="dobdate" value="<?php echo $dob; ?>" required />			
										<div class="help-block with-errors"></div>
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<!--<button type="button" class="add_button">
								<span class="add">+</span>Add Second Applicant</button> -->
								<div id="secondApp" style="display:none;">
									<h4>Second Applicant</h4>
									<div class="form-group radio-but">
										<label for="partner_gender" class="col-sm-4 control-label">Gender</label>
										<div class="col-sm-8">
											<div class="row">
												<div class="col-xs-6 col-md-6 left_inp">
													<i class="ICON male"></i>
													<div class="form-control">
														<input type="radio" name="partner_gender" id="Male2" value="M" <?php echo ($partner_gender == 'M') ? 'checked' : ''?> />
														<label for="Male2">Male</label>
													</div>
												</div>
												<div class="col-xs-6 col-md-6 right_inp">
													<i class="ICON female"></i>
													<div class="form-control">
														<input type="radio" name="partner_gender" id="Female2" value="F" <?php echo ($partner_gender != 'M') ? 'checked' : ''?> />
														<label for="Female2">Female</label>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="form-group radio-but">
										<label for="partner_smoking" class="col-sm-4 control-label">Smoker</label>
										<div class="col-sm-8">
											<div class="row">
												<div class="col-xs-6 col-md-6 left_inp">
													<i class="ICON smoker"></i>
													<div class="form-control">
														<input type="radio" name="partner_smoking" id="Smoker2" value="Y" <?php echo ($partner_smoking == 'Y') ? 'checked' : ''?> />
														<label for="Smoker2">Yes</label>
													</div>
												</div>
												<div class="col-xs-6 col-md-6 right_inp">
													<i class="ICON nSmoker"></i>
													<div class="form-control">
														<input type="radio" name="partner_smoking" id="Non Smoker2" value="N" <?php echo ($partner_smoking != 'Y') ? 'checked' : ''?> />
														<label for="Non Smoker2">No</label>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="partner_dob" class="col-sm-4 control-label">Date of birth</label>
										<div class="col-sm-8">
											<i class="ICON dob"></i>
											<input type="text" id="partner_dob" name="partner_dob" type="text" class="form-control dobdatepicker" value="<?php echo $partner_dob; ?>">
										</div>
									</div> 
									<div class="close">X</div>
								</div>
							</div>
						</div>
						<div class="row">	
							<div class="form-group">
							<div class="col-lg-12 terms">
								<input id="Option" type="checkbox" required>
								<?php
									 $terms_href =  base_url().'quoteengine/showContent/termsofb';
									 $privacy_href = base_url().'quoteengine/showContent/privacy';

									 if( checkCheckedValue("termsofb_link_sub",$details,true,false) )
										$terms_href = addhttp($details['termsofb_link']);

									 if( checkCheckedValue("privacy_link_sub",$details,true,false) )	
										$privacy_href =	addhttp($details['privacy_link']); 
				
									echo '<span> To confirm that you read <a target="_blank" href="'.$terms_href.'"><span class="business_terms">Terms of Business</span></a> and the <a target="_blank" href="'.$privacy_href.'" <span class="policy_terms">Privacy Statement</span></a></span>';
							    ?>           
								<div class="help-block with-errors"></div>
							</div>
							</div>
							<hr>
							<div class="sub_block">
								<input type='hidden' name='indexation' value='n' />
								<input type='hidden' name='cover_type' id='cover_type' value='Single' />
								<input type="hidden" name="lead_id" id="lead_id" value="<?php echo $lead_id; ?>" />

								<input type="hidden" name="utm" id="utm" value="" />
								<input type="hidden" name="utm_params" id="utm_params" value="" />
								<input type="hidden" name="utm_cmp" id="utm_cmp" value="" />

								<button type="submit" class="btn btn-default sub" name="get_income_quote">Get Quote Now</button>
							</div>
						</div>
					</div>
				</div>
			</div>
			</form>
		</section>
	</div>
</div>
	
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
<script src="<?php echo JS_PATH.'quoteengine/jquery.min.js'?>"></script>		
<script src="<?php echo JS_PATH.'quoteengine/bootstrap.min.js'?>"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="<?php echo JS_PATH.'quoteengine/jquery.date-dropdowns.min.js'?>"></script>		 
<script src="<?php echo JS_PATH.'quoteengine/custom.js'?>"></script>
<script src="<?php echo JS_PATH.'quoteengine/jquery.ui.touch-punch.min'?>"></script>	
<script src="<?php echo JS_PATH.'quoteengine/validator.js'?>"></script>

<script>
	$('#income_protection').validator().on('submit', function (e) 
	{
			if (e.isDefaultPrevented()) {
				// handle the invalid form...
			} else {
				// everything looks good!
//				document.getElementById("loader").style.display = "block";
//				$(".container").css({"opacity": 0.1});
			}
	})
</script>    
<script>
 $(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
 </script>
 <script>
 $(function () {
   $("#dobdate").dateDropdowns({
		minAge: 18,
		maxAge: 70,
	    submitFormat: "mm/dd/yyyy"
	});

   $("#dobpartner").dateDropdowns({
		minAge: 18,
		maxAge: 70,
	    submitFormat: "mm/dd/yyyy"
	});

})
 </script>
</body>
</html>