<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Reports extends CI_Controller {
   public $viewData=array();

   function __construct()
	{
		parent::__construct();
		
		if (!$this->ion_auth->logged_in()) // not logged in
        {
	         redirect('auth/login', 'refresh');
        }        
	    
		$this->viewData['current_user'] = $this->ion_auth->user()->row();
	}

	function index()
	{	
		$broker_id = $this->viewData['current_user']->broker_id;

		$this->viewData['life'] = $this->db->query("SELECT step, count(*) total FROM lead_tracker where type='life_insurance' and broker_id = ".$broker_id." group by step")->result();
		$this->viewData['mortgage'] = $this->db->query("SELECT step, count(*) total FROM lead_tracker where type='mortgage_protection' and broker_id = ".$broker_id." group by step")->result();
		$this->viewData['serious'] = $this->db->query("SELECT step, count(*) total FROM lead_tracker where type='serious_illness' and broker_id = ".$broker_id." group by step")->result();
		$this->viewData['income'] = $this->db->query("SELECT step, count(*) total FROM lead_tracker where type='income_protection' and broker_id = ".$broker_id." group by step")->result();

		$this->load->view('reports/index',$this->viewData);
	}

}