<?php   
    $this->load->view('common/head');
    $this->load->view('common/header',$this->viewData);
?>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h1>My Profile</h1>
            <ol class="breadcrumb">
                <li><a href="<?php echo base_url() ?>admin"><i class="fa fa-dashboard"></i> Dashboard</a></li>
                <li><a href="<?php echo base_url() ?>admin/profile"><i class="fa fa-user"></i> Profile</a></li>
                <li class="active">Edit</li>
            </ol>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <form method="post" action="<?php echo base_url()?>admin/edit_profile" />
                <input type="hidden" name="user_id" value="<?php echo $current_user->id?>">
                <div class="form-group">
                    <label>First Name</label>
                    <input class="form-control" type="text" name="first_name" required placeholder="First Name" value="<?php echo $current_user->first_name ?>">
                </div>

                <div class="form-group">
                    <label>Last Name</label>
                    <input class="form-control" type="text" name="last_name" required placeholder="Last Name" value="<?php echo $current_user->last_name ?>">
                </div>

                <div class="form-group">
                    <label>Email</label>
                    <p class="form-control-static"><?php echo $current_user->email ?></p>
                    <!-- <input class="form-control" type="email" name="email" required placeholder="Email"  value="<?php echo $current_user->email ?>"> -->
                </div>

                <div class="form-group">
                    <label>Phone</label>
                    <input class="form-control" type="text" name="phone" required placeholder="Phone"  value="<?php echo $current_user->phone ?>">
                </div>

                <div class="form-group">
                    <label>Address</label>
                    <textarea class="form-control" name="address" required placeholder="Address"><?php echo $current_user->address ?></textarea>
                </div>

                <div class="form-group">
                    <label>Company Name</label>
                    <input class="form-control" type="text" name="company" required placeholder="Company"  value="<?php echo $current_user->company ?>">
                </div>

                <div class="form-group">
                    <input class="form-control btn btn-primary" value="Change" name="submit" type="submit" />
                </div>

            </form>
        </div>
    </div>
</div>

<script>
    var activeLink=1;
</script>
<?php $this->load->view('common/footer'); ?>