<?php
    $this->load->view('common/head');
    $this->load->view('common/header',$this->viewData);
?>
    <link href="<?php echo CSS_PATH.'bootstrap-colorpicker'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'jasny-bootstrap'.CSS_EXT; ?>" rel="stylesheet">
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h1>Settings</h1>
            <?php $this->load->view('common/alert_messages'); ?>
        </div>
    </div><!-- /.row -->
    <div class="col-lg-10">
        <form method="post" action="<?php echo base_url()?>admin/save_theme" enctype="multipart/form-data" />
            <input type="hidden" name="user_id" value="<?php echo $current_user->id?>">
            <div class="panel-group" id="accordion">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <a data-toggle="collapse" data-target="#panelThemeSetting">
                            <h3 class="panel-title">Theme Settings</h3>
                        </a>
                    </div>
                    <div id="panelThemeSetting" class="panel-collapse collapse ">
                        <div class="panel-body">
                            <div class="form-group">
                                <label>Theme Color</label>
                                <div class="input-group addcolorpicker">
                                    <input style="text-transform:uppercase;" type="text" name="theme_color" data-present="<?php echo $settings['theme_color'] ?>" value="<?php echo $settings['theme_color'] ?>" class="form-control" />
                                    <span class="input-group-addon"><i></i></span>
                                </div>
                                <p class="help-block">The Default color is <b><i style="background-color: #18B3CF;height:16px;width:16px;display:inline-block"></i>#18B3CF</b>. you can change to your own color</p>
                            </div>

                            <div class="form-group">
                                <label>Logo</label>
                                <div class="input-group">
                                <div class="fileinput fileinput-new" data-provides="fileinput">
                                    <div class="fileinput-new thumbnail" style="width: 180px; height: 50px;">
                                        <img src="../uploads/<?php echo $settings['logo']; ?>" alt="180x50">
                                    </div>
                                    <div class="fileinput-preview fileinput-exists thumbnail" style="max-width: 180px; max-height: 50px;"></div>
                                    <div>
                                        <span class="btn btn-primary btn-file"><span class="fileinput-new">Select image</span><span class="fileinput-exists">Change</span><input type="file" name="logo"></span>
                                        <a href="#" class="btn btn-primary fileinput-exists" data-dismiss="fileinput">Remove</a>
                                    </div>
                                </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <a data-toggle="collapse" data-target="#panelHomeLinks">
                            <h3 class="panel-title">Home Page Links</h3>
                        </a>
                    </div>
                    <div id="panelHomeLinks" class="panel-collapse collapse ">
                        <div class="panel-body">
                            <div class="form-group">
                                <label><input type="checkbox" name="life" <?php echo checkCheckedValue("life",$settings) ?>/>Life Insurance</label>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="mortgage" <?php echo checkCheckedValue("mortgage",$settings) ?>/>Mortgage Protection</label>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="illness" <?php echo checkCheckedValue("illness",$settings) ?>/> Serious Illness</label>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="income" <?php echo checkCheckedValue("income",$settings) ?>/> Income Protection Insurance</label>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="portfolio" <?php echo checkCheckedValue("portfolio",$settings) ?>/>Portfolio Report</label>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="about" <?php echo checkCheckedValue("about",$settings) ?>/>About Us</label>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="contact" <?php echo checkCheckedValue("contact",$settings) ?>/>Get In Touch</label>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="news" <?php echo checkCheckedValue("news",$settings) ?>/>News And Events</label>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="capture" <?php echo checkCheckedValue("capture",$settings) ?>/>Client Data Capture</label>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="panel panel-default">
                    <div class="panel-heading">
                        <a data-toggle="collapse" data-target="#panelAbout">
                            <h3 class="panel-title">Firm Details</h3>
                        </a>

                    </div>
                    <div id="panelAbout" class="panel-collapse collapse ">
                        <div class="panel-body">
                            <div class="form-group">
                                <label><input type="checkbox" name="about_us_sub" <?php echo checkCheckedValue("about_us_sub",$settings) ?> />About Us</label>
                                <textarea class="ckeditor" name="about_us"><?php echo $settings['about_us']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="services_sub" <?php echo checkCheckedValue("services_sub",$settings) ?>/>Services</label>
                                <textarea class="ckeditor" name="services"><?php echo $settings['services']; ?></textarea>
                            </div>

                            <div class="form-group">
                                <label><input type="checkbox" name="working_with_sub" <?php echo checkCheckedValue("working_with_sub",$settings) ?>/>Working With</label>
                                <textarea class="ckeditor" name="working_with"><?php echo $settings['working_with']; ?></textarea>
                            </div>

                            <div class="form-group">
                                <label><input type="checkbox" name="office_hours_sub" <?php echo checkCheckedValue("office_hours_sub",$settings) ?>/>Office hours</label>
                                <textarea class="ckeditor" name="office_hours"><?php echo $settings['office_hours']; ?></textarea>
                            </div>

                            <div class="form-group">
                                <label><input type="checkbox" name="ulinks_sub" <?php echo checkCheckedValue("ulinks_sub",$settings) ?>/>Useful Links</label>
                                <textarea class="ckeditor" name="ulinks" ><?php echo $settings['ulinks']; ?></textarea>
                            </div>

                            <div class="form-group">
                                <label><input type="checkbox" name="terms_sub" <?php echo checkCheckedValue("terms_sub",$settings) ?>/>Terms & Conditions</label>
                                <textarea class="ckeditor" name="terms" ><?php echo $settings['terms']; ?></textarea>
                            </div>

                            <div class="form-group">
                                <label><input type="checkbox" id="termsofb_sub" name="termsofb_sub" <?php echo checkCheckedValue("termsofb_sub",$settings) ?>/>Terms of Business</label>
                                <label><input type="checkbox" id="termsofb_isLink_sub" name="termsofb_link_sub" <?php echo checkCheckedValue("termsofb_link_sub",$settings) ?>/>Is a Link</label>
                                <textarea id="termsofb_editor" class="ckeditor" name="termsofb" ><?php echo $settings['termsofb']; ?></textarea>
                                <input class="form-control" type="text" id="termsofb_link" name="termsofb_link" value="<?php echo $settings['termsofb_link']; ?>">
                            </div>

                            <div class="form-group">
                                <label><input type="checkbox" name="privacy_sub" <?php echo checkCheckedValue("privacy_sub",$settings) ?>/>Privacy Statement</label>
                                <label><input type="checkbox" id="privacy_link_sub" name="privacy_link_sub" <?php echo checkCheckedValue("privacy_link_sub",$settings) ?>/>Is a Link</label>

                                <textarea class="ckeditor" name="privacy" ><?php echo $settings['privacy']; ?></textarea>
                                <input class="form-control" type="text" id="privacy_link" name="privacy_link" value="<?php echo $settings['privacy_link']; ?>">
                            </div>

                            <div class="form-group">
                                <label><input type="checkbox" name="thanks_sub" <?php echo checkCheckedValue("thanks_sub",$settings) ?>/> Confirmation Message after Apply </label>
                                <textarea class="ckeditor" name="thanks" ><?php echo $settings['thanks']; ?></textarea>
                            </div>

                            <div class="form-group">
                                <label><input type="checkbox" name="footer_sub" <?php echo checkCheckedValue("footer_sub",$settings) ?>/> Footer Content</label>
                                <textarea class="ckeditor" name="footer" ><?php echo $settings['footer']; ?></textarea>
                            </div>


                            <div class="form-group">
                                <label><input type="checkbox" name="website_link_sub" <?php echo checkCheckedValue("website_link_sub",$settings) ?>/>Website link</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-cloud"></i></span>
                                    <input class="form-control" type="url" name="website_link" placeholder="Link to your Website" value="<?php echo $settings['website_link'] ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="logo_redirect_url_sub" <?php echo checkCheckedValue("logo_redirect_url_sub",$settings) ?>/>Where to take when the logo is clicked</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-cloud"></i></span>
                                    <input class="form-control" type="url" name="logo_redirect_url" placeholder="Where to take when the logo is clicked" value="<?php echo $settings['logo_redirect_url'] ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <label><input type="checkbox" name="back_button_url_sub" <?php echo checkCheckedValue("back_button_url_sub",$settings) ?>/>Where to take when the back button is clicked</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-cloud"></i></span>
                                    <input class="form-control" type="url" name="back_button_url" placeholder="Where to take when the back button is clicked" value="<?php echo $settings['back_button_url'] ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="input-group">
                                    <label><input type="checkbox" name="is_header_enabled_yn" <?php echo checkCheckedValue("is_header_enabled_yn",$settings) ?>/>Is header enabled?</label>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="input-group">
                                    <label><input type="checkbox" name="is_footer_enabled_yn" <?php echo checkCheckedValue("is_footer_enabled_yn",$settings) ?>/>Is footer enabled?</label>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <a data-toggle="collapse" data-target="#panelContact">
                            <h3 class="panel-title">Contact Info</h3>
                        </a>
                    </div>
                    <div id="panelContact" class="panel-collapse collapse ">
                        <div class="panel-body">
                            <div class="form-group">
                                <label>Location Coords</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
                                    <input type="text" name="location" class="form-control" value="<?php echo $settings['location']; ?>" placeholder="latitude , longitude"/>
                                </div>
                            </div>

                            <div class="form-group">
                                <label>Address</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-flag"></i></span>
                                    <textarea name="address" class="form-control" placeholder="Address" ><?php echo $settings['address']; ?></textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label>Facebook link</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-facebook"></i></span>
                                    <input type="url" name="facebook_link" class="form-control" value="<?php echo $settings['facebook_link']; ?>"/>
                                </div>
                            </div>

                            <div class="form-group">
                                <label>Twitter link</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-twitter"></i></span>
                                    <input type="url" name="twitter_link" class="form-control" value="<?php echo $settings['twitter_link']; ?>"/>
                                </div>
                            </div>
                            <div class="form-group">
                                <label>News & Events</label>
                                <textarea class="ckeditor" name="news_link" ><?php echo $settings['news_link']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>Telephone</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-phone"></i></span>
                                    <input type="text" name="telephone" class="form-control" value="<?php echo $settings['telephone']; ?>"/>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

            <div class="form-group">
                <input class="btn btn-primary" value="Save" name="save" type="submit" />
            </div>
        </form>
    </div>

</div><!-- /#page-wrapper -->

    <script src="<?php echo JS_PATH.'bootstrap-colorpicker.min.js' ?> "></script>
    <script src="<?php echo JS_PATH.'jasny-bootstrap.min.js' ?> "></script>
    <script type="text/javascript" charset="utf-8" src="<?php echo JS_PATH.'ckeditor/ckeditor'.JS_EXT ?>"></script>

<script>
    var activeLink=1;
</script>
    <script type="text/javascript">
        $(function () {
            var termsofb_link_sub = '<?php echo checkCheckedValue("termsofb_link_sub",$settings);?>' ;
            if(termsofb_link_sub==''){
                $("#termsofb_link").hide();
            }
            else{
                $("#termsofb_link").show();
                CKEDITOR.on("instanceReady", function(event) {
                    $('.cke_editor_termsofb_editor').hide();
                });
            }
            CKEDITOR.on("instanceReady", function(event) {
                $("#termsofb_isLink_sub").click(function () {
                    if ($(this).is(":checked")) {
                        $("#termsofb_link").show();
                        $('.cke_editor_termsofb_editor').hide();
                    } else {
                        $("#termsofb_link").hide();
                        $(".cke_editor_termsofb_editor").show();
                    }
                });
            });
        });
    </script>
    <script type="text/javascript">
        $(function () {
            var privacy_link_sub = '<?php echo checkCheckedValue("privacy_link_sub",$settings);?>' ;
            if(privacy_link_sub==''){
                $("#privacy_link").hide();
            }
            else{
                $("#privacy_link").show();
                CKEDITOR.on("instanceReady", function(event) {
                    $('.cke_editor_privacy').hide();
                });
            }
            CKEDITOR.on("instanceReady", function(event) {
                $("#privacy_link_sub").click(function () {
                    if ($(this).is(":checked")) {
                        $("#privacy_link").show();
                        $('.cke_editor_privacy').hide();
                    } else {
                        $("#privacy_link").hide();
                        $(".cke_editor_privacy").show();
                    }
                });
            });
        });
    </script>
<?php $this->load->view('common/footer'); ?>