<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">

	<title>Money Advice</title>
    <link href='http://fonts.googleapis.com/css?family=Raleway' rel='stylesheet' type='text/css'>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo CSS_PATH.'normalize'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'bootstrap'.CSS_EXT; ?>" rel="stylesheet">

    <!-- Add custom CSS here -->
    <link href="<?php echo CSS_PATH.'common'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'font-awesome.min'.CSS_EXT; ?>" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css" rel="stylesheet">	
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <link href="<?php echo CSS_PATH.'AdminLTE.min'.CSS_EXT; ?>" rel="stylesheet">

    <script src="<?php echo JS_PATH.'jquery-1.10.2'.JS_EXT ?> "></script>
    <script src="<?php echo JS_PATH.'bootstrap.min'.JS_EXT ?> "></script>
	<script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>


  </head>

  <body>

    <div id="wrapper">

<?php
	$this->load->view('common/lead-header'); 
?>

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
		      <div class="row">
        <div class="col-lg-3 col-xs-6">
				   <div class="info-box bg-aqua">
            <span class="info-box-icon "><i class="ion <?=$stepdata['icon']?>"></i></span>
            <div class="info-box-content">
              <span class="info-box-text">Visitors</span>
              <span class="info-box-number"><?=$stepdata['step1']+$stepdata['step2']+$stepdata['step3']+$stepdata['step4']?></span>
            </div>
          </div>

        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
				   <div class="info-box bg-red">
            <span class="info-box-icon ">1</span>
            <div class="info-box-content">
              <span class="info-box-text">My Details</span>
              <span class="info-box-number"><?=$stepdata['step2']+$stepdata['step3']+$stepdata['step4']?></span>
            </div>
          </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
          <div class="info-box bg-green">
            <span class="info-box-icon ">2</span>

            <div class="info-box-content">
              <span class="info-box-text">My Quotes</span>
              <span class="info-box-number"><?=$stepdata['step3']+$stepdata['step4']?></span>
            </div>
            <!-- /.info-box-content -->
          </div>

        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
          <div class="info-box bg-yellow">
            <span class="info-box-icon ">3</span>

            <div class="info-box-content">
              <span class="info-box-text">Get Cover</span>
              <span class="info-box-number"><?=$stepdata['step4']?></span>
            </div>
            <!-- /.info-box-content -->
          </div>

        </div>
        <!-- ./col -->
      </div>
      <!-- /.row -->

        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
        		<table class="table table-striped" id="tblLeads">
					<thead>
						<tr>
						<form name='frmFilters' action='leads\lead' method="get">
							<th></th>
							<th>
								<select name='t' id="sltType" onChange='callLeads(this)'>
									<option value='' <?php echo ( $type == '' ) ? 'selected' : ''; ?> >All Types</option>
									<option value='li' <?php echo ( $type == 'li' ) ? 'selected' : ''; ?> >Life Insurance</option>
									<option value='mp' <?php echo ( $type == 'mp' ) ? 'selected' : ''; ?> >Mortgage Protection</option>
									<option value='si' <?php echo ( $type == 'si' ) ? 'selected' : ''; ?> >Serious Illness</option>
									<option value='ip' <?php echo ( $type == 'ip' ) ? 'selected' : ''; ?> >Income Protection</option>
								</select>
							</th>
							<th>
								<select name='st' id="sltStep" onChange='callLeads(this)'>
									<option value='' <?php echo ( $step == '' ) ? 'selected' : ''; ?> >All Steps</option>
									<option value='1' <?php echo ( $step == '1' ) ? 'selected' : ''; ?> >Step 1</option>
									<option value='2' <?php echo ( $step == '2' ) ? 'selected' : ''; ?> >Step 2</option>
									<option value='3' <?php echo ( $step == '3' ) ? 'selected' : ''; ?> >Step 3</option>
									<option value='4' <?php echo ( $step == '4' ) ? 'selected' : ''; ?> >Step 4</option>
								</select>
							</th>
							<th>
								<select name='ct' id="sltCovertype" onChange='callLeads(this)'>
									<option value='' <?php echo ( $covertype == '' ) ? 'selected' : ''; ?> >All </option>
									<option value='Single' <?php echo ( $covertype == 'Single' ) ? 'selected' : ''; ?> > Single</option>
									<option value='Joint' <?php echo ( $covertype == 'Joint' ) ? 'selected' : ''; ?> > Joint</option>
								</select>
							</th>
							<th></th>
							<th></th>
							<th>
								<select name='ag' id="sltAge" onChange='callLeads(this)'>
									<option value='' <?php echo ( $age == '' ) ? 'selected' : ''; ?> >All Ages</option>
									<option value='15' <?php echo ( $age == '15' ) ? 'selected' : ''; ?> > 18 to 25 Years</option>
									<option value='25' <?php echo ( $age == '25' ) ? 'selected' : ''; ?> > 26 to 35 Years</option>
									<option value='35' <?php echo ( $age == '35' ) ? 'selected' : ''; ?> > 36 to 45 Years</option>
									<option value='45' <?php echo ( $age == '45' ) ? 'selected' : ''; ?> > 46 to 55 Years</option>
									<option value='55' <?php echo ( $age == '55' ) ? 'selected' : ''; ?> > 56 to 65 Years</option>
									<option value='65' <?php echo ( $age == '65' ) ? 'selected' : ''; ?> > 66 to 75 Years</option>
									<option value='75' <?php echo ( $age == '75' ) ? 'selected' : ''; ?> > Above 75 Years</option>
								</select>
							</th>			
							<th></th>
							<th></th>
							<th></th>
							</form>
						</tr>		
						<tr>
							<th>Sno</th>
							<th>Types</th>
							<th>Steps</th>
							<th>Cover Type</th>
							<th>Amount</th>
							<th>Duration</th>
							<th>Dob</th>			
							<th>Gender</th>							
							<th>Smoker?</th>
							<th>Time</th>
						</tr>
						
					</thead>
					<tbody>
 						<?php
							if(count($leads)>0){
								foreach ($leads as $i => $lead) 
								{
						?>
							<tr data-colid="<?php echo $lead->id ?>" data-table="leads">
								<td><?php echo $i+1 ?></td>
								<td><?php echo $lead->type ?></td>
								<td><?php echo $lead->step ?></td>
								<td><?php echo $lead->cover_type ?></td>
								<td><?php echo ($lead->cover_amount != '')? '&euro;  '.$lead->cover_amount : '' ?></td>
								<td><?php echo ($lead->length != '')? $lead->length.' years' : '' ?></td>
								<td><?php echo ($lead->dob != '')? date('d M, y', strtotime($lead->dob)) : '' ?></td>
								<td><?php echo $lead->gender ?></td>
								<td><?php echo $lead->smoking ?></td>
								<td><?php echo Date('d-M-y', strtotime($lead->timestamp)); ?></td>
							</tr>
						<?php
								}
							}else{
								echo "<tr style='text-align:center'><td colspan='9'> No leads found</tr>";
							}
						?>
					</tbody>
				</table>
        </div>
    </div>
</div>


<script>
$(document).ready(function() {
    $('#tblLeads').DataTable();
} );

function callLeads(data)
{
	window.location.href = 'lead?t='+$("#sltType").val()+'&st='+$("#sltStep").val()+'&ag='+$("#sltAge").val()+'&ct='+$("#sltCovertype").val();
}
</script>
<?php $this->load->view('common/footer'); ?>
