<?php  $this->load->view('common/head'); ?>

<!-- Sidebar -->
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
	<!-- Brand and toggle get grouped for better mobile display -->
	<div class="navbar-header">
		<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
			<span class="sr-only">Toggle navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
		</button>
		<a class="navbar-brand" href="<?php echo base_url()?>admin"></a>
	</div>

	<!-- Collect the nav links, forms, and other content for toggling -->
	<div class="collapse navbar-collapse navbar-ex1-collapse">
		<ul class="nav navbar-nav side-nav">
			<li><a href="<?php echo base_url()?>manage/"><i class="fa fa-users"></i> Users</a></li>
		</ul>

		<ul class="nav navbar-nav navbar-right navbar-user">
			<li class="dropdown user-dropdown">
				<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i> <?php echo $current_user->first_name?> <b class="caret"></b></a>
				<ul class="dropdown-menu">
					<li><a href="<?php echo base_url()?>admin/profile"><i class="fa fa-user"></i> Profile</a></li>
					<li class="divider"></li>
					<li><a href="<?php echo base_url()?>auth/logout"><i class="fa fa-power-off"></i> Log Out</a></li>
				</ul>
			</li>
		</ul>
	</div><!-- /.navbar-collapse -->
</nav>
	

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h1>Add User</h1>
            <ol class="breadcrumb">
                <li><a href="<?php echo base_url() ?>manage"><i class="fa fa-users"></i>  Users</a></li>
                <li class="active">Add</li>
            </ol>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <form method="post" action="<?php echo base_url()?>manage/saveUser" />
                <?php 
				if(isset($user))
					echo "<input type='hidden' name='id' value='".$user->id."'>";
				?>

                <div class="form-group">
                    <label>First Name</label>
                    <input class="form-control" type="text" name="first_name" required placeholder="First Name" value="<?php echo isset($user)?$user->first_name:"" ?>">
                </div>

                <div class="form-group">
                    <label>Last Name</label>
                    <input class="form-control" type="text" name="last_name" required placeholder="Last Name" value="<?php echo isset($user)?$user->last_name:"" ?>">
                </div>

                <div class="form-group">
                    <label>Email</label>
                    <input class="form-control" type="email" name="email" required placeholder="Email"  value="<?php echo isset($user)?$user->email:"" ?>">
                </div>

                <div class="form-group">
                    <label>Password</label>
                    
                    <?php 
                    	if(isset($user)){
                            echo '<input class="form-control" type="password" name="password" placeholder="Password"  />';
                            echo "<p>!!!!Extreme Caution. Add this field only if you are changing the password for the broker.</p>";
                        }else{
                            echo '<input class="form-control" type="password" name="password" required placeholder="Password"  />';
                        } 
                    		
                    ?>

                </div>

                <div class="form-group">
                    <label>Phone</label>
                    <input class="form-control" type="text" name="phone" required placeholder="Phone"  value="<?php echo isset($user)?$user->phone:"" ?>">
                </div>

                <div class="form-group">
                    <label>Broker ID</label>
                    <input class="form-control" type="text" name="broker_id" required placeholder="Broker ID"  value="<?php echo isset($user)?$user->broker_id:"" ?>">
                </div>

                <div class="form-group">
                    <label>CBR Code</label>
                    <input class="form-control" type="text" name="cbr_code" placeholder="CBR Code"  value="<?php echo isset($user)?$user->cbr_code:"" ?>">
                </div>

				<div class="form-group">
                    <label>Company Name</label>
                    <input class="form-control" type="text" name="company" required placeholder="Company"  value="<?php echo isset($user)?$user->company:"" ?>">
                </div>

                <div class="form-group">
                    <label>Sub Domain</label>
                    <input class="form-control" type="text" name="sub_domain" required placeholder="Sub Domain"  value="<?php echo isset($user)?$user->sub_domain:"" ?>">
                </div>

                <div class="form-group">
                    <input class="form-control btn btn-primary" value="Submit" name="submit" type="submit" />
                </div>

            </form>
        </div>
    </div>
</div>

<script>
    var activeLink=1;
</script>
<?php $this->load->view('common/footer'); ?>