<?php  $this->load->view('common/head'); ?>

<!-- Sidebar -->
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
	<!-- Brand and toggle get grouped for better mobile display -->
	<div class="navbar-header">
		<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
			<span class="sr-only">Toggle navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
		</button>
		<a class="navbar-brand" href="<?php echo base_url()?>admin"></a>
	</div>

	<!-- Collect the nav links, forms, and other content for toggling -->
	<div class="collapse navbar-collapse navbar-ex1-collapse">
		<ul class="nav navbar-nav side-nav">
			<li><a href="<?php echo base_url()?>manage/"><i class="fa fa-users"></i> Users</a></li>
		</ul>

		<ul class="nav navbar-nav navbar-right navbar-user">
			<li class="dropdown user-dropdown">
				<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i> <?php echo $current_user->first_name?> <b class="caret"></b></a>
				<ul class="dropdown-menu">
					<li><a href="<?php echo base_url()?>admin/profile"><i class="fa fa-user"></i> Profile</a></li>
					<li class="divider"></li>
					<li><a href="<?php echo base_url()?>auth/logout"><i class="fa fa-power-off"></i> Log Out</a></li>
				</ul>
			</li>
		</ul>
	</div><!-- /.navbar-collapse -->
</nav>
	

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h1>Brokers</h1>
            <ol class="breadcrumb">
                <li><a href="<?php echo base_url() ?>manage"><i class="fa fa-dashboard"></i> Users</a></li>

                <a class="pull-right" href="<?php echo base_url() ?>manage/addUser"><i class="fa fa-user"></i></a>
            </ol>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
        		<table class="table table-striped">
					<thead>
						<tr>
							<th>S No</th>
							<th>Name</th>
							<th>Company</th>
							<th>Broker ID</th>
							<th>CBR Code</th>
							<th>Email</th>
							<th>Phone</th>
							<th>Edit</th>
							<!-- <th>Delete</th> -->
						</tr>
					</thead>
					<tbody>
 						<?php
							if(count($users)>0){
								foreach ($users as $count=>$user) 
								{
						?>
							<tr data-colid="<?php echo $user->id ?>" data-table="users">
								<td><?php echo $count+1 ?></td>
								<td><?php echo $user->first_name.' '.$user->last_name ?></td>
								<td><?php echo $user->company ?></td>
								<td><?php echo $user->broker_id ?></td>
								<td><?php echo $user->cbr_code ?></td>
								<td><?php echo $user->email ?></td>
								<td><?php echo $user->phone ?></td>
								<td><a class="fa fa-edit" href="<?php echo base_url().'manage/addUser/'.$user->id.'/edit'?>"></a></td>
								<!-- <td><span class="fa fa-trash-o"> </span></td> -->
							</tr>
						<?php
								}
							}else{
								echo "<tr style='text-align:center'><td colspan='7'>:( seems there are no brokers added</tr>";
							}
						?>
					</tbody>
				</table>
        </div>
    </div>
</div>

<script>
    var activeLink=1;
</script>
<?php $this->load->view('common/footer'); ?>