<html>
<head>
    <?php $this->load->view('common/mobile/head'); ?>

    <link rel="stylesheet" href="<?php echo CSS_PATH.'mobile/test'.CSS_EXT?>" type="text/css"/>
    <script type="text/javascript" src="http://jzaefferer.github.com/jquery-validation/jquery.validate.js"></script>
    <script>
        $(document).ready(function(){
            $("#life_insurance_apply").validate({
                messages: {
                    terms_conditions: "Please review terms and conditions"
                }
            });
        });
    </script>
</head>
<body>
<div data-role="page" id="main_div">
    <div class="content_wrapper">
        <?php $this->load->view('common/mobile/header',$this->viewData); ?>

        <div class="link-wrapper">

            <div class="detail_wrapper">

                <div class="brade_crum">
                    <span> My Details</span>
                    <i class="sep"></i>
                    <span> My Results</span>
                    <i class="sep"></i>
                    <span> Get Cover</span>
                </div>

                <div class="seperator"></div>

                <form method="post" action="<?php echo base_url()?>mobile/apply_serious_illness/<?php echo $client;?>" class="userdetail" id="life_insurance_apply">
                    <?php if($cover_type != "Single"){
                        echo '<span class="tick_box_heading" style="margin-top: 20px;">Personal Details 1</span>';
                    }?>

                    <select name="title" class="select_title white">
                        <option value="Mr" selected>Mr.</option>
                        <option value="Mrs.">Mrs.</option>
                        <option value="Mrs.">Miss.</option>
                    </select>
                    <input type="text"  required name="name" placeholder="First Name"/>
                    <input type="text"  required name="surname" placeholder="Surname" />
                    <input type="text"  required name="address_line1" placeholder="Address Line 1"/>
                    <input type="text"  required name="address_line2" placeholder="Address Line 2"/>
                    <input type="text"  required name="city"   placeholder="City"/>
                    <select name="county" class="select_title white">
                        <option value="Antrim">Antrim</option>
                        <option value="Armagh">Armagh</option>
                        <option value="Carlow">Carlow</option>
                        <option value="Cavan">Cavan</option>
                        <option value="Clare">Clare</option>
                        <option value="Cork">Cork</option>
                        <option value="Derry">Derry</option>
                        <option value="Donegal">Donegal</option>
                        <option value="Down">Down</option>
                        <option value="Dublin" selected="selected">Dublin</option>
                        <option value="Fermanagh">Fermanagh</option>
                        <option value="Galway">Galway</option>
                        <option value="Kerry">Kerry</option>
                        <option value="Kildare">Kildare</option>
                        <option value="Kilkenny">Kilkenny</option>
                        <option value="Laois">Laois</option>
                        <option value="Leitrim">Leitrim</option>
                        <option value="Limerick">Limerick</option>
                        <option value="Longford">Longford</option>
                        <option value="Louth">Louth</option>
                        <option value="Mayo">Mayo</option>
                        <option value="Meath">Meath</option>
                        <option value="Monaghan">Monaghan</option>
                        <option value="Offaly">Offaly</option>
                        <option value="Roscommon">Roscommon</option>
                        <option value="Sligo">Sligo</option>
                        <option value="Tipperary">Tipperary</option>
                        <option value="Tyrone">Tyrone</option>
                        <option value="Waterford">Waterford</option>
                        <option value="Westmeath">Westmeath</option>
                        <option value="Wexford">Wexford</option>
                        <option value="Wicklow">Wicklow</option>
                    </select>
                    <select name="phone_type" class="select_title white">
                        <option selected>Phone Type</option>
                        <option value="Home">Home</option>
                        <option value="Mobile">Mobile</option>
                        <option value="Work">Work</option>
                    </select>
                    <input required type="text"  name="phone" placeholder="Phone  No"/>
                    <input required type="text"  name="email" placeholder="Email"/>
                    <select name="best_time" class="select_title white">
                        <option selected>Best Time To Reach Us</option>
                        <option value="9:30 AM - 1:00 PM">9:30 AM - 1:00 PM</option>
                        <option value="2:00 PM - 5:00 PM">2:00 PM - 5:00 PM</option>
                        <option value="7:00 PM - 9:00 PM">7:00 PM - 9:00 PM</option>
                    </select>

                    <?php if($cover_type != "Single"){?>
                        <span class="tick_box_heading" style="margin-top: 20px;">Personal Details 2</span>
                        <select name="title2" class="select_title white">
                            <option value="Mr" >Mr.</option>
                            <option value="Mrs." selected>Mrs.</option>
                            <option value="Mrs.">Miss.</option>
                        </select>
                        <input type="text"  required name="name2" placeholder="First Name"/>
                        <input type="text"  required name="surname2" placeholder="Surname" />
                        <input type="text"  required name="address_line12" placeholder="Address Line 1"/>
                        <input type="text"  required name="address_line22" placeholder="Address Line 2"/>
                        <input type="text"  required name="city2"   placeholder="City"/>
                        <select name="county2" class="select_title white">
                            <option value="Antrim">Antrim</option>
                            <option value="Armagh">Armagh</option>
                            <option value="Carlow">Carlow</option>
                            <option value="Cavan">Cavan</option>
                            <option value="Clare">Clare</option>
                            <option value="Cork">Cork</option>
                            <option value="Derry">Derry</option>
                            <option value="Donegal">Donegal</option>
                            <option value="Down">Down</option>
                            <option value="Dublin" selected="selected">Dublin</option>
                            <option value="Fermanagh">Fermanagh</option>
                            <option value="Galway">Galway</option>
                            <option value="Kerry">Kerry</option>
                            <option value="Kildare">Kildare</option>
                            <option value="Kilkenny">Kilkenny</option>
                            <option value="Laois">Laois</option>
                            <option value="Leitrim">Leitrim</option>
                            <option value="Limerick">Limerick</option>
                            <option value="Longford">Longford</option>
                            <option value="Louth">Louth</option>
                            <option value="Mayo">Mayo</option>
                            <option value="Meath">Meath</option>
                            <option value="Monaghan">Monaghan</option>
                            <option value="Offaly">Offaly</option>
                            <option value="Roscommon">Roscommon</option>
                            <option value="Sligo">Sligo</option>
                            <option value="Tipperary">Tipperary</option>
                            <option value="Tyrone">Tyrone</option>
                            <option value="Waterford">Waterford</option>
                            <option value="Westmeath">Westmeath</option>
                            <option value="Wexford">Wexford</option>
                            <option value="Wicklow">Wicklow</option>
                        </select>
                        <select name="phone_type2" class="select_title white">
                            <option selected>Phone Type</option>
                            <option value="Home">Home</option>
                            <option value="Mobile">Mobile</option>
                            <option value="Work">Work</option>
                        </select>
                        <input required type="text"  name="phone2" placeholder="Phone  No"/>
                        <input required type="text"  name="email2" placeholder="Email"/>
                    <?php } ?>

                    <div>
                        <span class="tick_box_heading" style="margin-top: 20px;">You  must tick  this  box</span>

                        <div class="wrapspan">
                        <span class="tickboxandheading">
                           <input type="checkbox" id="terms_conditions" class="css-checkbox"  required/>
                           <label for="terms_conditions" class="css-label">
                               <?php
                               if(checkCheckedValue("termsofb_link_sub",$details,true,false) && checkCheckedValue("privacy_link_sub",$details,true,false)){
                                   ?>

                                   <span>
                                    To confirm  that you  read <a target="_blank" href="<?php echo addhttp($details['termsofb_link']);?>"><span class="business_terms">Terms of Business</span></a>  and the  <a target="_blank" href="<?php echo addhttp($details['privacy_link']); ?>" <span class="policy_terms">    Privacy Statement</span></a>
                                </span>
                               <?php
                               }
                               else{
                                   if(checkCheckedValue("termsofb_link_sub",$details,true,false)){
                                       ?>

                                       <span>
                                    To confirm  that you  read <a target="_blank" href="<?php echo addhttp($details['termsofb_link']);?>"><span class="business_terms">Terms of Business</span></a>  and the  <a target="_blank" href="<?php echo base_url()?>mobile/showContent/privacy" <span class="policy_terms">    Privacy Statement</span></a>
                                </span>

                                   <?php
                                   }
                                   if(checkCheckedValue("privacy_link_sub",$details,true,false)){
                                       ?>

                                       <span>
                                    To confirm  that you  read <a target="_blank" href="<?php echo base_url()?>mobile/showContent/termsofb"><span class="business_terms">Terms of Business</span></a>  and the  <a target="_blank" href="<?php echo addhttp($details['privacy_link']);?>" <span class="policy_terms">    Privacy Statement</span></a>
                                </span>
                                   <?php
                                   }
                                   elseif(!checkCheckedValue("termsofb_link_sub",$details,true,false) && !checkCheckedValue("privacy_link_sub",$details,true,false)){
                                       ?>

                                       <span>
                                    To confirm  that you  read <a target="_blank" href="<?php echo base_url()?>mobile/showContent/termsofb"><span class="business_terms">Terms of Business</span></a>  and the  <a target="_blank" href="<?php echo base_url()?>mobile/showContent/privacy" <span class="policy_terms">    Privacy Statement</span></a>
                                </span>

                                   <?php
                                   }
                               }
                               ?>
                           </label>
                        </span>
                        </div>
                    </div>

                    <input type="hidden" class="st_in_txt" name="annual" id="annual" value="<?php echo $annual; ?>" />
                    <input type="hidden" class="st_in_txt" name="monthly" id="monthly" value="<?php echo $monthly; ?>" />
                    <input type="hidden" class="st_in_txt" name="cover_type" id="cover_type" value="<?php echo $cover_type; ?>" />
                    <input type="hidden" name="gender" id="gender" value="<?php echo $gender; ?>">
                    <input type="hidden" name="smoking" id="smoking" value="<?php echo $smoking; ?>">
                    <input type="hidden" name="dob" id="dob" value="<?php echo $dob; ?>">
                    <input type="hidden" name="partner_gender" id="partner_gender" value="<?php echo $partner_gender; ?>">
                    <input type="hidden" name="partner_smoking" id="partner_smoking" value="<?php echo $partner_smoking; ?>">
                    <input type="hidden" name="partner_dob" id="partner_dob" value="<?php echo $partner_dob; ?>">
                    <input type="submit" value="Apply for Cover" name="send_mail" class="linkbutton" />
                </form>

            </div>
        </div>

    </div>

</div>
</body>
</html>
<style>
    select::-ms-expand {
        display: none;
    }
    select{
        border: 1px solid #E5E5E5;
    }
</style>