<html>
<head>
    <?php $this->load->view('common/mobile/head'); ?>
</head>
<body>
    <div data-role="page" id="pageLocation" class="page">
        <div class="content_wrapper">
            <?php $this->load->view('common/mobile/header',$this->viewData); ?>
            <div class="link-wrapper">
                <div class="detail_wrapper">
                    <div id="map_canvas"></div>
                    <div id="address">
                        <span id="addressText"><?php echo $details['address']?></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
    <script src="https://maps.googleapis.com/maps/api/js?sensor=false"></script>
    <script type="text/javascript">
        var latitude= 12.971373;
        var longitude=77.650348;
        <?php
            if(!empty($details['location'])){
                $vars= explode(',',$details['location']);
                if(count($vars)>1){
                    echo "var latitude = ".$vars[0].";";
                    echo "var longitude = ".$vars[1].";";
                }
            }
        ?>

        google.maps.event.addDomListener(window, 'load', initialize);


        function initialize() {
            var location = new google.maps.LatLng(latitude, longitude);
            var map_canvas = document.getElementById('map_canvas');
            var map_options = {
                center: new google.maps.LatLng(latitude, longitude),
                zoom: 16,
                scrollwheel: false,
                styles:[{
                    featureType: "all",
                    stylers: [{ saturation: -100 },{ lightness: 20 } ]
                }],
                mapTypeId: google.maps.MapTypeId.ROADMAP
            }
            var map = new google.maps.Map(map_canvas, map_options);
            marker =  new google.maps.Marker({
                position: location,
                map: map
            });
        }

    </script>
</html>