<html>
<head>
    <?php $this->load->view('common/mobile/head'); ?>

    <link rel="stylesheet" href="<?php echo CSS_PATH.'mobile/test'.CSS_EXT?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'default'.CSS_EXT?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'default.date'.CSS_EXT?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'default.time'.CSS_EXT?>" type="text/css"/>
    <script>
        $(function() {
            $('input[name="cover_type"]').change(function(){
                if($(this).val()==="Single"){
                    $('#second').hide();
                }else{
                    $('#second').show();
                }
            });
        });

    </script>

</head>

<body>
<div data-role="page" id="main_div">
    <div class="content_wrapper">
        <?php $this->load->view('common/mobile/header',$this->viewData); ?>

        <div class="link-wrapper">

            <div class="detail_wrapper">
                <div class="brade_crum">
                    <span > My Details</span>
                    <i class="sep"></i>
                    <span class="grey"> My Results</span>
                    <i class="sep grey"></i>
                    <span class="grey"> Get Cover</span>
                </div>
                <div class="seperator"></div>
                <form method="post" action="mortgage_insurance" name="mortgage_insurance" class="mortgage_insurance">
                    <span class="quote_heading">Personal Details </span>
                    <span class="quote_detail"> Sum Insured</span>
                    <div class="field_wrapper">
                        <span class="field_icon icon-euro"></span>
                        <input type="text"  name="cover_amount" class="field_vale" value="" required/>
                    </div>
                    <span class="quote_detail"> Single  Cover  or  Joint Cover </span>
                    <div class="switch">
                      <input type="radio" class="switch-input" name="cover_type" value="Single" id="single_cover" checked>  <label for="single_cover" class="switch-label switch-label-off single_cover">Single Cover</label>
                      <input type="radio" class="switch-input" name="cover_type" value="Joint" id="joint_cover"> <label for="joint_cover" class="switch-label switch-label-on joint_cover">Joint Cover</label>
                   </div>
                    <span class="quote_detail"> Length  of Terms </span>
                    <div class="insuranceSelectBoxContainer">
                        <div class="insuranceSelectBoxContainer1">
					<select class="select_title" style="border: 1px solid #E5E5E5" name="length">
						<?php
						for ($i=10; $i<=40; $i++)
						{
							?>
							<option value="<?php echo $i;?>"><?php echo $i.'years';?></option>
							<?php
						}
						?>
                    </select>
                    </div>
                         </div>


                    <span class="quote_heading"> First  Applicant </span>
                    <span class="quote_detail">Gender</span>
                        <div class="switch switch-yellow">
                         <input type="radio" class="switch-input" name="gender" value="Male" id="male_gender" checked>  <label for="male_gender" class="switch-label switch-label-off gender_male">Male</label>
                         <input type="radio" class="switch-input" name="gender" value="Female" id="female_gender">  <label for="female_gender" class="switch-label switch-label-on gender_female">Female</label>
                        </div>
                    <span class="quote_detail">Smoker Status</span>
                        <div class="switch switch-green">
                            <input type="radio" class="switch-input" name="smoking" value="Smoker" id="smoker"> <label for="smoker" class="switch-label switch-label-off smoker"> Smoker</label>
                            <input type="radio" class="switch-input" name="smoking" value="Non-smoker" id="non_smoker" checked> <label for="non_smoker" class="switch-label switch-label-on nonsmoker">Non-Smoker</label>
                        </div>
                    <span class="smoker_detail"> To be considered  for non-smoker rates you  must be non-smoker for last 12 months</span>
                    <span class="quote_detail"> Date  Of Birth</span>
                    <input required type="text" id="datepicker" name="dob" type="text">

                    <div id="second" style="display:none">
                        <span class="quote_heading"> Second  Applicant </span>
                        <span class="quote_detail">Gender</span>
                            <div class="switch switch-yellow">
                             <input type="radio" class="switch-input" name="partner_gender" value="Male" id="male_gender2" >  <label for="male_gender2" class="switch-label switch-label-off gender_male">Male</label>
                             <input type="radio" class="switch-input" name="partner_gender" value="Female" id="female_gender2" checked>  <label for="female_gender2" class="switch-label switch-label-on gender_female">Female</label>
                            </div>
                        <span class="quote_detail">Smoker Status</span>
                            <div class="switch switch-green">
                                <input type="radio" class="switch-input" name="partner_smoking" value="Smoker" id="smoker"> <label for="smoker" class="switch-label switch-label-off smoker"> Smoker</label>
                                <input type="radio" class="switch-input" name="partner_smoking" value="Non-smoker" id="non_smoker" checked> <label for="non_smoker" class="switch-label switch-label-on nonsmoker">Non-Smoker</label>
                            </div>
                        <span class="smoker_detail"> To be considered  for non-smoker rates you  must be non-smoker for last 12 months</span>
                        <span class="quote_detail"> Date  Of Birth</span>
                        <input type="text" id="datepicker1" name="partner_dob" type="text">
                    </div>


                    <input type="hidden" name="indexation" id="indexation" value="0">
                    <input type="submit" class="linkbutton" name="get_life_quote" value="Submit Details">
                </form>
            </div>
        </div>
    </div>
</div>
</body>
</html>

<script src="<?php echo JS_PATH.'picker'.JS_EXT?>" type ="text/javascript"></script>
<script src="<?php echo JS_PATH.'picker.date'.JS_EXT?>" type ="text/javascript"></script>

<script type="text/javascript">
    $(function(){
        var d = new Date();
        d.setFullYear(d.getFullYear() - 18);
        $('#datepicker, #datepicker1').pickadate({
            editable:true,
            min: new Date(1920,1,01),
            max: d,
            selectYears: 100,
            selectMonths: true,
            showMonthsFull: false
        });
    });
</script>