<?php 
    // echo json_encode($policies);
$policyDetails = isset($policies["Policies"][0]) ? $policies["Policies"] : array($policies["Policies"]);
    //$policyDetails = $policies["Policies"];
    $type=array();
    foreach ($policyDetails as $value) {
        $type[]=$value["Product"];
    }
    $type=array_unique($type);

    function isAssoc($arr)
    {
        return array_keys($arr) !== range(0, count($arr) - 1);
    }
?>
<html>
<head>
    <?php $this->load->view('common/mobile/head'); ?>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'bootstrap'.CSS_EXT?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'policies'.CSS_EXT.'?dc='.time()?>" type="text/css"/>
    <script type="text/javascript" src="<?php echo JS_PATH.'bootstrap.min'.JS_EXT ?>"></script>
	<style>
		input[type=checkbox]
		{
		  -webkit-appearance:checkbox;
		}
	</style>

</head>
<body>
    <div data-role="page" id="pageAbout" class="page">
        <div class="content_wrapper">
        <header>

            <?php if(checkCheckedValue("is_header_enabled_yn", $details, true, false)):?>
            <a class="logo" href="home" rel="external">
                <img  src="<?php echo base_url()?>uploads/<?php echo $details['logo'];?>" />
            </a>
            <h2 class="header_heading_2"><?php echo $details['pageTitle'];?></h2>
            <a class="logout-icon icon-logout" href="<?php echo base_url()?>mobile/logoutPortfolio"></a>
            <?php endif ?>

            <?php if(!checkCheckedValue("is_header_enabled_yn", $details, true, false)):?>
                <a class="logout-icon icon-logout pull-right" href="<?php echo base_url()?>mobile/logoutPortfolio"></a>
            <?php endif ?>
        </header>

            <div class="link-wrapper">
                <div class="detail_wrapper">
                    <div class="page_wrapper">
                        <div class="navbar navbar-default navbar-fixed-bottom" role="navigation">
                              <div class="container">
                                <div class="navbar-header">
                                  <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse">
                                    <span class="sr-only">Toggle navigation</span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                  </button>
                                  <a class="navbar-brand" href="#">Select Policy Type</a>
                                </div>
                                <div style="height: 1px;" class="navbar-collapse collapse">
                                  <ul class="nav navbar-nav">
                                    <?php 
                                            foreach ($type as $t) {
                                                echo "<li><a href='#'>".$t."</a></li>";
                                            }
                                        ?>
                                  </ul>
                                </div>
                              </div>
                          </div>
    
                        <?php 
                            foreach ($policyDetails as $ind=>$policy) { //display all policies of user
                                $product=$policy['Product'];
                                $class=explode(' ',$product);
                        ?>
                                <div class="quote <?php echo $class[0] ?>">
                                    <div class="page_wrapper_heading">
                                        <!-- <span class="page_wrapper_heading_l"> <?php echo $product ?> -</span> -->
                                        <span  class="page_wrapper_heading_r"> <?php echo $policy['PolicyOwner1Name'] ?></span>
                                    </div>
                                    <div class="policy_detail">
                                        <table>
                                            <tr>
                                                <td> Provider <?php echo $class[0] ?> </td>
                                                <td><?php if(isset($policy['Provider'])&& !is_array($policy['Provider'])){echo $policy['Provider'];}?></td>
                                            </tr>
                                            <tr>
                                                <td> Policy Number </td>
                                                <td> <a  href="<?php echo base_url() ?>mobile/viewpolicy/<?php echo $ind; ?>" > <?php if(!is_array($policy['PolicyNumber'])){echo $policy['PolicyNumber'];}else{echo "Data Not Available";}?></a> </td>
                                            </tr>

                                            <tr>
                                                <td> Description </td>
                                                <td><?php if(is_array($policy['Description'])){ if(is_array($policy['ProductType'])){ echo " Information currently not available. " ;} else{ echo $policy['ProductType']; } }else{echo $policy['Description']."<br/>";}?></td>
                                            </tr>
                                            
                                            <tr>
                                                <td> Premium </td>
                                                <td>
                                                    <?php
                                                        $premium = (!empty($policy['Premium']) && !is_array($policy['Premium']))?number_format($policy['Premium'], 2):'NA';
                                                        $frequency = (!empty($policy['Frequency']) && !is_array($policy['Frequency']))?" (".$policy['Frequency']." )":'';
                                                        echo "&euro;".$premium.$frequency;
                                                    ?>
                                                </td>
                                            </tr>
                                            
                                            <tr>
                                                <td> Status </td>
                                                <td><?php if(isset($policy['PolicyStatus'])){echo $policy['PolicyStatus'];}?></td>
                                            </tr>
                                            
                                            <tr>
                                                <td> <?php if($class[0]!='Pension' && $class[0]!='Investment'){ ?>Value / Benefit Details <?php } else{ ?>Value Details<?php } ?></td>
                                                <td><?php 
                                                        if(isset($policy['Benefits']) && $class[0]!='Pension' && $class[0]!='Investment'){
                                                            if(!isAssoc($policy['Benefits'])){                                            
                                                                foreach($policy['Benefits'] as $x){
                                                                    //$xxx=!is_array($x['BenefitAmount'])?number_format($x['BenefitAmount'], 2):"Data Not Available";
                                                                    if(!is_array($x['BenefitAmount'])){
                                                                        $xxx = number_format($x['BenefitAmount'], 2);
                                                                        echo $x['BenefitLivesAssured'].": ".$x['BenefitType']." &euro;".$xxx."<br />";
                                                                    }
                                                                    else{
                                                                        $xxx = "Data Not Available";
                                                                        echo $x['BenefitLivesAssured'].": ".$x['BenefitType']." ".$xxx."<br />";
                                                                    }

                                                                }
                                                            }else{
                                                                //$xxx=!is_array($policy['Benefits']['BenefitAmount'])?number_format($policy['Benefits']['BenefitAmount'], 2):"Data Not Available";
                                                                if(!is_array($policy['Benefits']['BenefitAmount'])){
                                                                    $xxx = number_format($policy['Benefits']['BenefitAmount'], 2);
                                                                    echo $policy['Benefits']['BenefitLivesAssured'].": ".$policy['Benefits']['BenefitType']." &euro;".$xxx."<br />";
                                                                }
                                                                else{
                                                                    $xxx = "Data Not Available";
                                                                    echo $policy['Benefits']['BenefitLivesAssured'].": ".$policy['Benefits']['BenefitType']." ".$xxx."<br />";
                                                                }
                                                                //echo $policy['Benefits']['BenefitLivesAssured'].": ".$policy['Benefits']['BenefitType']." &euro;".$xxx."<br />";
                                                            }
                                                        }
                                                        else{
                                                            if($policy['PolicyValue']>0){
                                                                if(is_array($policy['ValueDate'])){
                                                                    echo " ".number_format($policy['PolicyValue'], 2)." (Value as of ";
                                                                    echo " Date not available. )";
                                                                }else{
                                                                    echo "&euro;".number_format($policy['PolicyValue'], 2)." (Value as of ";
                                                                    echo $policy['ValueDate'].")";
                                                                }
                                                            }
                                                        }
                                                    ?>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>

                        <?php
                            } 
                        ?>

                    </div>
                </div>
            </div>
        </div>
    </div>

	<!-- Modal -->
<div id="myModal" class="modal fade in" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Terms</h4>
      </div>
	  <form>
      <div class="modal-body">
        <p>You are about to enter the Portfolio section of our website.  The data contained within has been provided to <a href='http://www.moneyadvice.ie' target="_new">Lunar Technologies Ltd t/a Money Advice</a> by regulated financial services providers.  The data is for illustrative purposes only.  To the fullest extent permissible by applicable law and regulation, <b><?php echo $broker_company; ?>, Lunar Technologies Limited,</b> their directors, officers and employees, disclaim any liability for loss or damage incurred directly or indirectly through your use of or reliance upon the site.</p>
		<br>
		<input type="checkbox" name="chkdiscliamer" id="chkDisclaimer" required />  I have read and accept the terms of usage.

      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
	  </form>
    </div>
  </div>
</div>

</body>
</html>

<script type="text/javascript">
var f=false;
    $(document).on('click','.nav li', function(){
        var req_class=$.trim($(this).find('a').text());
        req_class=req_class.split(' ')[0];
        $(this).addClass('active').siblings().removeClass('active');
        $('.quote').each(function(){
            if($(this).hasClass(req_class)){
                $(this).show();
            }else{
                $(this).hide();
            }
        });
        if(f)
            $('.navbar-toggle').click();
        else
            f=true;
        
    });

    $('.nav li').eq(0).trigger('click');
</script>

<script type="text/javascript">
    $(window).load(function(){
			if(window.sessionStorage.getItem('popupshown') != 1){
			    $('#myModal').modal('show');
		        window.sessionStorage.setItem('popupshown','1');
			}
       });

	$('#myModal').on('hidden.bs.modal', function () {
			if( ! document.getElementById('chkDisclaimer').checked )
			{
				alert('Please read and accept the terms to view the report');
				$('#myModal').modal('show');
			}
	})
</script>