<html>
<head>
    <?php $this->load->view('common/quoteengine/head');
    function isAssoc($arr)
    {
        return array_keys($arr) !== range(0, count($arr) - 1);
    }
     ?>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'bootstrap'.CSS_EXT?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'policies'.CSS_EXT?>" type="text/css"/> 
    <script type="text/javascript" src="<?php echo JS_PATH.'bootstrap.min'.JS_EXT ?>"></script>

</head>
<body>
    <div data-role="page" id="pageAbout" class="page">
        <div class="content_wrapper">
            <header>
<!--                <a class="logo" href="home" rel="external">-->
<!--                    <img  src="--><?php //echo base_url()?><!--uploads/--><?php //echo $details['logo'];?><!--" />-->
<!--                </a>-->
<!--                <h2 class="header_heading_2">--><?php //echo $details['pageTitle'];?><!--</h2>-->
<!--                <a class="logout-icon icon-logout" href="--><?php //echo base_url()?><!--quoteengine/logoutPortfolio"></a>-->
                <?php if(checkCheckedValue("is_header_enabled_yn", $details, true, false)):?>
                    <a class="logo" href="home" rel="external">
                        <img  src="<?php echo base_url()?>uploads/<?php echo $details['logo'];?>" />
                    </a>
                    <h2 class="header_heading_2"><?php echo $details['pageTitle'];?></h2>
                    <a class="logout-icon icon-logout" href="<?php echo base_url()?>quoteengine/logoutPortfolio"></a>
                <?php endif ?>

                <?php if(!checkCheckedValue("is_header_enabled_yn", $details, true, false)):?>
                    <a class="logout-icon icon-logout pull-right" href="<?php echo base_url()?>quoteengine/logoutPortfolio"></a>
                <?php endif ?>
            </header>
            <div class="link-wrapper">
                <div class="detail_wrapper">
                    <div class="page_wrapper">
                        <?php if(!empty($data)){
                        ?>
                        <div class="quote">
                            <div class="page_wrapper_heading">
                                <p class="page_wrapper_heading">Basic Information<a class="bbtn" href="<?php echo base_url()?>quoteengine/policies">Back</a></p>

                            </div>
                            

                            <table class="table table-striped table-bordered">
                                <tr>
                                    <td>Policy Number:</td>
                                    <td><?php echo (!empty($data['PolicyNumber'])&& !is_array($data['PolicyNumber'])) ? $data['PolicyNumber']:"Data Not Available";?></td>
                                </tr>
                                <tr>
                                    <td>Client</td>
                                    <td><?php echo $data['PolicyOwner1Name'];?></td>
                                </tr>
                                <tr>
                                    <td>Provider</td>
                                    <td><?php if(isset($data['Provider'])){ echo $data['Provider'];}else{echo $data['Provider'];}?></td>
                                </tr>
                                <tr>
                                    <td>Policy Description</td>
                                    <td><?php if(!is_array($data['ProductType'])){echo $data['ProductType'];}else{echo "N/A";}?></td>
                                </tr>                          
                                


                                <?php
                                    if($data['PolicyValue']>0){
                                ?>
                                    <tr>
                                        <td>Policy Value</td>
                                        <td><?php echo "&euro;".number_format($data['PolicyValue'], 2);?></td>
                                    </tr>
                                <?php
                                }
                                ?>
                                
                                <?php
                                    if(!is_array($data['PaidToDate']) && $data['PaidToDate']>0){
                                ?>
                                    <tr>
                                        <td>Total Premiums Paid</td>
                                        <td><?php echo "&euro;".$data['PaidToDate'];?></td>
                                    </tr>
                                <?php
                                    }
                                ?>

                                <tr>
                                    <td>Status</td>
                                    <td><?php echo $data['PolicyStatus'];?></td>
                                </tr>

                                <tr>
                                    <td>Premium</td>
                                    <td><?php echo "&euro;".number_format($data['Premium'], 2);?></td>
                                </tr>

                                <tr>
                                    <td>Frequency</td>
                                    <td><?php echo $data['Frequency'];?></td>
                                </tr>

                                <tr>
                                    <td>Start Date</td>
                                    <td><?php if(!is_array($data['StartDate'])){echo $data['StartDate'];}else{echo " Information currently not available ";}?></td>
                                </tr>

                                <tr>
                                    <td>End Date</td>
                                    <td><?php if(!is_array($data['EndDate'])){echo $data['EndDate'];}else{echo " Information currently not available ";}?></td>
                                </tr>

                                <tr>
                                    <td>Additional Notes</td>
                                    <td><?php if(is_array($data['Description'])){echo " Information currently not available ";}else{echo $data['Description'];}?></td>
                                </tr>

                            </table>

                            
                            <?php
                                if(isset($data['Fund'])){
                            ?>
                                <div class="page_wrapper_heading">
                                    <span class="page_wrapper_heading_r">Fund Details</span>
                                </div>
                                    <?php
                                        if(!isAssoc($data['Fund'])){
                                            foreach($data['Fund'] as $data){
                                    ?>          
                                            <h3><?php echo $data['FundName'];?></h3>
                                            <table class="table table-striped table-bordered">
                                                <tr>
                                                    <td>Fund Units</td>
                                                    <td><?php if(!is_array($data['FundUnits'])){echo $data['FundUnits'];}else{echo "N/A";};?></td>
                                                </tr>
                                                <tr>
                                                    <td>Fund Unit Price</td>
                                                    <td><?php echo "&euro;".number_format($data['FundUnitPrice'], 2);?></td>
                                                </tr>
                                                <tr>
                                                    <td>Fund Value</td>
                                                    <td><?php if(!is_array($data['FundValue'])){echo "&euro;".number_format($data['FundValue'], 2);}else{echo "N/A";}?></td>
                                                </tr>      </table>                     
                                    <?php
                                            }
                                        }else{
                                            ?>
                                            <h3 class="theme_text"><?php echo $data['Fund']['FundName'];?></h3>
                                            <table class="table table-striped table-bordered">
                                                <tr>
                                                    <td>Fund Units</td>
                                                    <td><?php if(!is_array($data['Fund']['FundUnits'])){echo $data['Fund']['FundUnits'];}else{echo "N/A";};?></td>
                                                </tr>
                                                <tr>
                                                    <td>Fund Unit Price</td>
                                                    <td><?php echo  !is_array($data['Fund']['FundUnitPrice']) ? "&euro;".number_format($data['Fund']['FundUnitPrice'], 2):"N/A";?></td>
                                                </tr>
                                                <tr>
                                                    <td>Fund Value</td>
                                                    <td><?php echo  !is_array($data['Fund']['FundValue']) ? "&euro;".number_format($data['Fund']['FundValue'], 2):"N/A";?></td>
                                                </tr>       
                                                </table>                    
                                    <?php   
                                        }
                                    ?>

                            <?php
                                }
                            ?>

                            <?php
                                if(isset($data['Benefits'])){
                            ?>
                                <div class="page_wrapper_heading">
                                    <span class="page_wrapper_heading_r">Benifit Details</span>
                                </div>
                                
                                    <?php
                                        if(!isAssoc($data['Benefits'])){
                                            foreach($data['Benefits'] as $data){
                                    ?>
                                            <table  class="table table-striped table-bordered">
                                                <tr>
                                                    <td>Benefit Type</td>
                                                    <td><?php echo $data['BenefitType'];?></td>
                                                </tr>
                                                <tr>
                                                    <td>Benefit Lives Assured</td>
                                                    <td><?php echo $data['BenefitLivesAssured'];?></td>
                                                </tr>
                                                <tr>
                                                    <td>Benefit Amount</td>
                                                    <td><?php echo !is_array($data['BenefitAmount']) ? "&euro;".number_format($data['BenefitAmount'], 2):"N/A";?></td>
                                                </tr>  
                                            </table>                      
                                    <?php
                                            }
                                        }else{
                                            ?>
                                                <table  class="table table-striped table-bordered">
                                                <tr>
                                                    <td>Benefit Type</td>
                                                    <td><?php echo $data['Benefits']['BenefitType'];?></td>
                                                </tr>
                                                <tr>
                                                    <td>Benefit Lives Assured</td>
                                                    <td><?php echo $data['Benefits']['BenefitLivesAssured'];?></td>
                                                </tr>
                                                <tr>
                                                    <td>Benefit Amount</td>
                                                    <td><?php echo !is_array($data['Benefits']['BenefitAmount']) ? "&euro;".number_format($data['Benefits']['BenefitAmount'], 2):"N/A";?></td>                        
                                                </tr>
                                            </table>
                                                  
                                                    
                                    <?php   
                                        }
                                    ?>

                            <?php
                                }
                            ?>
                        </div>
                        <?php }else{
                            echo "<p>No Data available</p>";
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>