<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view('common/quotesrb/head'); ?> 
</head>
<body>
<div class="quotes">
	<div id="loader" style="display: none;"><img src="<?php echo base_url()?>debug/img/loading.gif"></div>
	<div class="container">
    <div class="tab-area">
      <div class="row">
        <div class="tab">
          <a href="#"><h6 class="uppercase white-text avenir-heavy">My details</h6></a>
        </div>
		<div class="tab">
          <?php echo ( $step > 1 ) ? '<a href="income_protection?ld='.base64_encode($lead_id).'">' : '<a href="#">';
				echo '<h6 class="uppercase white-text avenir-heavy">My Quotes</h6></a>'; ?>
        </div>
		<div class="tab">
          <?php 	echo ( $step > 2 ) ? '<a href="apply_income_protection?ld='.base64_encode($lead_id).'">' : '<a href="#">';
					echo '<h6 class="uppercase white-text avenir-heavy">Get Cover</h6></a>';		?>
        </div>		
      </div>
    </div>
	<form class="Form get-quote rounded-corners with-shadow" method="post" action="income_protection" name="income_protection" id="income_protection" role="form">
      <div class="row">
        <h6 class="form-subheading blue-text uppercase avenir-heavy">
          Choose the level of insurance required<a class="tip" href="#" data-toggle="tooltip" data-placement="bottom" title="Annual PHI benefit: This is up to a maximum of 75% of your annual income less &euro; 9,776 (social welfare benefit). For example, if you earn &euro; 40,000 per annum, you can insure up to &euro; 30,000 minus &euro; 9,776 = &euro; 20,224, but remember, you don't have to insure that exact amount"></a>
        </h6>
        <div class="six columns padding-right">
          <input type="text" id="amount" name="cover_amount" class="Input with-shadow rounded-corners with-icon icon-currency"  placeholder="5000"  value="<?php echo (intval($cover_amount) != 0)? intval($cover_amount) : ''; ?>" required />
        </div>
      </div>
      <div class="row">
        <div class="six columns padding-right">
          <h6 class="form-subheading gray-text avenir-medium">Employment<a class="tip" href="#" data-toggle="tooltip" data-placement="bottom" title="The quotes are being sent with Occupation Class 1"></a></h6>
          <select name="income_paye" class="Input with-shadow rounded-corners with-icon icon-employment" >
	          <option value="income_paye" <?php echo ($income_paye == 'income_paye') ? 'selected' : ''?> >PAYE</option>
		      <option value="income_self" <?php echo ($income_paye == 'income_self') ? 'selected' : ''?> >Self Employed</option>						
          </select>
        </div>
        <div class="six columns padding-right">
          <h6 class="form-subheading gray-text avenir-medium">Retirement age</h6>
		  	<select class="Input with-shadow rounded-corners with-icon icon-time" name="income_age" id="income_age">
					  <option value="55" <?php echo ($income_age == '55')?'selected' : ''; ?> >55 Years</option>
					<option value="60" <?php echo ($income_age == '60')?'selected' : ''; ?> >60 Years</option>
					<option value="65" <?php echo ($income_age == '65')?'selected' : ''; ?> >65 Years</option>
					<option value="70" <?php echo ($income_age == '70')?'selected' : ''; ?> >70 Years</option>
				</select>
        </div>
      </div>
	  <div class="row">
        <h6 class="form-subheading blue-text uppercase avenir-heavy">Personal Details</h6>
        <h6 class="form-subheading gray-text avenir-medium">Name</h6>
        <div class="nine columns padding-right">
		  <input type="text" class="Input with-shadow rounded-corners with-icon icon-name" placeholder="Your name" id="name" name="name" value="<?php echo $name;?>" required >
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Contact Number</h6>
        <div class="nine columns padding-right">
          <input type="text" class="Input with-shadow rounded-corners with-icon icon-phone" placeholder="Your phone number" id="contact" name="contact" value="<?php echo $contact;?>" required >
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Email Address</h6>
        <div class="nine columns padding-right">
		<input type="email" class="Input with-shadow rounded-corners with-icon icon-email" placeholder="Your email address" id="email" name="email" value="<?php echo $email;?>" required >
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Gender</h6>
        <div class="four columns padding-right">
          <select name="gender" class="Input with-shadow rounded-corners with-icon icon-gender" placeholder="Gender">
             <option value="male" <?php echo ($gender == 'male') ? 'selected' : ''?> >Male</option>
            <option value="female" <?php echo ($gender == 'female') ? 'selected' : ''?> >Female</option>						
          </select>
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Smoker</h6>
        <div class="four columns padding-right">
          <select name="smoking" class="Input with-shadow rounded-corners with-icon icon-smoker" placeholder="Smoker">
            <option value="Smoker" <?php echo ($smoking == 'Smoker') ? 'selected' : ''?> >Smoker</option>
            <option value="Non-smoker" <?php echo ($smoking == 'Non-smoker') ? 'selected' : ''?> >Non smoker</option>						
          </select>
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Date of birth</h6>
        <div class="twelve columns padding-right">
          <!-- <input id="datepicker" type="text" name="DOB" class="Input with-shadow rounded-corners with-icon icon-calendar" placeholder="Date of birth" /> -->
          <div id="datepicker"></div>
		  <input  type="hidden" name="dob" class="form-control dobdatepicker" id="dobdate" value="<?php echo $dob; ?>" required />	
						
        </div>
      </div>
      <div class="row">
        <div class="four columns padding-right">
          <button type="button" class="add_button add-applicant Input rounded-corners with-icon icon-plus uppercase white-text avenir-medium" style="<?php echo ($cover_type == 'Joint') ? 'display:none' : 'display:block'; ?>">Add Applicant</button>
		</div>
      </div>
	  <div id="secondApp" style="<?php echo ($cover_type == 'Joint') ? 'display:block' : 'display:none'; ?>">
		<h6>Second Applicant <div class="close">X</div></h6>
		<div class="row">
			<h6 class="form-subheading gray-text avenir-medium">Gender</h6>
	        <div class="four columns padding-right">
				<select name="partner_gender" class="Input with-shadow rounded-corners with-icon icon-gender" placeholder="Gender">
		            <option value="male" <?php echo ($partner_gender == 'male') ? 'selected' : ''?> >Male</option>
				    <option value="female" <?php echo ($partner_gender == 'female') ? 'selected' : ''?> >Female</option>						
		        </select>
			</div>
		</div>
		<div class="row">
			<h6 class="form-subheading gray-text avenir-medium">Smoker</h6>
	        <div class="four columns padding-right">
		      <select name="partner_smoking" class="Input with-shadow rounded-corners with-icon icon-smoker" placeholder="Smoker">
			    <option value="Smoker" <?php echo ($partner_smoking == 'Smoker') ? 'selected' : ''?> >Smoker</option>
				<option value="Non-smoker" <?php echo ($partner_smoking == 'Non-smoker') ? 'selected' : ''?> >Non smoker</option>						
	          </select>
		    </div>
	    </div>
		<div class="row">
         <h6 class="form-subheading gray-text avenir-medium">Date of birth</h6>
         <div class="twelve columns padding-right">
          <!-- <input id="datepicker" type="text" name="DOB" class="Input with-shadow rounded-corners with-icon icon-calendar" placeholder="Date of birth" /> -->
			<input type="hidden" id="dobpartner" name="partner_dob" type="text" class="form-control dobdatepicker" value="<?php echo $partner_dob; ?>">
          <div id="datepicker2"></div>
         </div>
        </div>
	</div>
      <div class="row">
        <div class="twelve columns padding-right terms-of-business">
          <input id="Option" type="checkbox" name="terms" required/>  
		<?php
			 $terms_href =  base_url().'quotesrb/showContent/termsofb';
			 $privacy_href = base_url().'quotesrb/showContent/privacy';


			 if( checkCheckedValue("termsofb_link_sub",$details,true,false) )
				$terms_href = addhttp($details['termsofb_link']);

			 if( checkCheckedValue("privacy_link_sub",$details,true,false) )	
				$privacy_href =	addhttp($details['privacy_link']); 

			echo 'Please confirm that you read <a target="_blank" href="'.$terms_href.'"><span class="business_terms">Terms of Business</span></a> and the <a target="_blank" href="'.$privacy_href.'" <span class="policy_terms">Privacy Statement</span></a>';
		?>           


			<input type='hidden' name='indexation' value='n' />
			<input type='hidden' name='cover_type' id='cover_type' value='<?php echo ($cover_type != '') ? $cover_type : 'Single'; ?>' />
			<input type="hidden" name="lead_id" id="lead_id" value="<?php echo $lead_id; ?>" />

			<input type="hidden" name="utm" id="utm" value="" />
			<input type="hidden" name="utm_params" id="utm_params" value="" />
			<input type="hidden" name="utm_cmp" id="utm_cmp" value="" />
		</div>
      </div>
      <div class="form-footer">
        <div class="row">
          <div class="three columns offset-by-eight">
            <button  type="submit" value="Get a Quote" class="Button submit-form Input uppercase white-text avenir-black" name="get_income_quote">Get Quote Now</button>
          </div>
        </div>
      </div>
    </form>
	</div>
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
<script src="<?php echo JS_PATH.'quotesrb/jquery.min.js'?>"></script>		
<script src="<?php echo JS_PATH.'quotesrb/bootstrap.min.js'?>"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="<?php echo JS_PATH.'quotesrb/jquery.date-dropdowns.min.js'?>"></script>		 
<script src="<?php echo JS_PATH.'quotesrb/custom.js'?>"></script>
<script src="<?php echo JS_PATH.'quotesrb/jquery.ui.touch-punch.min'?>"></script>	
<script src="<?php echo JS_PATH.'quotesrb/validator.js'?>"></script>

<script>
	$('#income_protection').validator().on('submit', function (e) 
	{
			if (e.isDefaultPrevented()) {
				// handle the invalid form...
			} else {
				// everything looks good!
//				document.getElementById("loader").style.display = "block";
//				$(".container").css({"opacity": 0.1});
			}
	})
</script>    
<script>
 $(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
 </script>
 <script>
 $(function () {
   $("#dobdate").dateDropdowns({
		minAge: 18,
		maxAge: 70,
	    submitFormat: "mm/dd/yyyy"
	});

   $("#dobpartner").dateDropdowns({
		minAge: 18,
		maxAge: 70,
	    submitFormat: "mm/dd/yyyy"
	});

})
 </script>
</body>
</html>