<?php
$acc_convt = 0;
$acc_level = 0;
$std_convt = 0;
$std_level = 0;
$convt = 0;
$level = 0;

if(array_key_exists('0',$monthly_data['Outputs']['Quotes']['Type']))
{
    foreach($monthly_data['Outputs']['Quotes']['Type'] as $arr)
	{
        if($arr['Desc'] == "Life Cover And Accelerated Illness"){
            if(array_key_exists('Convertible', $arr)){
                $acc_convt =  $arr['Convertible'];
            }
            if(array_key_exists('Level', $arr)){
                $acc_level =  $arr['Level'];
            }
        }
        if($arr['Desc'] == "Life Cover And Standalone Illness"){
            if(array_key_exists('Convertible', $arr)){
                $std_convt =  $arr['Convertible'];
            }
            if(array_key_exists('Level', $arr)){
                $std_level =  $arr['Level'];
            }
        }
        if($arr['Desc'] == "Life Cover Only"){
            if(array_key_exists('Convertible', $arr)){
                $convt =  $arr['Convertible'];
            }
            if(array_key_exists('Level', $arr)){
                $level =  $arr['Level'];
            }
        }
    }
}

?>
<html>
<head>
    <?php $this->load->view('common/rockwell/head'); ?>

  <!-- Google / Facebook Tracking pixel -->
  <?php	echo $pixel_data[0]->life2;  ?>

</head>
<body>
<div class="quote">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
			    <form method="post" class="form-horizontal" name="res_form" action="r_apply_life_insurance/<?php echo $client;?>">
					<h2><i>3</i> Quote Details</h2>
					<div class="block text-center">
						<div class="form-group">
							 <p>We Compared 6 Insurers and the lowest price is</p>
							 <div class="value">&euro; <?php echo number_format(round($level, 2), 2); ?> <b>*</b> per Month </div>
							 <p>Select how you wish to proceed below</p>
						</div>
						<div><img src="<?php echo base_url()?>debug/img/insurance_images.png"></div>
					 </div>

					 <div class="form-group pt10">
						<div class="col-sm-12 text-center">
							<input type="hidden"  class="euro premium" name="monthly" id="monthly" value="<?php echo round($level, 2); ?>" />
	
							<input type="hidden" name="name" id="name" value="<?php echo $name; ?>">
							<input type="hidden" name="email" id="email" value="<?php echo $email; ?>">
							<input type="hidden" name="contact" id="contact" value="<?php echo $contact; ?>">

							<input type="hidden" name="cover_type" id="cover_type" value="<?php echo $cover_type; ?>">
							<input type="hidden" name="gender" id="gender" value="<?php echo $gender; ?>">
							<input type="hidden" name="smoking" id="smoking" value="<?php echo $smoking; ?>">
							<input type="hidden" name="dob" id="dob" value="<?php echo $dob; ?>">

							<input type="hidden" name="quote_summary" id="quote_summary" value="<?php echo $quote_summary; ?>">

							<input type="hidden" name="partner_gender" id="partner_gender" value="<?php echo $partner_gender; ?>">
							<input type="hidden" name="partner_smoking" id="partner_smoking" value="<?php echo $partner_smoking; ?>">
							<input type="hidden" name="partner_dob" id="partner_dob" value="<?php echo $partner_dob; ?>">

							<input type="hidden" name="email_message" id="email_message" value="<?php echo $email_message; ?>">
							<input type="hidden" name="utm" id="utm" value="<?php echo $utm; ?>">
							
							<button type="submit" class="btn btn-default sub2">Apply</button>  
							<button type="submit" class="btn btn-default sub2">Send me the Forms</button>
						</div>
					 </div>
 					 <div class="form-star"><b>*</b> Subject to underwriting criteria.</div>
				</form>
			 </div>
		 </div>
	 </div>	
	</div>

<script type="text/javascript" src="<?php echo JS_PATH.'rockwell/jquery.min.js'?>"></script>		
<script type="text/javascript">
$( document ).ready(function() {
     
	var email = $("#email_message").val();
	var utm_source = $("#utm").val();

	$.post( "r_sendJSEmail", { message: email, quote_type: 'Life Insurance', utm: utm_source} );

});	
</script>

  </body>
</html>

