<?php   
    $this->load->view('common/head');
    $this->load->view('common/header',$this->viewData);
?>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h1>My Profile</h1>

            <ol class="breadcrumb">
                <li><a href="<?php echo base_url() ?>admin"><i class="fa fa-dashboard"></i> Dashboard</a></li>
                <li><i class="fa fa-user"></i> Profile</li>
                <a class="pull-right" href="<?php echo base_url() ?>admin/profile/edit"><i class="fa fa-edit "></i></a>
            </ol>
            <?php $this->load->view('common/alert_messages',array('statusmessage'=>"Click on edit button to edit your profile",'statusclass'=>'info')); ?>

        </div>
    </div><!-- /.row -->
    <div class="col-lg-6">

        <div class="form-group">
            <label>First Name</label>
            <p class="form-control-static"><?php echo $current_user->first_name ?></p>
        </div>

        <div class="form-group">
            <label>Last Name</label>
            <p class="form-control-static"><?php echo $current_user->last_name ?></p>
        </div>

        <div class="form-group">
            <label>Email</label>
            <p class="form-control-static"><?php echo $current_user->email ?></p>
        </div>

        <div class="form-group">
            <label>Password</label><a class="small" style="margin-left:50px;" href="<?php echo base_url() ?>admin/change_password">Change</a>
            <p class="form-control-static">********</p>
        </div>

        <div class="form-group">
            <label>Phone</label>
            <p class="form-control-static"><?php echo $current_user->phone ?></p>
        </div>

        <div class="form-group">
            <label>Address</label>
            <p class="form-control-static"><?php echo $current_user->address ?></p>
        </div>

        <div class="form-group">
            <label>Company Name</label>
            <p class="form-control-static"><?php echo $current_user->company ?></p>
        </div>
    </div>

</div><!-- /#page-wrapper -->



<script>
    var activeLink=1;
</script>
<?php $this->load->view('common/footer'); ?>