<?php  
	$this->load->view('common/reports-head'); 
	$this->load->view('common/lead-header'); 

if(count($life)>0)
{
	$life_arr = array('1' => 0, '2' => 0, '3' => 0, '4' => 0);
	foreach ($life as $i => $lead) 
	{
		$life_arr[$lead->step] = $lead->total;
	}
	$life_data = implode(",",$life_arr);
}else{
	$life_data = '0,0,0,0';
}
if(count($mortgage)>0)
{
	$mort_arr = array('1' => 0, '2' => 0, '3' => 0, '4' => 0);
	foreach ($mortgage as $i => $lead) 
	{
		$mort_arr[$lead->step] = $lead->total;
	}
	$mort_data = implode(",",$mort_arr);
}else{
	$mort_data = '0,0,0,0';
}
if(count($serious)>0)
{
	$ill_arr = array('1' => 0, '2' => 0, '3' => 0, '4' => 0);
	foreach ($serious as $i => $lead) 
	{
		$ill_arr[$lead->step] = $lead->total;
	}
	$ill_data = implode(",",$ill_arr);
}else{
	$ill_data = '0,0,0,0';
}

if(count($income)>0)
{
	$inc_arr = array('1' => 0, '2' => 0, '3' => 0, '4' => 0);
	foreach ($income as $i => $lead) 
	{
		$inc_arr[$lead->step] = $lead->total;
	}
	$inc_data = implode(",",$inc_arr);
}else{
	$ill_data = '0,0,0,0';
}

?>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
			<div class="col-lg-6" >	
				<div id="canvas-holder1" style="width: 300px;">
					<div> Life Insurance</div>
					<canvas id="chart-area1" width="300" height="300" />
				</div>			
			</div>
			<div class="col-lg-6" >	
				<div id="canvas-holder2" style="width: 300px;">
					<div> Mortgage Protection</div>
					<canvas id="chart-area2" width="300" height="300" />
				</div>			
			</div>
        </div>
    </div>
	<div class="row">
		<div class="col-lg-12">
			<br>
		</div>
	</div>
    <div class="row">
        <div class="col-lg-12">
			<div class="col-lg-6" >	
				<div id="canvas-holder3" style="width: 300px;">
					<div> Serious Illness</div>
					<canvas id="chart-area3" width="300" height="300" />
				</div>			
			</div>
			<div class="col-lg-6" >	
				<div id="canvas-holder4" style="width: 300px;">
					<div> Income Protection</div>
					<canvas id="chart-area4" width="300" height="300" />
				</div>			
			</div>
        </div>
    </div>
	<div class="row">
		<div class="col-lg-12">
			<br>
		</div>
	</div>
	<div class="row">
		<div class="col-lg-12">
			<div id="canvas-holder5" style="width: 1000px;">
				<div>Bar Charts..</div>
				<canvas id="chart-area5" width="1000" height="500" />
			</div>	
		</div>
	</div>

    <div id="chartjs-tooltip"></div>

</div>


    <script>
    Chart.defaults.global.tooltips.custom = function(tooltip) {

    	// Tooltip Element
      var tooltipEl = $('#chartjs-tooltip');

      if (!tooltipEl[0]) {
        $('body').append('<div id="chartjs-tooltip"></div>');
        tooltipEl = $('#chartjs-tooltip');
      }

      // Hide if no tooltip
      if (!tooltip.opacity) {
        tooltipEl.css({
          opacity: 0
        });
        $('.chartjs-wrap canvas')
          .each(function(index, el) {
            $(el).css('cursor', 'default');
          });
        return;
      }

      $(this._chart.canvas).css('cursor', 'pointer');

      // Set caret Position
      tooltipEl.removeClass('above below no-transform');
      if (tooltip.yAlign) {
        tooltipEl.addClass(tooltip.yAlign);
      } else {
        tooltipEl.addClass('no-transform');
      }

      // Set Text
      if (tooltip.body) {
        var innerHtml = [
          (tooltip.beforeTitle || []).join('\n'), (tooltip.title || []).join('\n'), (tooltip.afterTitle || []).join('\n'), (tooltip.beforeBody || []).join('\n'), (tooltip.body || []).join('\n'), (tooltip.afterBody || []).join('\n'), (tooltip.beforeFooter || [])
          .join('\n'), (tooltip.footer || []).join('\n'), (tooltip.afterFooter || []).join('\n')
        ];
        tooltipEl.html(innerHtml.join('\n'));
      }

      // Find Y Location on page
      var top = 0;
      if (tooltip.yAlign) {
        if (tooltip.yAlign == 'above') {
          top = tooltip.y - tooltip.caretHeight - tooltip.caretPadding;
        } else {
          top = tooltip.y + tooltip.caretHeight + tooltip.caretPadding;
        }
      }

      var position = $(this._chart.canvas)[0].getBoundingClientRect();

      // Display, position, and set styles for font
      tooltipEl.css({
        opacity: 1,
        width: tooltip.width ? (tooltip.width + 'px') : 'auto',
        left: position.left + tooltip.x + 'px',
        top: position.top + top + 'px',
        fontFamily: tooltip._fontFamily,
        fontSize: tooltip.fontSize,
        fontStyle: tooltip._fontStyle,
        padding: tooltip.yPadding + 'px ' + tooltip.xPadding + 'px',
      });
    };

	var barChartData = {
            labels: ["Step 1", "Step 2", "Step 3", "Step 4"],
            datasets: [{
				scale:10,
				scaleOverride:true,
	            scaleSteps:10,
		        scaleStartValue:0,
			    scaleStepWidth:1,
                label: 'Life Insurance',
                backgroundColor: "#46BFBD", //"rgba(220,220,220,0.5)",
                data: [<?php echo $life_data; ?>],
			}, {
                label: 'Mortgage Protection',
                backgroundColor:  "#FDB45C", //"rgba(151,187,205,0.5)",
                data: [<?php echo $mort_data; ?>]
			}, {
                label: 'Seruous Illness',
                backgroundColor: "#949FB1", //"rgba(200,87,205,0.5)",
                data: [<?php echo $ill_data; ?>]
			}, {
                label: 'Income Protection',
                backgroundColor: "#4D5360", //"rgba(151,98,105,0.5)",
                data: [<?php echo $inc_data; ?>]
			}]

        };

    var config1 = {
        type: 'pie',
        data: {
            datasets: [{
                data: [<?php echo $life_data; ?>],
                backgroundColor: [
                    "#46BFBD",
                    "#FDB45C",
                    "#949FB1",
                    "#4D5360",
                ],
            }],
            labels: [
                "Step 1",
                "Step 2",
                "Step 3",
                "Step 4",
            ]
        },
        options: {
            responsive: true,
            legend: {
                display: true
            },
            tooltips: {
                enabled: true,
            }
        }
    };

    var config2 = {
        type: 'pie',
        data: {
            datasets: [{
                data: [<?php echo $mort_data; ?>],
                backgroundColor: [
                    "#46BFBD",
                    "#FDB45C",
                    "#949FB1",
                    "#4D5360",
                ],
            }],
            labels: [
                "Step 1",
                "Step 2",
                "Step 3",
                "Step 4",
            ]
        },
        options: {
            responsive: true,
            legend: {
                display: true
            },
            tooltips: {
                enabled: true,
            }
        }
    };

    var config3 = {
        type: 'pie',
        data: {
            datasets: [{
                data: [<?php echo $ill_data; ?>],
                backgroundColor: [
                    "#46BFBD",
                    "#FDB45C",
                    "#949FB1",
                    "#4D5360",
                ],
            }],
            labels: [
                "Step 1",
                "Step 2",
                "Step 3",
                "Step 4",
            ]
        },
        options: {
            responsive: true,
            legend: {
                display: true
            },
            tooltips: {
                enabled: true,
            }
        }
    };

    var config4 = {
        type: 'pie',
        data: {
            datasets: [{
                data: [<?php echo $inc_data; ?>],
                backgroundColor: [
                    "#46BFBD",
                    "#FDB45C",
                    "#949FB1",
                    "#4D5360",
                ],
            }],
            labels: [
                "Step 1",
                "Step 2",
                "Step 3",
                "Step 4",
            ]
        },
        options: {
            responsive: true,
            legend: {
                display: true
            },
            tooltips: {
                enabled: true,
            }
        }
    };

	window.onload = function() {
        var ctx1 = document.getElementById("chart-area1").getContext("2d");
        window.myPie = new Chart(ctx1, config1);

        var ctx2 = document.getElementById("chart-area2").getContext("2d");
        window.myPie = new Chart(ctx2, config2);

        var ctx3 = document.getElementById("chart-area3").getContext("2d");
        window.myPie = new Chart(ctx3, config3);

        var ctx4 = document.getElementById("chart-area4").getContext("2d");
        window.myPie = new Chart(ctx4, config4);


        var ctx5 = document.getElementById("chart-area5").getContext("2d");
        window.myBar = new Chart(ctx5, {
                type: 'bar',
                data: barChartData,
                options: {
                    // Elements options apply to all of the options unless overridden in a dataset
                    // In this case, we are setting the border of each bar to be 2px wide and green
                    elements: {
                    },
                    responsive: true,
                    legend: {
                        position: 'top',
                    },
                    title: {
                        display: true,
                        text: 'Bar Chart'
                    }
                }
            });

    };

	$(document).ready(
		function(){
			$("#chart-area1").click( 
				function(evt){
					var activePoints = myPie.getElementAtEvent(evt);
					var step = activePoints[0]["_index"] + 1;
					window.location.href = 'lead?t=li&st='+step;
				}
			);
			
			$("#chart-area2").click( 
				function(evt){
					var activePoints = myPie.getElementAtEvent(evt);
					var step = activePoints[0]["_index"] + 1;
					window.location.href = 'lead?t=mp&st='+step;
				}
			);

			$("#chart-area3").click( 
				function(evt){
					var activePoints = myPie.getElementAtEvent(evt);
					var step = activePoints[0]["_index"] + 1;
					window.location.href = 'lead?t=si&st='+step;
				}
			);

			$("#chart-area4").click( 
				function(evt){
					var activePoints = myPie.getElementAtEvent(evt);
					var step = activePoints[0]["_index"] + 1;
					window.location.href = 'lead?t=ip&st='+step;
				}
			);
		}
	);
	
    </script>

<?php $this->load->view('common/footer'); ?>