<html>
<head>
    <?php $this->load->view('common/mobile/head'); ?>

    <link rel="stylesheet" href="<?php echo CSS_PATH.'mobile/test'.CSS_EXT?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'default'.CSS_EXT?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'default.date'.CSS_EXT?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo CSS_PATH.'default.time'.CSS_EXT?>" type="text/css"/>
</head>

<body>
<div data-role="page" id="main_div">
    <div class="content_wrapper">
        <?php $this->load->view('common/mobile/header',$this->viewData); ?>

        <div class="link-wrapper">

            <div class="detail_wrapper">
                <div class="brade_crum">
                    <span > My Details</span>
                    <i class="sep"></i>
                    <span class="grey"> My Results</span>
                    <i class="sep grey"></i>
                    <span class="grey"> Get Cover</span>
                </div>
                <div class="seperator"></div>
                <form method="post" action="income_protection" name="income_protection" class="income_protection">
                    <span class="quote_heading">Personal Details </span>
                    <span class="quote_detail"> Annual Benefit</span>
                    <div class="field_wrapper">
                        <span class="field_icon icon-euro"></span>
                        <input type="text"  name="cover_amount" class="field_vale" value="" required/>
                    </div>
                    <span class="quote_detail"> Employment Type </span>
                    <div class="switch">
                      <input type="radio" class="switch-input" name="income_paye" value="income_paye" id="income_paye" checked>  <label for="income_paye" class="switch-label switch-label-off single_cover">PAYE</label>
                      <input type="radio" class="switch-input" name="income_paye" value="income_self" id="income_self"> <label for="income_self" class="switch-label switch-label-on joint_cover">Self Employed</label>
                   </div>
                    <span class="quote_detail"> Normal Retirement Age :</span>
                    <div class="insuranceSelectBoxContainer">
                        <div class="insuranceSelectBoxContainer1">
					        <select class="select_title" style="border: 1px solid #E5E5E5" name="income_age" id="income_age">
                                <option value="50">50</option>
                                <option value="55">55</option>
                                <option value="60">60</option>
                                <option value="65" selected="selected">65</option>
					        </select>
                        </div>
                    </div>
                    <span class="quote_heading"> First  Applicant </span>
                    <span class="quote_detail">Gender</span>
                        <div class="switch switch-yellow">
                         <input type="radio" class="switch-input" name="gender" value="M" id="male_gender" checked>  <label for="male_gender" class="switch-label switch-label-off gender_male">Male</label>
                         <input type="radio" class="switch-input" name="gender" value="F" id="female_gender">  <label for="female_gender" class="switch-label switch-label-on gender_female">Female</label>
                        </div>
                    <span class="quote_detail">Smoker Status</span>
                        <div class="switch switch-green">
                            <input type="radio" class="switch-input" name="smoking" value="Y" id="smoker"> <label for="smoker" class="switch-label switch-label-off smoker"> Smoker</label>
                            <input type="radio" class="switch-input" name="smoking" value="N" id="non_smoker" checked> <label for="non_smoker" class="switch-label switch-label-on nonsmoker">Non-Smoker</label>
                        </div>
                    <span class="smoker_detail"> To be considered  for non-smoker rates you  must be non-smoker for last 12 months</span>
                    <span class="quote_detail"> Date  Of Birth</span>
                    <input type="text" id="datepicker" name="dob" type="text">
                    <input type="submit" class="linkbutton" name="get_income_quote" value="Submit Details">
                </form>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script src="<?php echo JS_PATH.'picker'.JS_EXT?>" type ="text/javascript"></script>
<script src="<?php echo JS_PATH.'picker.date'.JS_EXT?>" type ="text/javascript"></script>

<script type="text/javascript">
    $(function(){
        var d = new Date();
        d.setFullYear(d.getFullYear() - 18);
        $('#datepicker, #datepicker1').pickadate({
            editable:true,
            min: new Date(1920,1,01),
            max: d,
            selectYears: 100,
            selectMonths: true,
            showMonthsFull: false
        });
    });
</script>