<!DOCTYPE html>
<html lang="en">
	<head>
		<?php $this->load->view('common/quoteengine/head'); ?>
	</head>
<body>
<div class="quotes">
	<div class="container">
	 <ul id="quoteTabs" class="quoteTabs">
		<li><a href="mortgageProtection?ld=<?=base64_encode($lead_id)?>">My Details</a></li>
		<li><a href="mortgage_insurance?ld=<?=base64_encode($lead_id)?>">My Quotes</a></li>
		<li class="active"><a href="#">Get Cover</a></li>
	 </ul>
	  <form method="post" action="<?php echo base_url()?>quoteengine/apply_mortgage_insurance/<?php echo $client;?>" class="userdetail" id="life_insurance_apply">
		<section class="container-fluid">
			<div class="row"></div>
			<div class="row">
			    <div class="col-lg-12">
				    <div class="quoteDetails in">
						<div class="block">
							<div class="row">
								<div class="col-lg-12">
								    <h2>Fast track application</h2>
									<div class="form-group">
										<ul>
										<?php
											if( $_SESSION['broker_id'] == "309" )
											{	
												echo '<li>Book a 10 minute callback with an adviser to complete your application. </li>
												<li>Or call us in Dublin, Cork or the South East on '.$phone.' to speak to our advisers.</li>';
											}
											else if( $_SESSION['broker_id'] == "280" )
											{
												echo '<li>Please complete the below form and one of our team members will be in contact with you shortly.</li>';
											}	
											else
											{
												echo '<li>Book a 10 minute call with an advisor to complete your application & sign it online within minutes. (Either call '.$phone.' during office hours or request a call back below)</li>
												<li>(Alternatively, request a blank application form to fill out in you own time)</li>';
											}
										?>
										</ul>
						            </div>
								</div>
							</div>
							<hr>
							<div class="row">
								<div class="col-sm-6 col-lg-6"><h2>Your Details</h2></div>
							</div>
							<div class="row">
								<div class="col-sm-6 col-lg-6">
									<div class="form-horizontal">
										<div class="form-group">
											<label for="name" class="col-sm-5 control-label">Full Name</label>
											<div class="col-sm-7">
												<i class="ICON user"></i>
												<input type="text" class="form-control" id="name" name="name" value="<?php echo $name; ?>" placeholder="Name">    
											</div>
										</div>
										<div class="form-group">
											<label for="contact" class="col-sm-5 control-label">Your Number</label>
											<div class="col-sm-7">
												<i class="ICON contact"></i>
												<input type="text" class="form-control" id="contact" name="contact" value="<?php echo $contact; ?>" 
												 placeholder="Contact Number">
											</div>
										</div>
										<div class="form-group">
											<label for="best_time" class="col-sm-5 control-label">What's the best time to call?</label>
											<div class="col-sm-7">
												<i class="ICON time"></i>
												<select name="best_time" class="form-control">
													
													<option value="9:30 AM - 1:00 PM" <?php echo ($best_time == "9:30 AM - 1:00 PM") ? 'selected' : ''; ?> >9:30 AM - 1:00 PM</option>
													<option value="2:00 PM - 5:00 PM" <?php echo ($best_time == "2:00 PM - 5:00 PM") ? 'selected' : ''; ?> >2:00 PM - 5:00 PM</option>
													<option value="7:00 PM - 9:00 PM" <?php echo ($best_time == "7:00 PM - 9:00 PM") ? 'selected' : ''; ?> >7:00 PM - 9:00 PM</option>
												</select>
											</div>
										</div>
										<div class="form-group">
											<label for="email" class="col-sm-5 control-label"><?php echo ($_SESSION['broker_id'] == "280")?'Email address':'Alternatively leave your address';?></label>
											<div class="col-sm-7">
												<i class="ICON email"></i>
												<input type="text" class="form-control" id="email" name="email" placeholder="Email" value="<?php echo $email; ?>" >
											</div>
										</div>
									</div>
								</div>
								<div class="col-sm-6 col-lg-6">
									<div class="form-horizontal">
										<div class="form-group">
											<label for="Address1" class="col-sm-5 control-label">Address 1</label>
											<div class="col-sm-7">
												<i class="ICON address"></i>
												<input type="text" class="form-control" id="address1" name="address1" value="<?=$address1?>" placeholder="Address 1">    
											</div>
										</div>
										<div class="form-group">
											<label for="Address2" class="col-sm-5 control-label">Address 2</label>
											<div class="col-sm-7">
												<i class="ICON address"></i>
												<input type="text" class="form-control" id="address2" name="address2" value="<?=$address2?>" placeholder="Address 2">    
											</div>
										</div>
										<div class="form-group">
											<label for="name" class="col-sm-5 control-label">City</label>
											<div class="col-sm-7">
												<i class="ICON city"></i>
												<input type="text" class="form-control" id="city" name="city" value="<?=$city?>" placeholder="City">    
											</div>
										</div>
										<div class="form-group">
											<label for="country" class="col-sm-5 control-label">Country</label>
											<div class="col-sm-7">
												<i class="ICON country"></i>
												<select name="country" class="form-control">
													<option value="Ireland" <?php echo ($country == "Ireland") ? 'selected' : ''; ?> >Ireland</option>
													<option value="Germany" <?php echo ($country == "Germany") ? 'selected' : ''; ?> >Germany</option>
													<option value="England" <?php echo ($country == "England") ? 'selected' : ''; ?> >England</option>
												</select>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				    <hr>
				    <div class="sub_block">
						<input type="hidden" name="lead_id" id="lead_id" value="<?php echo $lead_id; ?>" />			
						<button type="submit" class="btn btn-default sub" name="send_mail">Send</button>
					</div>
				</div>
			</div>
		</section>
	   </form>
	</div>
</div>

<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
<script type="text/javascript" src="<?php echo JS_PATH.'quoteengine/jquery.min.js'?>"></script>		
<script src="<?php echo JS_PATH.'quoteengine/bootstrap.min.js'?>"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="<?php echo JS_PATH.'quoteengine/custom.js'?>"></script>

 </body>
</html>