<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">

	<title>Money Advice</title>
    <link href='http://fonts.googleapis.com/css?family=Raleway' rel='stylesheet' type='text/css'>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo CSS_PATH.'normalize'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'bootstrap'.CSS_EXT; ?>" rel="stylesheet">

    <!-- Add custom CSS here -->
    <link href="<?php echo CSS_PATH.'common'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'font-awesome.min'.CSS_EXT; ?>" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css" rel="stylesheet">	

    <script src="<?php echo JS_PATH.'jquery-1.10.2'.JS_EXT ?> "></script>
    <script src="<?php echo JS_PATH.'bootstrap.min'.JS_EXT ?> "></script>
	<script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>

  </head>

  <body>
    <div class="row">
        <div class="col-lg-12">
        		<table class="table table-striped" id="tblLeads">
					<thead>
						<tr>
							<th>Id</th>
							<th>Description</th>
							<th>Aviva</th>
							<th>Friends First</th>
							<th>Irish Life</th>
							<th>New Ireland</th>
							<th>Royal London</th>
						</tr>
					</thead>
					<tbody>
 						<?php
							if(count($leads)>0){
								foreach ($leads as $i => $lead) 
								{
						?>
							<tr data-colid="<?php echo $lead->Id ?>" data-table="leads">
								<td><?php echo $i+1 ?></td>
								<td><?php echo $lead->Description ?></td>
								<td><?php echo $lead->Aviva ?></td>
								<td><?php echo $lead->FriendsFirst ?></td>
								<td><?php echo $lead->IrishLife ?></td>
								<td><?php echo $lead->NewIreland ?></td>
								<td><?php echo $lead->RoyalLondon ?></td>
							</tr>
						<?php
								}
							}else{
								echo "<tr style='text-align:center'><td colspan='9'> No data found</tr>";
							}
						?>
					</tbody>
				</table>
        </div>
</div>

<script>
$(document).ready(function() {
    $('#tblLeads').DataTable();
} );
</script>