<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view('common/quoteengine/head'); ?> 
</head>
<body>
<div class="quotes">
	<div id="loader" style="display: none;"><img src="<?php echo base_url()?>debug/img/loading.gif"></div>
	<div class="container-fluid">
	 <ul id="quoteTabs" class="quoteTabs">
		<li class="active"><a href="#">My Details</a></li>
		<?php 
			echo ( $step > 1 ) ? '<li><a href="lifeQuote?ld='.base64_encode($lead_id).'">My Quotes</a></li>' : '<li><a href="#">My Quotes</a></li> '; 
			echo ( $step > 2 ) ? ' <li><a href="apply_life_insurance?ld='.base64_encode($lead_id).'">Get Cover</a></li>' : ' <li><a href="#">Get Cover</a></li>';
		?>		
	 </ul>
		<section class="container-fluid">
			<form class="form-horizontal" method="post" action="lifeQuote" name="life_insurance" id="life_insurance" role="form">
			<h4>Choose the Level of Insurance Required</h4>
			<div class="row">				
				<div class="col-md-4 form-inline">
					<div class="form-group col-sm-12">
						<i class="ICON euro"></i>
						<input type="text" class="form-control" id="amount" name="cover_amount" value="<?php echo intval($cover_amount);?>" required >
						<label for="sel1">For</label>
						<select class="form-control select" name="length">
						<?php
							for ($i=10; $i<=40; $i=$i+1)
							{
								if( $length == $i )
									echo '<option value="'.$i.'" selected > '.$i.' Years'.'</option>';
								else
									echo '<option value="'.$i.'"> '.$i.' Years'.'</option>';
							}
						?>
						</select>	
					</div>
				</div>
				<div class="col-md-8">
					<div class="range-block">
						<div class="euro-symb">&euro;</div>
						<div class="slider-outer"><div id="slider-range-max"></div></div>
					</div>
				</div>
			</div>
			<div class="row">
				<hr>    
			</div>
			<div class="row">
				<div class="col-lg-12">
					<h2>Personal Details</h2>
					<div class="block">
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label for="name" class="col-sm-4 control-label">Name</label>
									<div class="col-sm-8">
										<i class="ICON user"></i>
										<input type="text" class="form-control" id="name" name="name" value="<?php echo $name;?>" required >
										<div class="help-block with-errors"></div>
									</div>
								</div>
								<div class="form-group">
									<label for="contact" class="col-sm-4 control-label">Contact Number</label>
									<div class="col-sm-8">
										<i class="ICON contact"></i>
										<input type="text" class="form-control" id="contact" name="contact" value="<?php echo $contact;?>" required >
										<div class="help-block with-errors"></div>
									</div>
								</div>
								<div class="form-group">
									<label for="email" class="col-sm-4 control-label">Email Address</label>
									<div class="col-sm-8">
										<i class="ICON email"></i>
										<input type="email" class="form-control" id="email" name="email" value="<?php echo $email;?>" required >
										<div class="help-block with-errors"></div>
									</div>
									
								</div>
								<div class="form-group radio-but">
									<label for="gender" class="col-sm-4 control-label">Gender</label>
									<div class="col-sm-8">
										<div class="row">
											<div class="col-xs-6 col-md-6 left_inp">
												<i class="ICON male"></i>
												<div class="form-control">
													<input type="radio" name="gender" id="Male" value="male" <?php echo ($gender != 'female') ? 'checked' : ''?> />
													<label for="Male">Male</label>
												</div>
											</div>
											<div class="col-xs-6 col-md-6 right_inp">
												<i class="ICON female"></i>
												<div class="form-control">
													<input type="radio" name="gender" id="Female" value="female" <?php echo ($gender == 'female') ? 'checked' : ''?> />
													<label for="Female">Female</label>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="form-group radio-but">
									<label for="smoking" class="col-sm-4 control-label">Smoker</label>
									<div class="col-sm-8">
										<div class="row">
											<div class="col-xs-6 col-md-6 left_inp">
												<i class="ICON smoker"></i>
												<div class="form-control">
													<input type="radio" name="smoking" id="Smoker" value="Smoker" <?php echo ($smoking == 'Smoker') ? 'checked' : ''?> />
													<label for="Smoker">Yes</label>
												</div>
											</div>
											<div class="col-xs-6 col-md-6 right_inp">
												<i class="ICON nSmoker"></i>
												<div class="form-control">
													<input type="radio" name="smoking" id="Non Smoker" value="Non-smoker" <?php echo ($smoking != 'Smoker') ? 'checked' : ''?> />
													<label for="Non Smoker">No</label>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="form-group">
									<label for="dob" class="col-sm-4 control-label">Date of birth</label>
									<div class="col-sm-8">
										<i class="ICON dob "></i>
										<input  type="text" name="dob" class="form-control dobdatepicker" id="dob" value="<?php echo $dob; ?>" required />			
										<div class="help-block with-errors"></div>
									</div>
								</div>
							</div>
							<div class="col-md-6 ">
								<button type="button" class="add_button" style="<?php echo ($cover_type == 'Joint') ? 'display:none' : 'display:block'; ?>">
								<span class="add">+</span>Add Second Applicant</button>
								<div id="secondApp" style="<?php echo ($cover_type == 'Joint') ? 'display:block' : 'display:none'; ?>">
									<h4>Second Applicant</h4>
									<div class="form-group radio-but">
										<label for="partner_gender" class="col-sm-4 control-label">Gender</label>
										<div class="col-sm-8">
											<div class="row">
												<div class="col-xs-6 col-md-6 left_inp">
													<i class="ICON male"></i>
													<div class="form-control">
														<input type="radio" name="partner_gender" id="Male2" value="male" <?php echo ($partner_gender == 'male') ? 'checked' : ''?> />
														<label for="Male2">Male</label>
													</div>
												</div>
												<div class="col-xs-6 col-md-6 right_inp">
													<i class="ICON female"></i>
													<div class="form-control">
														<input type="radio" name="partner_gender" id="Female2" value="female" <?php echo ($partner_gender != 'male') ? 'checked' : ''?> />
														<label for="Female2">Female</label>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="form-group radio-but">
										<label for="partner_smoking" class="col-sm-4 control-label">Smoker</label>
										<div class="col-sm-8">
											<div class="row">
												<div class="col-xs-6 col-md-6 left_inp">
													<i class="ICON smoker"></i>
													<div class="form-control">
														<input type="radio" name="partner_smoking" id="Smoker2" value="Smoker" <?php echo ($partner_smoking == 'Smoker') ? 'checked' : ''?> />
														<label for="Smoker2">Yes</label>
													</div>
												</div>
												<div class="col-xs-6 col-md-6 right_inp">
													<i class="ICON nSmoker"></i>
													<div class="form-control">
														<input type="radio" name="partner_smoking" id="Non Smoker2" value="Non-Smoker" <?php echo ($partner_smoking != 'Smoker') ? 'checked' : ''?> />
														<label for="Non Smoker2">No</label>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="partner_dob" class="col-sm-4 control-label">Date of birth</label>
										<div class="col-sm-8">
											<i class="ICON dob"></i>
											<input type="text" id="partner_dob" name="partner_dob" type="text" class="form-control dobdatepicker" value="<?php echo $partner_dob; ?>">
										</div>
									</div> 
									<div class="close">X</div>
								</div>
							</div>
						</div>
						<div class="row">						
							<div class="col-lg-12 terms">
								<input id="Option" type="checkbox" required>
								<?php
									 $terms_href =  base_url().'quoteengine/showContent/termsofb';
									 $privacy_href = base_url().'quoteengine/showContent/privacy';


									 if( checkCheckedValue("termsofb_link_sub",$details,true,false) )
										$terms_href = addhttp($details['termsofb_link']);

									 if( checkCheckedValue("privacy_link_sub",$details,true,false) )	
										$privacy_href =	addhttp($details['privacy_link']); 
				
									echo '<span> To confirm that you read <a target="_blank" href="'.$terms_href.'"><span class="business_terms">Terms of Business</span></a> and the <a target="_blank" href="'.$privacy_href.'" <span class="policy_terms">Privacy Statement</span></a></span>';
							    ?>           
								<div class="help-block with-errors"></div>
							</div>
							<hr>
							<div class="sub_block">
								<input type='hidden' name='indexation' value='n' />
								<input type='hidden' name='cover_type' id='cover_type' value='<?php echo ($cover_type != '') ? $cover_type : 'Single'; ?>' />
								<input type="hidden" name="lead_id" id="lead_id" value="<?php echo $lead_id; ?>" />

								<input type="hidden" name="utm" id="utm" value="" />
								<input type="hidden" name="utm_params" id="utm_params" value="" />
								<input type="hidden" name="utm_cmp" id="utm_cmp" value="" />

								<button type="submit" class="sub" name="get_life_quote">Get Quote</button>
							</div>
						</div>
					</div>
				</div>
			</div>
			</form>
		</section>
	</div>
</div>
	
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
<script src="<?php echo JS_PATH.'quoteengine/jquery.min.js'?>"></script>		
<script src="<?php echo JS_PATH.'quoteengine/bootstrap.min.js'?>"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="<?php echo JS_PATH.'quoteengine/custom.js'?>"></script>
<script src="<?php echo JS_PATH.'quoteengine/jquery.ui.touch-punch.min'?>"></script>	
<script src="<?php echo JS_PATH.'quoteengine/validator.js'?>"></script>
<script src="<?php echo JS_PATH.'quoteengine/bootstrap-datepicker.min.js'?>"></script>

<script>

	$('#life_insurance').validator().on('submit', function (e) 
	{
			if (e.isDefaultPrevented()) {
				// handle the invalid form...
			} else {
				// everything looks good!
//				document.getElementById("loader").style.display = "block";
//				$(".container").css({"opacity": 0.1});
			}
	})
</script>    
</body>
</html>