<?php
function isEnabled($val, $settings)
{
    return (isset($settings[$val]) && $settings[$val]) ? true : false;
}
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<?php $this->load->view('common/quoteengine/head'); ?>
	</head>
<body>
<div class="quotes">
	<div class="container">
		<section class="container-fluid">
			<div class="row"></div>
			<div class="row">
			    <div class="col-lg-12">
				    <div class="quoteDetails in">
						<div class="block">
							<div class="row">
								<div class="col-lg-12">

									<div class="logoHeaderContainer">
										<a class="logoHEADER"><img src="<?php echo base_url() ?>uploads/<?php echo $details['logo'] ?>"/></a>
									</div>
									<div id="icons-link">
									<?php
										$iconCount = 0;

										if (isEnabled('life', $settings)) {
											$iconCount++;
									?>
									<a href="<?php echo base_url()?>quoteengine/lifeInsurance" class="small">
										<img src="<?php echo base_url()?>debug/img/lifeInsurance_small.png">
										<div class='text-wrap'> Life insurance Quotations </div>
									</a>
									<?php
										}
											if (isEnabled('mortgage', $settings)) {
												$iconCount++;
												?>

												<a href="<?php echo base_url()?>quoteengine/mortgageProtection" class="small">
													<img src="<?php echo base_url()?>debug/img/mortgageProtection_small.png">
													<div class='text-wrap'>Mortgage Protection Quotations </div>
												</a>

											<?php
											}
											if (isEnabled('illness', $settings)) {
												$iconCount++;
												?>

												<a href="<?php echo base_url()?>quoteengine/seriousIllness">
													<img src="<?php echo base_url()?>debug/img/illness_small.png">
													<div class='text-wrap'> Serious Illness Quotations </div>
												</a>

											<?php
											}
											if (isEnabled('income', $settings)) {
												$iconCount++;
												?>

												<a href="<?php echo base_url()?>quoteengine/incomeProtection" class="big">
													<img src="<?php echo base_url()?>debug/img/incomeProtection_small.png">
													<div> Income Protection Insurance Quotations</div>
												</a>

											<?php
											}
											?>
										</div>

								
								
								
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
	</div>
</div>
<?php echo("<script> iconCount = $iconCount;</script>"); ?>
 </body>
</html>