<!DOCTYPE html>
<html lang="en">
	<head>
		<?php $this->load->view('common/quotesrb/head'); ?>
	</head>
<body>
<div class="quotes">
	<div class="container">
	<div class="tab-area">
      <div class="row">
        <div class="tab">
          <a href="incomeProtection?ld=<?=base64_encode($lead_id)?>"><h6 class="uppercase white-text avenir-heavy">My details</h6></a>
        </div>
		<div class="tab">
          <?php echo ( $step > 1 ) ? '<a href="income_protection?ld='.base64_encode($lead_id).'">' : '<a href="#">';
				echo '<h6 class="uppercase white-text avenir-heavy">My Quotes</h6></a>'; ?>
        </div>
		<div class="tab">
			<a href="#"><h6 class="uppercase white-text avenir-heavy">Get Cover</h6></a>
        </div>		
      </div>
    </div>
	<form method="post" action="<?php echo base_url()?>quotesrb/apply_income_protection/<?php echo $client;?>" class="Form get-quote rounded-corners with-shadow" id="life_insurance_apply">
	<div class="row">
		<h5>Fast track application</h5>
		<div class="form-group">
			<ul>
				<li>Book a 10 minute call with an advisor to complete your application & sign it online within minutes. (Either call <?php echo $phone; ?> during office hours or request a call back below)</li>
				<li>(Alternatively, request a blank application form to fill out in you own time)</li>
			</ul>
		</div>
	</div>
	<div class="row">
		<div class="col-sm-6 col-lg-6"><h5>Your Details</h5></div>
	</div>
    <div class="row">
        <div class="six columns padding-right">
		        <h6 class="form-subheading gray-text avenir-medium">Name</h6>
			<input type="text" class="Input with-shadow rounded-corners with-icon icon-name" id="name" name="name" value="<?php echo $name; ?>" placeholder="Name">
		</div>
        <div class="six columns padding-right">
		        <h6 class="form-subheading gray-text avenir-medium">Address 1</h6>
			<input type="text" class="Input with-shadow rounded-corners with-icon icon-time" id="address1" name="address1" value="<?=$address1?>" placeholder="Address 1"> 
        </div>
    </div>
    <div class="row">
        <div class="six columns padding-right">
		        <h6 class="form-subheading gray-text avenir-medium">Your Number</h6>
			<input type="text" class="Input with-shadow rounded-corners with-icon icon-phone" id="contact" name="contact" value="<?php echo $contact; ?>" placeholder="Contact Number">			
		</div>
        <div class="six columns padding-right">
	        <h6 class="form-subheading gray-text avenir-medium">Address 2</h6>
			<input type="text" class="Input with-shadow rounded-corners with-icon icon-time" id="address2" name="address2" value="<?=$address2?>" placeholder="Address 2">    
        </div>
    </div>
    <div class="row">
      <div class="six columns padding-right">
        <h6 class="form-subheading gray-text avenir-medium">What's the best time to call?</h6>			
        <select name="best_time" class="Input with-shadow rounded-corners with-icon icon-phone" placeholder="Gender">
			<option value="9:30 AM - 1:00 PM" <?php echo ($best_time == "9:30 AM - 1:00 PM") ? 'selected' : ''; ?> >9:30 AM - 1:00 PM</option>
			<option value="2:00 PM - 5:00 PM" <?php echo ($best_time == "2:00 PM - 5:00 PM") ? 'selected' : ''; ?> >2:00 PM - 5:00 PM</option>
			<option value="7:00 PM - 9:00 PM" <?php echo ($best_time == "7:00 PM - 9:00 PM") ? 'selected' : ''; ?> >7:00 PM - 9:00 PM</option>
		</select>
		</div>
        <div class="six columns padding-right">
		    <h6 class="form-subheading gray-text avenir-medium">City</h6>
			<input type="text" class="Input with-shadow rounded-corners with-icon icon-time" id="city" name="city" value="<?=$city?>" placeholder="City">    
        </div>
    </div>
    <div class="row">
        <div class="six columns padding-right">
        <h6 class="form-subheading gray-text avenir-medium">Alternatively leave your address</h6>
		<input type="text" class="Input with-shadow rounded-corners with-icon icon-email" id="email" name="email" placeholder="Email" value="<?php echo $email; ?>" >
		</div>
        <div class="six columns padding-right">
		        <h6 class="form-subheading gray-text avenir-medium">Country</h6>
				<select name="country" class="Input with-shadow rounded-corners with-icon icon-phone">
					<option value="Ireland" <?php echo ($country == "Ireland") ? 'selected' : ''; ?> >Ireland</option>
					<option value="Germany" <?php echo ($country == "Germany") ? 'selected' : ''; ?> >Germany</option>
					<option value="England" <?php echo ($country == "England") ? 'selected' : ''; ?> >England</option>
				</select>

        </div>
    </div>
	<div class="form-footer">
        <div class="row">
          <div class="three columns offset-by-eight">
			<input type="hidden" name="lead_id" id="lead_id" value="<?php echo $lead_id; ?>" />			
            <button  type="submit" name="send_mail" value="Send" class="Button submit-form Input uppercase white-text avenir-black">Send</button>
          </div>
        </div>
      </div>
	</form>
	</div>
	
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
<script type="text/javascript" src="<?php echo JS_PATH.'quotesrb/jquery.min.js'?>"></script>		
<script src="<?php echo JS_PATH.'quotesrb/bootstrap.min.js'?>"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="<?php echo JS_PATH.'quotesrb/custom.js'?>"></script>

 </body>
</html>