<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view('common/quotesrb/head'); ?> 
</head>
<body>
<div class="quotes">
	<div id="loader" style="display: none;"><img src="<?php echo base_url()?>debug/img/loading.gif"></div>
	<div class="container">
    <div class="tab-area">
      <div class="row">
        <div class="tab">
          <a href="#"><h6 class="uppercase white-text avenir-heavy">My details</h6></a>
        </div>
		<div class="tab">
          <?php echo ( $step > 1 ) ? '<a href="lifeQuote?ld='.base64_encode($lead_id).'">' : '<a href="#">';
				echo '<h6 class="uppercase white-text avenir-heavy">My Quotes</h6></a>'; ?>
        </div>
		<div class="tab">
          <?php 	echo ( $step > 2 ) ? '<a href="apply_life_insurance?ld='.base64_encode($lead_id).'">' : '<a href="#">';
					echo '<h6 class="uppercase white-text avenir-heavy">Get Cover</h6></a>';		?>
        </div>		
      </div>
    </div>
	<form class="Form get-quote rounded-corners with-shadow" method="post" action="lifeQuote" name="life_insurance" id="life_insurance" role="form">
      <div class="row">
        <h6 class="form-subheading blue-text uppercase avenir-heavy">
          Choose the level of insurance required
        </h6>
        <div class="six columns padding-right">
			<input type="text" id="amount" name="cover_amount" class="Input with-shadow rounded-corners with-icon icon-currency"  placeholder="5000"  value="<?php echo (intval($cover_amount) != 0)? intval($cover_amount) : ''; ?>" required />
        </div>
        <div class="six columns padding-right">
          						<select class="Input with-shadow rounded-corners with-icon icon-time" placeholder="10 years" min="1" name="length">
						<?php
							for ($i=10; $i<=40; $i=$i+1)
							{
								if( $length == $i )
									echo '<option value="'.$i.'" selected > '.$i.' Years'.'</option>';
								else
									echo '<option value="'.$i.'"> '.$i.' Years'.'</option>';
							}
						?>
						</select>
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading blue-text uppercase avenir-heavy">Personal Details</h6>
        <h6 class="form-subheading gray-text avenir-medium">Name</h6>
        <div class="nine columns padding-right">
		  <input type="text" class="Input with-shadow rounded-corners with-icon icon-name" placeholder="Your name" id="name" name="name" value="<?php echo $name;?>" required >
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Contact Number</h6>
        <div class="nine columns padding-right">
          <input type="text" class="Input with-shadow rounded-corners with-icon icon-phone" placeholder="Your phone number" id="contact" name="contact" value="<?php echo $contact;?>" required >
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Email Address</h6>
        <div class="nine columns padding-right">
		<input type="email" class="Input with-shadow rounded-corners with-icon icon-email" placeholder="Your email address" id="email" name="email" value="<?php echo $email;?>" required >
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Gender</h6>
        <div class="four columns padding-right">
          <select name="gender" class="Input with-shadow rounded-corners with-icon icon-gender" placeholder="Gender">
             <option value="male" <?php echo ($gender == 'male') ? 'selected' : ''?> >Male</option>
            <option value="female" <?php echo ($gender == 'female') ? 'selected' : ''?> >Female</option>						
          </select>
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Smoker</h6>
        <div class="four columns padding-right">
          <select name="smoking" class="Input with-shadow rounded-corners with-icon icon-smoker" placeholder="Smoker">
            <option value="Smoker" <?php echo ($smoking == 'Smoker') ? 'selected' : ''?> >Smoker</option>
            <option value="Non-smoker" <?php echo ($smoking == 'Non-smoker') ? 'selected' : ''?> >Non smoker</option>						
          </select>
        </div>
      </div>
      <div class="row">
        <h6 class="form-subheading gray-text avenir-medium">Date of birth</h6>
        <div class="twelve columns padding-right">
          <!-- <input id="datepicker" type="text" name="DOB" class="Input with-shadow rounded-corners with-icon icon-calendar" placeholder="Date of birth" /> -->
          <div id="datepicker"></div>
		  <input  type="hidden" name="dob" class="form-control dobdatepicker" id="dobdate" value="<?php echo $dob; ?>" required />	
						
        </div>
      </div>
      <div class="row">
        <div class="four columns padding-right">
          <button type="button" class="add_button add-applicant Input rounded-corners with-icon icon-plus uppercase white-text avenir-medium" style="<?php echo ($cover_type == 'Joint') ? 'display:none' : 'display:block'; ?>">Add Applicant</button>
		</div>
      </div>
	  <div id="secondApp" style="<?php echo ($cover_type == 'Joint') ? 'display:block' : 'display:none'; ?>">
		<h6>Second Applicant <div class="close">X</div></h6>
		<div class="row">
			<h6 class="form-subheading gray-text avenir-medium">Gender</h6>
	        <div class="four columns padding-right">
				<select name="partner_gender" class="Input with-shadow rounded-corners with-icon icon-gender" placeholder="Gender">
		            <option value="male" <?php echo ($partner_gender == 'male') ? 'selected' : ''?> >Male</option>
				    <option value="female" <?php echo ($partner_gender == 'female') ? 'selected' : ''?> >Female</option>						
		        </select>
			</div>
		</div>
		<div class="row">
			<h6 class="form-subheading gray-text avenir-medium">Smoker</h6>
	        <div class="four columns padding-right">
		      <select name="partner_smoking" class="Input with-shadow rounded-corners with-icon icon-smoker" placeholder="Smoker">
			    <option value="Smoker" <?php echo ($partner_smoking == 'Smoker') ? 'selected' : ''?> >Smoker</option>
				<option value="Non-smoker" <?php echo ($partner_smoking == 'Non-smoker') ? 'selected' : ''?> >Non smoker</option>						
	          </select>
		    </div>
	    </div>
		<div class="row">
         <h6 class="form-subheading gray-text avenir-medium">Date of birth</h6>
         <div class="twelve columns padding-right">
          <!-- <input id="datepicker" type="text" name="DOB" class="Input with-shadow rounded-corners with-icon icon-calendar" placeholder="Date of birth" /> -->
			<input type="hidden" id="dobpartner" name="partner_dob" type="text" class="form-control dobdatepicker" value="<?php echo $partner_dob; ?>">
          <div id="datepicker2"></div>
         </div>
        </div>
	</div>
      <div class="row">
        <div class="twelve columns padding-right terms-of-business">
          <input id="Option" type="checkbox" name="terms" required/>  
		<?php
			 $terms_href =  base_url().'quotesrb/showContent/termsofb';
			 $privacy_href = base_url().'quotesrb/showContent/privacy';


			 if( checkCheckedValue("termsofb_link_sub",$details,true,false) )
				$terms_href = addhttp($details['termsofb_link']);

			 if( checkCheckedValue("privacy_link_sub",$details,true,false) )	
				$privacy_href =	addhttp($details['privacy_link']); 

			echo 'Please confirm that you read <a target="_blank" href="'.$terms_href.'"><span class="business_terms">Terms of Business</span></a> and the <a target="_blank" href="'.$privacy_href.'" <span class="policy_terms">Privacy Statement</span></a>';
		?>           


			<input type='hidden' name='indexation' value='n' />
			<input type='hidden' name='cover_type' id='cover_type' value='<?php echo ($cover_type != '') ? $cover_type : 'Single'; ?>' />
			<input type="hidden" name="lead_id" id="lead_id" value="<?php echo $lead_id; ?>" />

			<input type="hidden" name="utm" id="utm" value="" />
			<input type="hidden" name="utm_params" id="utm_params" value="" />
			<input type="hidden" name="utm_cmp" id="utm_cmp" value="" />
		</div>
      </div>
      <div class="form-footer">
        <div class="row">
          <div class="three columns offset-by-eight">
            <button  type="submit" value="Get a Quote" class="Button submit-form Input uppercase white-text avenir-black">Get a Quote</button>
          </div>
        </div>
      </div>
    </form>
	</div>
	
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
<script src="<?php echo JS_PATH.'quotesrb/jquery.min.js'?>"></script>		

<script src="<?php echo JS_PATH.'quotesrb/bootstrap.min.js'?>"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script src="<?php echo JS_PATH.'quotesrb/custom.js'?>"></script>
<script src="<?php echo JS_PATH.'quotesrb/jquery.ui.touch-punch.min.js'?>"></script>	
<script src="<?php echo JS_PATH.'quotesrb/validator.js'?>"></script>

 <script  src="https://code.jquery.com/jquery-3.1.1.min.js"  integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8="  crossorigin="anonymous"></script>

  <script src="<?php echo JS_PATH.'quotesrb/jquery-birthday-picker.min.js'?>"></script>

  <script>
    $(function() {
      $('#datepicker').birthdayPicker({
        monthFormat: 'long',
        sizeClass: 'span3'
      });
	   $('#datepicker2').birthdayPicker({
        monthFormat: 'long',
        sizeClass: 'span3'
      });
    });
  </script>

<script>

	$('#life_insurance').validator().on('submit', function (e) 
	{
			if (e.isDefaultPrevented()) {
				// handle the invalid form...
			} else {
				// everything looks good!
//				document.getElementById("loader").style.display = "block";
//				$(".container").css({"opacity": 0.1});
			}
	})
</script>    
</body>
</html>