<!DOCTYPE html>
<html lang="en">
  <head>
    <?php $this->load->view('common/quotesrb/head'); ?>
</head>
<body>
<div class="quotes">
  <div class="container">
    <div class="tab-area">
      <div class="row">
        <div class="tab">
          <a href="lifeInsurance?ld=<?=base64_encode($lead_id)?>"><h6 class="uppercase white-text avenir-heavy">My details</h6></a>
        </div>
		<div class="tab">
          <a href="#"><h6 class="uppercase white-text avenir-heavy">My Quotes</h6></a>
        </div>
		<div class="tab">
		 <?php
			 echo ( $step > 2 ) ? '<a href="apply_life_insurance?ld='.base64_encode($lead_id).'"><h6 class="uppercase white-text avenir-heavy">Get Cover</h6></a>' : '<a href="#"><h6 class="uppercase white-text avenir-heavy">Get Cover</h6></a>';
		 ?>
        </div>
      </div>
    </div>
	<form method="post" class="Form get-quote rounded-corners with-shadow" name="res_form" action="apply_life_insurance">
      <div class="row">
        <h5 class="form-subheading blue-text uppercase avenir-heavy">
          Quote Details
        </h5>
	  </div>
      <div class="row">
        <div class="col-lg-6">
			<div class="form-group">
				<p>We Compared 6 Insurers and the lowest price is</p>
				<div class="value">&euro; <?php echo $level ?> <b>*</b> per Month </div>				
			   <span>*</span> Subject to underwriting criteria.        
			</div>
		</div>
		<div class="col-lg-6 ">
			<div class="form-group">
			<img src="<?php echo base_url()?>debug/img/insurance_images.png">
			</div>
		</div>
      </div>
	  <div class="row">
		<div class="terms">
		   <p>Select how you wish to proceed below</p>
		</div>
	  </div>
  	  <div class="row">
			<input type="hidden" name="lead_id" id="lead_id" value="<?php echo $lead_id; ?>" />			
			<input type="hidden" name="email_message" id="email_message" value="<?php echo $email_message; ?>">
			<div class="col-lg-6"><button type="submit" class="Button submit-form Input uppercase white-text avenir-black" name="apply" value="Apply">Apply</button></div>
			<div class="col-lg-6"><button type="submit" class="Button submit-form Input uppercase white-text avenir-black" name="sendforms" value="Send me the Forms">Send me the Forms</button></div>
	  </div>
    </form>
  </div>
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
<script type="text/javascript" src="<?php echo JS_PATH.'quotesrb/jquery.min.js'?>"></script>		
<script src="<?php echo JS_PATH.'quotesrb/bootstrap.min.js'?>"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
	
<script type="text/javascript">
$( document ).ready(function() {
     
	var email = $("#email_message").val();
	var utm_source = $("#utm").val();

	if( email != '')
		$.post( "sendJSEmail", { message: email, quote_type: 'Life Insurance', utm: utm_source} );

});	
</script>

</body>
</html>