<?php
function isEnabled($val, $settings)
{
    return (isset($settings[$val]) && $settings[$val]) ? true : false;
}
?>

<!DOCTYPE html>
<html>
<head>
    <?php $this->load->view('common/mobile/head'); ?>
</head>

<body data-role="page" id="home">
<div class="logoHeaderContainer">
    <a class="logoHEADER"><img src="<?php echo base_url() ?>/../uploads/<?php echo $details['logo'] ?>"/></a></div>
<div id="icons-link">

    <?php
    if (isEnabled('life', $settings)) {
        $iconCount++;
        ?>

        <a href="<?php echo base_url()?>quotes/r_lifeInsurance" class="small">
            <img src="<?php echo base_url()?>debug/img/lifeInsurance_small.png">
            <div class='text-wrap'> Life insurance Quotations </div>
        </a>
    <?php
    }
    if (isEnabled('mortgage', $settings)) {
        $iconCount++;
        ?>

        <a href="<?php echo base_url()?>quotes/r_mortgageProtection" class="small">
            <img src="<?php echo base_url()?>debug/img/mortgageProtection_small.png">
            <div class='text-wrap'>Mortgage Protection Quotations </div>
        </a>

    <?php
    }
    if (isEnabled('illness', $settings)) {
        $iconCount++;
        ?>

        <a href="<?php echo base_url()?>quotes/r_seriousIllness">
            <img src="<?php echo base_url()?>debug/img/illness_small.png">
            <div class='text-wrap'> Serious Illness Quotations </div>
        </a>

    <?php
    }
    if (isEnabled('income', $settings)) {
        $iconCount++;
        ?>

        <a href="<?php echo base_url()?>quotes/r_incomeProtection" class="big">
            <img src="<?php echo base_url()?>debug/img/incomeProtection_small.png">
            <div> Income Protection Insurance Quotations</div>
        </a>

    <?php
    }
    ?>

</div>

</div>

</body>


<style>
    body {
        background: #FCFCFC !important;
    }

    .logoHEADER img {
        width: 180px;
    }
</style>
<script>
    $(document).ready(function () {

        setPadding();
        setBorder();
        $(window).resize(function () {
            setPadding();
            setBorder()
        });

    });

    function setPadding() {
        //var windowWidth = window.innerWidth;
        var windowWidth = $('body').width();
        var iconWidth = $("#icons-link a:first-child").outerWidth();
        var paddingLeft = ((windowWidth % iconWidth) - 2) / 2;
        $('#icons-link').css('padding-left', paddingLeft);
        //console.log(windowWidth + " - " + iconWidth + " - " + paddingLeft);

    }

    function setBorder() {

        var windowWidth = window.innerWidth;
        var numCols = (windowWidth > 400) ? 3:2;
        var nums = iconCount % numCols;
        nums = (nums==0)?3:nums;
        nums++;
        $("#icons-link a").css("border-bottom", "1px solid #c8c8ca");
        $("#icons-link a:gt(-" + nums + ")").css("border-bottom", "none");

    }

</script>
</html>
