-- MySQL dump 10.13  Distrib 5.5.37, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: moneyadvice
-- ------------------------------------------------------
-- Server version	5.5.37-0ubuntu0.14.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `appointments`
--

DROP TABLE IF EXISTS `appointments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `appointments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `phone` varchar(100) DEFAULT NULL,
  `time` varchar(100) DEFAULT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `appointments`
--

LOCK TABLES `appointments` WRITE;
/*!40000 ALTER TABLE `appointments` DISABLE KEYS */;
INSERT INTO `appointments` VALUES (1,'Bhadra Illa','bhadra065@gmail.com','8105287297','1:00am','2014-08-14'),(2,'Philip','philip@philiporeilly.com','078 6789043','12 noon','0000-00-00'),(3,'Philip','Philip@moneyadvice.ie','086 6044448','12','0000-00-00'),(4,'bhadra','bhadra.illa@iglulabs.com','57867886666','12:30am','2015-01-30'),(5,'bhadra','bhadra.illa@iglulabs.com','57867886666','11:30am','2015-01-14');
/*!40000 ALTER TABLE `appointments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customers`
--

DROP TABLE IF EXISTS `customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(100) DEFAULT NULL,
  `broker_id` varchar(100) DEFAULT NULL,
  `client_id` varchar(100) DEFAULT NULL,
  `pin` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customers`
--

LOCK TABLES `customers` WRITE;
/*!40000 ALTER TABLE `customers` DISABLE KEYS */;
INSERT INTO `customers` VALUES (1,'philip@moneyadvice.ie','401','523254','269758');
/*!40000 ALTER TABLE `customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `groups`
--

DROP TABLE IF EXISTS `groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `groups` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `description` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `groups`
--

LOCK TABLES `groups` WRITE;
/*!40000 ALTER TABLE `groups` DISABLE KEYS */;
INSERT INTO `groups` VALUES (1,'admin','Administrator'),(2,'members','General User');
/*!40000 ALTER TABLE `groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `home_links`
--

DROP TABLE IF EXISTS `home_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `home_links` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned NOT NULL,
  `life` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `mortgage` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `illness` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `income` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `portfolio` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `about` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `contact` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `news` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `capture` tinyint(3) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `FK__users` (`user_id`),
  CONSTRAINT `FK__users` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `home_links`
--

LOCK TABLES `home_links` WRITE;
/*!40000 ALTER TABLE `home_links` DISABLE KEYS */;
INSERT INTO `home_links` VALUES (1,21,1,1,1,1,1,1,1,1,1);
/*!40000 ALTER TABLE `home_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `keep_inform`
--

DROP TABLE IF EXISTS `keep_inform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `keep_inform` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `phone` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `keep_inform`
--

LOCK TABLES `keep_inform` WRITE;
/*!40000 ALTER TABLE `keep_inform` DISABLE KEYS */;
INSERT INTO `keep_inform` VALUES (1,'Bhadra Illa','bhadra065@gmail.com','8105287297');
/*!40000 ALTER TABLE `keep_inform` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `login_attempts`
--

DROP TABLE IF EXISTS `login_attempts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `login_attempts` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ip_address` varbinary(16) NOT NULL,
  `login` varchar(100) NOT NULL,
  `time` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `login_attempts`
--

LOCK TABLES `login_attempts` WRITE;
/*!40000 ALTER TABLE `login_attempts` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_attempts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned NOT NULL,
  `variable` varchar(100) NOT NULL,
  `value` mediumtext,
  `enabled` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `FK1_userid` (`user_id`),
  CONSTRAINT `FK1_userid` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,1,'theme_color','#18b3cf',1),(2,1,'about_us','<p>Philip O&#39;Reilly an experienced financial planner and chartered surveyor with over 30 years industry experience has been developing advisor software since 1995. The first application &ldquo;BrokerCRM&rdquo; was released in 1997.</p><p>Software companies cannot deliver solutions unless experienced industry professionals with in-depth domain knowledge are heavily involved in the scoping, specification and on-going development of the ultimate software solution.</p><p>At Money Advice we have a highly competent development team, led by Projects Director Satheesh Vattem and Lead Developer Manju Kadam. Niamh Conway is Administration Manager. The support desk is managed by Helen Geoghegan and Sohail Farooqui.</p><p>Combining all the experience from the development of software products and realising the gap in providing the quotation service, Money Advice V1 software was released in Q4 2012. Work on web based CRM has been completed and this product was launched in Q1 2013. A PropertyCRM module will be added later in 2013.</p><p>For more information call +353 65 68 49675 or mail <a href=\"mailto:info@moneyadvice.ie\">info (at) moneyadvice.ie</a></p>',1),(3,1,'terms','<p>Money Advice is committed to protecting and respecting your privacy. This statement relates to our privacy and cookies policy practices in connection with this website. We are not responsible for the content or privacy and cookies practices of other websites. Any external links to other websites are clearly identifiable as such.</p><p><strong>Collection and use of data</strong></p><p>Money Advice will only collect information which you volunteer, for example, by e-mailing us or by filling in an online form. Any personal information volunteered will be treated in accordance with the Data Protection Acts 1988 &amp; 2003 (and any amending or substituting legislation) as well as Money Advice&#39;s own principles regarding client confidentiality. In the event that you call us in relation to our website it should be noted that we record telephone calls.</p><p><strong>Disclosure of your information</strong></p><p>In certain circumstances, Money Advice may be obliged to disclose personal information relating to you to third parties without notice to you, for example, in order to conform to a legal or regulatory requirement; to comply with a legal process; to carry out our duties under our Terms and Conditions; or to assert, protect or defend the rights of property of Money Advice or any of our customers. Otherwise, we will only share your personal data with third parties with your written consent.</p><p><strong>Access to Information and Correction</strong></p><p>You are entitled to request access to information we hold relating to you and can do so by writing to our Data Protection Officer requesting an Access Request Application Form. We will return a copy of this form to you by post. We reserve the right to charge an administration fee for this service and are entitled to take reasonable steps to verify your identity.</p><p>If you decide at any time that you no longer wish us to hold or use personal information relating to you, or in the case that the information is or becomes inaccurate, please notify our Data Protection Officer in writing, and we will remove or rectify the information, within a reasonable time, in accordance with verification and legislative requirements.</p><p><strong>Link to other websites</strong></p><p>Any external links to other websites are clearly identifiable as such; we are not responsible for the content or privacy practices of other websites.</p><p><strong>Amendments to our Privacy Statement</strong></p><p>Money Advice reserves the right to amend this privacy Policy at any time. Users of this website should regularly check this Policy for any amendments.</p><p><strong>Contact Us</strong></p><p>Registered Office:6,<br />Clare Road Business Park Ennis Co. ,<br />Clare Ireland.</p>',1),(4,1,'office_hours','<p>08:00 AM - 09:00 PM</p>',1),(5,1,'website_link','http://iglulabs.com/',1),(6,1,'facebook_link','https://www.facebook.com/IgluLabs',1),(7,1,'twitter_link','https://twitter.com/iglulabs',1),(8,1,'logo','logo110GCkss4P.png',1),(9,1,'services','<ul><li>Product Research</li><li>Mortgage Applications</li><li>Commissions</li><li>CRM + Workflow</li><li>Sales Process and Opportunities</li><li>Compliance</li><li>Portfolio Management</li><li>Document Management</li><li>Reviews</li></ul>',1),(10,1,'location','12.971367, 77.650592',1),(21,1,'news_link','http://www.moneyadvice.ie/contact/index.html',1),(22,21,'theme_color','#18b3cf',0),(23,21,'news_link','<p><strong>Important Tax Dates for 2015</strong><br />Income Tax<br />31/10/2015<br />- Return Filing date and Payment of Balance of Income Tax for 2014.<br />- Preliminary Income Tax due for 2015.<br />Mid November 2015<br />- Deadline for Online Returns.<br />Capital Gains Tax<br />15/12/2015<br />- Payment of CGT on disposals made in the period 1st January 2015<br />to 30th November 2015.<br />31/1/2016<br />- Payment of CGT on disposals made in December 2015.&nbsp;</p><p>&nbsp;</p>',0),(24,21,'about_us','<p>Philip O&#39;Reilly provides advice to individuals and companies in the areas of financial services.</p><p>The main focus of the firm is life assurance, pensions, savings and investments.</p><p>Philip is a former Manager at Ulster Bank, a former President of Ennis Chamber of Commerce and was National President of the Chambers of Commerce of Ireland.</p><p>He is a member of the Institute of Bankers in Ireland, The Life Insurance Association and a Fellow of the Society of Chartered Surveyors in Ireland.</p><p>&nbsp;</p><p><strong>Financial Advice<em>-&ldquo;Best Value and Best Advice&rdquo;</em></strong></p><p>We are totally committed to customer service and value. We have built advanced technology platforms specifically for our business to enable us provide an enhanced service to our customers. The technology enables us directly link into quotation systems of nine different insurers to get &ldquo;Best Value&rdquo; quotations for our clients.</p><p>In providing products and services to our clients we fully consider clients&rsquo; requirements and our recommendations are always provided on the basis of &ldquo;Best Advice &ldquo;for our customers.</p><p>The firm&rsquo;s particular services are as set out below:</p><p><strong>Financial Services</strong></p><ul><li>Advice on all aspects of financial planning and wealth management.</li><li>Investments &amp; Savings, - Cash, Property, Bonds etc.</li><li>Pensions</li><li>Life Assurance, Mortgage Protection, Family Protection and Business Insurance</li><li>Specified Illness Cover</li><li>Income Protection.</li></ul><p><strong>Borrowing and Mortgage Advice.</strong></p><p>With his considerable experience Philip is also available to assist and advise clients in relation to their borrowings.</p><p>Philip O Reilly is regulated by The Central Bank of Ireland.</p><p>This is test Text</p>',1),(25,21,'services','<p><strong>Financial Planning</strong></p><p>We provide financial plans and cash flow projections to enable individuals and families analyse and plan thier financial affairs to enable them manage their monies in the most efficient manner thus providing financial clarity and family security. Plans are normally reviewed once per year to ensure any adjustments or savings needed are identified and implemented.</p><p><strong>Financial Services</strong></p><ul><li>Advice on all aspects of financial planning and wealth management.</li><li>Investments &amp; Savings, - Cash, Property, Bonds etc.</li><li>Pensions</li><li>Life Assurance, Mortgage Protection, Family Protection and Business Insurance</li><li>Specified Illness Cover</li><li>Income Protection.</li></ul><p><strong>Borrowing and Mortgage Advice.</strong></p><p>With his considerable experience Philip is also available to assist and advise clients in relation to their borrowings.</p><p>Philip O Reilly is regulated by The Central Bank of Ireland.</p>',1),(26,21,'terms','<p><strong>Authorised Status</strong></p><p>Philip O&#39;Reilly is regulated by the Central Bank of Ireland as a multi agency intermediary.</p><p>This firm is a member of the Irish Brokers Association (IBA).</p><p>Philip O&#39;Reilly is authorised to provide the following services:</p><ul><li>Advice and placing of business in relation to life assurance products (Level, Convertible &amp; Decreasing Term) Income Protection, Serious Illness, Permanent Health Insurance, Savings, Investments, Pensions and Mortgages (Home Loans, Investment Property Finance, Personal Finance, Refinance Loans).</li><li>Our advice is restricted to the&nbsp;&nbsp;&nbsp; products for which we hold appointments.</li></ul><p>Philip O&#39;Reilly is paid commission and other payments from the Product Producers to whom orders are transmitted. Summary details of these payments in relation to life and investment products will be provided in a product information document, which you are legally entitled to receive before an application for a life product is completed, and full details will be included with any new life policy document issued.</p><p>Philip O&#39;Reilly may also charge you a fee for the services provided. He may charge a fee for advice in relation to insurance and investment products. Where fees arise, the hourly rates are &euro;250. Any fees payable will be confirmed in writing prior to completion of any business.</p><p><strong>Conflicts of Interest</strong></p><p>It is the policy of Philip O Reilly to avoid any conflict of interest when providing services to clients. However, where an unavoidable conflict arises he will advise you of this in writing before providing any business service. If you have not been advised of any such conflict you may assume that none arises.</p><p><strong>Complaints Handling</strong></p><p>Philip O Reilly has a written procedure in place for the effective consideration and handling of complaints. Complaints will be recorded and acknowledged in writing within 5 working days. All complaints will be fully investigated and the outcome of the investigation will be communicated to the complainant. He will provide a complainant with regular updates at intervals not greater than 20 days and will attempt to resolve a compliant within 40 business days.</p><p>If your complaint is still not resolved to your satisfaction, and as a final step, you may refer your complaint to the Financial Services Ombudsman.<br />You can contact the Ombudsman by phone, fax, e-mail or post. Phone: <a href=\"tel:1890882090\">1890882090</a>. Fax: <a href=\"tel:016620890\">016620890</a> Email: <a href=\"mailto:enquiries@financialombudsman.ie\">enquiries@financialombudsman.ie</a> Post: Financial Services fax, e-mail or post Ombudsman Bureau 3rd Floor, Lincoln House, Lincoln Place, Dublin</p><p>You may also send any complaints about charges and consumer issues to the Financial Regulator at the following Consumer&nbsp; Help-line Lo call <a href=\"tel:1890 777 777\">1890 777 777</a>. Post: Consumer Information Department, Financial Regulator, PO Box 9138, College Green, Dublin 2.</p><p><strong>Handling Clients&#39; Money</strong></p><p>Philip O&#39;Reilly . will accept&nbsp;&nbsp; payments in respect of all classes of insurance in the circumstances permitted under Section 25G of the Investment Intermediaries Act, 1995.</p><p>Philip O&#39;Reilly is not authorised to accept cash or negotiable instruments in any other circumstances.</p><p><strong>Where a Client Fails to Pay:</strong></p><p>Philip O&#39;Reilly will, if necessary, exercise his legal right to receive any payments due to him from clients for business services provided and to be reimbursed for any value obtained by him for clients arising from payments by him on behalf of clients who subsequently default in any payment due to him.</p><p>Product producers may withdraw benefits or cover on default of any payments due under any products arranged for your benefit. Details of these provisions will be included in your product terms and conditions.</p><p><strong>Consumer Protection</strong></p><p>Philip O&#39;Reilly is a member of the Investor Compensation Scheme. The Investor Compensation Scheme provides for payment, in certain circumstances, of compensation to certain clients (known as &quot;eligible investors&quot;) in the event of default by Philip O&#39;Reilly. Where an entitlement to compensation is established, the compensation payable will be the lesser of 90% of the amount of the loss, or &euro;20,000. Your normal legal rights are not affected by this scheme.</p><p>In addition to the Compensation available under the &quot;Investor Compensation Act, 1998&quot;, Philip O&#39;Reilly. is bonded through its membership of IBA for &euro;200,000 with an inner limit of &euro;65,000 per client.</p><p>Product Providers</p><p><em>Aviva Life &amp; Pensions,</em>&nbsp;<em>Friends Fist, Royal London, Standard Life, Wealth Options.</em></p><p>Philip O Reilly is regulated by the Central Bank of Ireland</p>',1),(27,21,'ulinks','',0),(28,21,'office_hours','<p><strong>Office Hours</strong>; Monday to Friday &nbsp;9.00 am to 5.00&nbsp;pm with an hour lunch break from 1.00 pm - 2.00 pm&nbsp;</p><p>Appointments welcome on Saturday by prior arrangement.</p><p><strong>Contact</strong></p><p>Office +353 (0)65 6844448. &nbsp;Ask for Niamh Conway if Philip O Reilly is not available.</p><p>Philip + 353 (0) 86 6044448</p><p>philip@philiporeilly.com</p><p>niamh@philiporeilly.com</p>',1),(29,21,'website_link','http://www.philiporeilly.com',1),(30,21,'facebook_link','',0),(31,21,'twitter_link','',0),(32,21,'location','52.841956, -8.986732',0),(33,21,'logo','logo180cYWFcGx.png',0),(34,21,'working_with','<p><strong><em><u>Product Providers</u></em></strong></p><p><em>&nbsp;</em><em>Aviva Life &amp; Pensions</em></p><p><em>Royal London</em></p><p><em>Standard Life</em></p><p><em>Friends First </em></p><p><em>Wealth Options</em></p>',1),(35,21,'telephone','Office:  + 353 (0)65 6844448 | Philip Mobile:  + 353 (0)86 6044448 |  Email: philip@philiporeilly.com',0),(36,21,'address','6 Carmody Street Business Park\nEnnis\nCo.Clare',0),(37,21,'termsofb','',0),(38,21,'privacy','',0),(39,21,'thanks','<p><strong>Thank you</strong></p><p>We&#39;ve received your details a fully qualified advisor will revive your information and a give you quick phone call to discuss the next step in process of purchasing life insurance</p><p>We look forward to helping you obtain great value life cover</p><p>Kind Regards</p>',0),(40,21,'footer','<p>Philip O&#39;Reilly is regulated by The Central Bank of Ireland.</p><p>Tel: + 353 65 68 44448, Fax: + 353 65 68 20496, E-Mail : philip@philiporeilly.com</p><p>Copyright &copy; 2015 Philip O&#39;Reilly. All rights reserved.</p>',1);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `broker_id` varchar(50) NOT NULL DEFAULT '0',
  `ip_address` varbinary(16) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(255) NOT NULL,
  `salt` varchar(40) DEFAULT NULL,
  `email` varchar(100) NOT NULL,
  `activation_code` varchar(40) DEFAULT NULL,
  `forgotten_password_code` varchar(40) DEFAULT NULL,
  `forgotten_password_time` int(11) unsigned DEFAULT NULL,
  `remember_code` varchar(40) DEFAULT NULL,
  `created_on` int(11) unsigned NOT NULL,
  `last_login` int(11) unsigned DEFAULT NULL,
  `active` tinyint(1) unsigned DEFAULT NULL,
  `first_name` varchar(50) DEFAULT NULL,
  `last_name` varchar(50) DEFAULT NULL,
  `company` varchar(100) DEFAULT NULL,
  `sub_domain` varchar(100) DEFAULT NULL,
  `phone` varchar(20) DEFAULT NULL,
  `address` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'0','\0\0','administrator','$2y$08$2CZcAEA/aIRNPp71D3jLcOT3sKBAEUgdhnxWu4UVHXJ5ty0wkPusK','','admin@admin.com','',NULL,NULL,NULL,1268889823,1425906462,1,'Admin','istrator','Iglulabs',NULL,'8105287297','#801, Purva Fountain Square, Marathahalli'),(21,'401','\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0','Bhadra','$2y$08$MIl4ylfrUcD4y/va0dfOfuvtN3ZigdAg1V/m.AtsYFuTrTQPn3tEC',NULL,'philip@philiporeilly.com',NULL,NULL,NULL,NULL,1411643575,1423750701,1,'Philip','O\'Reilly','Philip O\'Reilly','http://mobile.philiporeilly.com','8810988789',NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_groups`
--

DROP TABLE IF EXISTS `users_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_groups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned NOT NULL,
  `group_id` mediumint(8) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uc_users_groups` (`user_id`,`group_id`),
  KEY `fk_users_groups_users1_idx` (`user_id`),
  KEY `fk_users_groups_groups1_idx` (`group_id`),
  CONSTRAINT `fk_users_groups_groups1` FOREIGN KEY (`group_id`) REFERENCES `groups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `fk_users_groups_users1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_groups`
--

LOCK TABLES `users_groups` WRITE;
/*!40000 ALTER TABLE `users_groups` DISABLE KEYS */;
INSERT INTO `users_groups` VALUES (1,1,1),(2,1,2);
/*!40000 ALTER TABLE `users_groups` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-03-12  5:55:16
