<?php 

$json1 = '{
  "Data": {
    "Input": {
      "BasisType":"Single",
      "Frequency": "Yearly",
      "IllnessOnly": "N",
      "Indexation": "N",
      "LifeAccelerated": "N",
      "LifeData": [
        {
          "BenefitData": [
            {
              "DisplayOrder": 0,
              "Type": "LifeCover",
              "Value": "200000"
            },
            {
              "DisplayOrder": 0,
              "Type": "IllnessCover",
              "Value": "100000"
            }
          ],
          "DOBDay": 15,
          "DOBMonth": 6,
          "DOBYear": 1971,
          "Gender": "Male",
          "LifeNo": 1,
          "Smoker": "NonSmoker"
        }
      ],
      "LifeIllness": "N",
      "LifeOnly": "Y",
      "ProductType": "MT",
      "Term":20,
      "MortgageInterest":6,
      "CBR": "123456",
      "QuoteProcessDay": 31,
      "QuoteProcessMonth": 3,
      "QuoteProcessyear": 2016,
      "IncludeLoading": false,
	  "IncludeCommission": false
    },
    "ProposalId":"61106B70-0D94-43CC-8078-0A0DA1004CE5"
  },
  "Token": "EqE/983zEEnmrVwru7XbYDUKcmS4+He7l4RULqiq9So="
}';

$json2 = '{
  "Data": {
    "Input": {
      "BasisType":"Joint",
      "Frequency": "Yearly",
      "IllnessOnly": "N",
      "Indexation": "N",
      "LifeAccelerated": "N",
      "LifeData": [
        {
          "BenefitData": [
            {
              "DisplayOrder": 0,
              "Type": "LifeCover",
              "Value": "200000"
            },
            {
              "DisplayOrder": 0,
              "Type": "IllnessCover",
              "Value": "100000"
            }
          ],
          "DOBDay": 15,
          "DOBMonth": 6,
          "DOBYear": 1971,
          "Gender": "Male",
          "LifeNo": 1,
          "Smoker": "NonSmoker"
        },
        {
          "BenefitData": [
            {
              "DisplayOrder": 0,
              "Type": "LifeCover",
              "Value": "200000"
            },
            {
              "DisplayOrder": 0,
              "Type": "IllnessCover",
              "Value": "100000"
            }
          ],
          "DOBDay": 15,
          "DOBMonth": 6,
          "DOBYear": 1971,
          "Gender": "Male",
          "LifeNo": 2,
          "Smoker": "NonSmoker"
        }
      ],
      "LifeIllness": "N",
      "LifeOnly": "Y",
      "ProductType": "MT",
      "Term":20,
      "MortgageInterest":6,
      "CBR": "123456",
      "IncludeLoading": true,
      "LoadingInput": {
    "ReferenceId":"17AFC2D2-1CE5-409C-AB29-CEFF1063C147",
      "Frequency":"",
        "LifeLoadings":[
          {
            "LifeNo":1,
            "Loadings":[
              {
                "Type":"PM",
                
                "Decision":"PM_Life",
                "PremiumSplit":12.25,
                "LoadValue":1
              },
              {
                "Type":"EM_Life",
                "CoverValue":350000,
                "Decision":"EM_Life",
                
                "LoadValue":50
              },
              {
                "Type":"EM_CI",
                "CoverValue":40000,
                "Decision":"EM_CI",
                
                "LoadValue":50
              }
              ]
          },
          {
            "LifeNo":2,
            "Loadings":[
              {
                "Type":"PM",
                "CoverValue":350000,
                "Decision":"PM_Life",
                "PremiumSplit":12.25,
                "LoadValue":2
              },
              {
                "Type":"EM_Life",
                "CoverValue":350000,
                "Decision":"EM_Life",
                "PremiumSplit":11.25,
                "LoadValue":100
              },
              {
                "Type":"EM_CI",
                "CoverValue":40000,
                "Decision":"EM_CI",
                "PremiumSplit":10.25,
                "LoadValue":50
              }
              ]
          }
          ]
	},
	  "IncludeCommission": true,
	  "CommissionInput":{
	  	"AgencyNo": "ABC11023",
	  	"Code": "A",
	  	"ProductType":"MT",
	  	"BasisType": "Joint",
	  	"ProposedOffset": 10,
	  	"CalculatePremium": true
	  },
	  "CommissionSacrificeInput":{
	  	"ProductType":"MT",
	  	"BasisType":"Joint",
	  	"ProposedSacrificeCommission":10,
	  	"CalculatePremium":true
	  }
    },
    "ProposalId":"61106B70-0D94-43CC-8078-0A0DA1004CE5",
  },
 "Token": "EqE/983zEEnmrVwru7XbYDUKcmS4+He7l4RULqiq9So="
}';

$json3 = '{
  
    "Data": {
      "Input": {
        
        "BasisType": "Single",
        "BenefitsOnly": "N",
        "CBR": "C92356",
        
        
        "Conversion": "Y",
        
        "Frequency": "Monthly",
        "IllnessOnly": "N",
        "IncludeCommission": "false",
        "Indexation": "N",
        "LifeAccelerated": "N",
        "LifeData": {
          "Life": {
            "BenefitData": {
              "LifeBenefit": {
                "DisplayOrder": "0",
                "Type": "LifeCover",
                "Value": "200000"
              }
            },
            "DOBDay": "1",
            "DOBMonth": "1",
            "DOBYear": "1962",
            "Gender": "Male",
            "LifeNo": "1",
            "Smoker": "NonSmoker"
          }
        },
        "LifeIllness": "N",
        "LifeOnly": "Y",
        "MortgageInterest": "6",
        
        "ProductType": "TA",
        "ProtectedBenefit": "N",
        "Term": "20",
        
      },
   "ProposalId":"61106B70-0D94-43CC-8078-0A0DA1004CE5",
  },
 "Token": "EqE/983zEEnmrVwru7XbYDUKcmS4+He7l4RULqiq9So="  
}';

$json4 = $json1; /*'{
  
    "Data": {
      "Input": {
        
        "BasisType": "Single",
        "BenefitsOnly": "N",
        "CBR": "C92356",
        
        
        "Conversion": "N",
        
        "Frequency": "Monthly",
        "IllnessOnly": "N",
        "IncludeCommission": "false",
        "Indexation": "N",
        "LifeAccelerated": "N",
        "LifeData": {
          "Life": {
            "BenefitData": {
              "LifeBenefit": {
                "DisplayOrder": "0",
                "Type": "LifeCover",
                "Value": "200000"
              }
            },
            "DOBDay": "1",
            "DOBMonth": "1",
            "DOBYear": "1962",
            "Gender": "Male",
            "LifeNo": "1",
            "Smoker": "NonSmoker"
          }
        },
        "LifeIllness": "N",
        "LifeOnly": "Y",
        "MortgageInterest": "6",
        
        "ProductType": "TA",
        "ProtectedBenefit": "N",
        "Term": "20",
        
      },
  "ProposalId":"61106B70-0D94-43CC-8078-0A0DA1004CE5",
  },
 "Token": "EqE/983zEEnmrVwru7XbYDUKcmS4+He7l4RULqiq9So="  
}';*/

$json5 = '{
  
    "Data": {
      "Input": {
        
        "BasisType": "Single",
        "BenefitsOnly": "N",
        "CBR": "C92356",
        
        
        "Conversion": "Y",
        
        "Frequency": "Monthly",
        "IllnessOnly": "N",
        "IncludeCommission": "false",
        "Indexation": "N",
        "LifeAccelerated": "N",
        "LifeData": {
          "Life": {
            "BenefitData": {
              "LifeBenefit": {
                "DisplayOrder": "0",
                "Type": "LifeCover",
                "Value": "200000"
              }
            },
            "DOBDay": "1",
            "DOBMonth": "1",
            "DOBYear": "1962",
            "Gender": "Male",
            "LifeNo": "1",
            "Smoker": "NonSmoker"
          }
        },
        "LifeIllness": "N",
        "LifeOnly": "Y",
        "MortgageInterest": "6",
        
        "ProductType": "TA",
        "ProtectedBenefit": "N",
        "Term": "20",
        
      },
 "ProposalId":"61106B70-0D94-43CC-8078-0A0DA1004CE5",
  },
 "Token": "EqE/983zEEnmrVwru7XbYDUKcmS4+He7l4RULqiq9So="  
}';

$json6 = $json1;
$json7 = $json2;
$json8 = $json3;
$json9 = $json1;
$json10 = $json2;



for($i = 1; $i<= 10; $i++)
{
	$var = 'json'.$i;
	$json = $$var;
	echo '<hr>';
	echo Date('m-d H:i:s');
	echo '<br><br> Request '.$i.': ';
	echo $json;
	echo '<br><br>';
	$url = 'https://quotes.royallondon.ie/QEWebApi/api/Quotation/GetQuote';
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array(
		'Content-Type: application/json',
		'Content-Length: ' . strlen($json))
	);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	
	$result = curl_exec($ch);
	curl_close($ch);
	echo Date('m-d H:i:s');
	echo '<pre>';
	print_r($result);
	echo '</pre>';
	echo '<br>';
}
?>
