<?php 
    function make_api_call(){
        
        $url = "http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL";
        $client = new SoapClient($url);   
        
        $xml = '<?xml version="1.0" encoding="utf-8"?>
            <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
              <soap:Body>
                <GetPortfolioReportXMLForClient xmlns="http://tempuri.org/">
                  <BrokerID>401</BrokerID>
                  <ClientID>218374</ClientID>
                  <ClientID2>0</ClientID2>
                </GetPortfolioReportXMLForClient>
              </soap:Body>
            </soap:Envelope>
            ';
        $data=array('BrokerID'=>401,'ClientID'=>218374,'ClientID2'=>0);
                    
        
        $doc = new DOMDocument();
        $doc->loadXML($xml);
        $xml_str =  $doc->saveXML();
                
        $result = $client->GetPortfolioReportXMLForClient($data);
        $res_arr = xmlstr_to_array($result->GetPortfolioReportXMLForClientResult);

        print_r($result);
        echo "<pre>"; print_r($res_arr); echo "</pre>";
//        print_r($res_arr);

        exit;


        
    }
	function make_api_call2(){
		$client = new SoapClient(
			'http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL',
			array(
				'trace' => 1,
				'use' => SOAP_LITERAL,
				)
			);
	$params = new SoapVar("<BrokerID>401</BrokerID><ClientID>218374</ClientID><ClientID2>0</ClientID2>", XSD_ANYXML);
	$result = $client->GetPortfolioReportXMLForClient($params);
	print_r($result);exit;

}
	function xmlstr_to_array($xmlstr) {
      $doc = new DOMDocument();
      $doc->loadXML($xmlstr);
      return domnode_to_array($doc->documentElement);
    }
    function domnode_to_array($node) {
      $output = array();
      switch ($node->nodeType) {
       case XML_CDATA_SECTION_NODE:
       case XML_TEXT_NODE:
        $output = trim($node->textContent);
       break;
       case XML_ELEMENT_NODE:
        for ($i=0, $m=$node->childNodes->length; $i<$m; $i++) { 
         $child = $node->childNodes->item($i);
         $v = domnode_to_array($child);
         if(isset($child->tagName)) {
           $t = $child->tagName;
           if(!isset($output[$t])) {
            $output[$t] = array();
           }
           $output[$t][] = $v;
         }
         elseif($v) {
          $output = (string) $v;
         }
        }
        if(is_array($output)) {
         if($node->attributes->length) {
          $a = array();
          foreach($node->attributes as $attrName => $attrNode) {
           $a[$attrName] = (string) $attrNode->value;
          }
          $output['@attributes'] = $a;
         }
         foreach ($output as $t => $v) {
          if(is_array($v) && count($v)==1 && $t!='@attributes') {
           $output[$t] = $v[0];
          }
         }
        }
       break;
      }
      return $output;
    }
    make_api_call();
	
	

?>
